qemu (1:8.2.2+ds-0ubuntu1.17) noble; urgency=medium

  * d/qemu-guest-agent.postinst: trigger udev rule to start the service
    (LP: #2102093)
  * d/p/u/lp2133804/*: linux-user: Add termios2 support (LP: #2133804)

 -- Hector Cao <hector.cao@canonical.com>  Wed, 22 Apr 2026 11:24:43 +0200

qemu (1:8.2.2+ds-0ubuntu1.16) noble-security; urgency=medium

  * SECURITY UPDATE: use-after-free
    - debian/patches/CVE-2024-6519.patch: keep a reference to the device while
      SCRIPTS in hw/scsi/lsi53c895a.c.
    - CVE-2024-6519
  * SECURITY UPDATE: out-of-bounds read
    - debian/patches/CVE-2026-2243.patch: fix OOB read in vmdk_read_extent()
      in block/vmdk.c.
    - CVE-2026-2243
  * SECURITY UPDATE: heap buffer overflow
    - debian/patches/CVE-2026-3195-1.patch: fix max_size bounds check in input
      cb in hw/audio/virtio-snd.c.
    - debian/patches/CVE-2026-3195-2.patch: tighten read amount in in_cb in
      hw/audio/virtio-snd.c.
    - CVE-2026-3195
  * SECURITY UPDATE: integer overflow
    - debian/patches/CVE-2026-3196.patch: handle 5.14.6.2 for PCM_INFO properly
      in hw/audio/virtio-snd.c.
    - CVE-2026-3196
  * SECURITY UPDATE: out-of-bounds write
    - debian/patches/CVE-2026-3842.patch: check length returned by
      cpu_physical_memory_map() in hw/hyperv/syndbg.c.
    - CVE-2026-3842

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Wed, 08 Apr 2026 11:57:03 +0200

qemu (1:8.2.2+ds-0ubuntu1.15) noble; urgency=medium

  * d/p/u/lp2142099-*: fix wrong feature dependency for waitpkg
     (LP: #2142099)

 -- Hector Cao <hector.cao@canonical.com>  Fri, 20 Mar 2026 11:41:09 +0100

qemu (1:8.2.2+ds-0ubuntu1.14) noble; urgency=medium

  * Fix crash on concurrent `block-stream` and `query-named-block-nodes`
    (LP: #2126951)
    - d/p/ubuntu/lp2126951-block-Drop-detach_subchain-for-bdrv_replace_node.patch

 -- Wesley Hershberger <wesley.hershberger@canonical.com>  Wed, 11 Mar 2026 10:42:17 -0500

qemu (1:8.2.2+ds-0ubuntu1.13) noble-security; urgency=medium

  * SECURITY UPDATE: denial-of-service
    - debian/patches/CVE-2024-8354-2.patch: don't assert for SETUP to non-0
      endpoint in hw/usb/hcd-uhci.
    - CVE-2024-8354
  * SECURITY UPDATE: use-after-free
    - debian/patches/CVE-2025-11234-1.patch: release active GSource in TLS
      channel finalizer in io/channel-tls.c.
    - debian/patches/CVE-2025-11234-2.patch: move websock resource release to
      close method in io/channel-websock.c.
    - debian/patches/CVE-2025-11234-3.patch: fix use after free in websocket
      handshake code in io/channel-websock.c.
    - CVE-2025-11234
  * SECURITY UPDATE: stack-based buffer overflow
    - debian/patches/CVE-2025-12464.patch: pad packets to minimum length in
      qemu_receive_packet() in net/net.c.
    - CVE-2025-12464
  * SECURITY UPDATE: denial-of-service
    - debian/patches/CVE-2025-14876-1.patch: verify asym request size in
      hw/virtio/virtio-crypto.c.
    - debian/patches/CVE-2025-14876-2.patch: Limit the maximum size in
      backends/cryptodev-builtin.c.
    - CVE-2025-14876
  * SECURITY UPDATE: out-of-bounds read
    - debian/patches/CVE-2026-0665.patch: fix PIRQ bounds check in
      xen_physdev_map_pirq() in hw/i386/kvm/xen_evtchn.c.
    - CVE-2026-0665

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Tue, 03 Mar 2026 15:03:56 +0100

qemu (1:8.2.2+ds-0ubuntu1.12) noble; urgency=medium

  * Do not expose arch-caps when not available on AMD
    CPUs (LP: #2131822)
    - d/p/u/lp2131822/* : create -v2 ubuntu machine types and backport arch_caps
      for this newly created types.
    - d/qemu-system-x86.NEWS : info about the new types

 -- Hector Cao <hector.cao@canonical.com>  Mon, 15 Dec 2025 12:33:49 +0000

qemu (1:8.2.2+ds-0ubuntu1.11) noble; urgency=medium

  * smbios: Fix buffer overrun when using path= option (LP: #2127974)
  * debian/.gitignore: unignore patches

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 20 Nov 2025 16:08:18 -0500

qemu (1:8.2.2+ds-0ubuntu1.10) noble-security; urgency=medium

  * SECURITY UPDATE: double-free in QEMU virtio devices
    - debian/patches/CVE-2024-3446-pre1.patch: introduce
      virtio_bh_new_guarded() helper in hw/virtio/virtio.c,
      include/hw/virtio/virtio.h.
    - debian/patches/CVE-2024-3446-1.patch: protect from DMA re-entrancy
      bugs in hw/virtio/virtio-crypto.c.
    - debian/patches/CVE-2024-3446-2.patch: protect from DMA re-entrancy
      bugs in hw/char/virtio-serial-bus.c.
    - debian/patches/CVE-2024-3446-3.patch: protect from DMA re-entrancy
      bugs in hw/display/virtio-gpu.c.
    - CVE-2024-3446
  * SECURITY UPDATE: heap overflow in SDHCI device emulation
    - debian/patches/CVE-2024-3447.patch: do not update TRNMOD when Command
      Inhibit (DAT) is set in hw/sd/sdhci.c.
    - CVE-2024-3447
  * SECURITY UPDATE: assert failure in checksum calculation
    - debian/patches/CVE-2024-3567.patch: fix overrun in
      update_sctp_checksum() in hw/net/net_tx_pkt.c.
    - CVE-2024-3567
  * SECURITY UPDATE: resource consumption in disk utility
    - debian/patches/CVE-2024-4467-1.patch: don't open data_file with
      BDRV_O_NO_IO in block/qcow2.c, tests/qemu-iotests/061*.
    - debian/patches/CVE-2024-4467-2.patch: don't store data-file with
      protocol in image in tests/qemu-iotests/244.
    - debian/patches/CVE-2024-4467-3.patch: don't store data-file with
      json: prefix in image in tests/qemu-iotests/270.
    - debian/patches/CVE-2024-4467-4.patch: parse filenames only when
      explicitly requested in block.c.
    - CVE-2024-4467
  * SECURITY UPDATE: heap overflow in virtio-net device RSS feature
    - debian/patches/CVE-2024-6505.patch: ensure queue index fits with RSS
      in hw/net/virtio-net.c.
    - CVE-2024-6505
  * SECURITY UPDATE: Dos via improper synchronization during socket closure
    - debian/patches/CVE-2024-7409-1.patch: plumb in new args to
      nbd_client_add() in blockdev-nbd.c, include/block/nbd.h,
      nbd/server.c, qemu-nbd.c.
    - debian/patches/CVE-2024-7409-2.patch: cap default max-connections to
      100 in block/monitor/block-hmp-cmds.c, blockdev-nbd.c,
      include/block/nbd.h, qapi/block-export.json.
    - debian/patches/CVE-2024-7409-3.patch: close stray clients at
      server-stop in blockdev-nbd.c.
    - debian/patches/CVE-2024-7409-4.patch: drop non-negotiating clients in
      nbd/server.c, nbd/trace-events.
    - debian/patches/CVE-2024-7409-5.patch: avoid use-after-free when
      closing server in blockdev-nbd.c.
    - CVE-2024-7409
  * SECURITY UPDATE: DoS via assert failure in usb_ep_get()
    - debian/patches/CVE-2024-8354.patch: change ohci validation in
      hw/usb/hcd-ohci.c, hw/usb/trace-events.
    - CVE-2024-8354
  * SECURITY UPDATE: possibly binfmt privilege escalation (LP: #2120814)
    - debian/binfmt-install: stop using C (Credentials) flag for
      binfmt_misc registration.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 25 Aug 2025 14:10:37 -0400

qemu (1:8.2.2+ds-0ubuntu1.9) noble; urgency=medium

  * d/p/u/lp-2101053-pci-acpi-Windows-PCI-Label-Id-bug-workaround.patch:
    fix windows virtio network by tolerarting a bad acpi call (LP: #2101053)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 02 Jul 2025 11:36:20 +0200

qemu (1:8.2.2+ds-0ubuntu1.8) noble; urgency=medium

  * d/p/u/lp2101944/*: Synthesize IBPB_BRTYPE and SBPB CPUID bits to the guest
    as described in AMD's Speculative Return Stack Overflow whitepaper.
    (LP: #2101944)

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 19 Mar 2025 10:02:49 +0100

qemu (1:8.2.2+ds-0ubuntu1.7) noble; urgency=medium

  * d/p/u/lp2049698/*: Add full boot order support on s390x (LP: #2049698)
  * Cherry-pick prerequisite for above backport (to avoid FTBFS):
    - d/p/u/lp2049698/0-hw-s390x-sclp.c-include-s390-virtio-ccw.h-to-make.patch
  * d/qemu-system-data.links: symlink s390-netboot.img -> s390-ccw.img for
    backwards compatibility, as the code is now combined.

  [ Michael Tokarev ]
  * d/rules: run ./configure in arch-indep build and build some roms from there.
    After adding just a few more build-deps to common Build-Depends,
    it is now possible to run ./configure in arch-indep step too.
    Run ./configure, and switch s390-ccw and vof.bin builds from
    ad-hoc instructions to using the regular qemu makefiles.
    Move python3-venv dependency from Build-Depend-Arch to Build-Depend
    so that ./configure can be run.
    [cherry-pick https://salsa.debian.org/qemu-team/qemu/-/commit/5b5a97b]

  * Fix qemu-aarch64-static segfaults running ldconfig.real (LP: #2072564)
    - lp-2072564-01-linux-user-Honor-elf-alignment-when-placing-images.patch
    - lp-2072564-02-elfload-Fix-alignment-when-unmapping-excess-reservat.patch
    Thanks to Dimitry Andric for identifying the fix.

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 13 Mar 2025 17:15:00 +0100

qemu (1:8.2.2+ds-0ubuntu1.6) noble; urgency=medium

  [ Gabriel B. Sant'Anna ]
  * Fix emulation of RISC-V Vector instructions (LP: #2095169)
    - d/p/u/lp2095169-riscv-vector-fixes-{01..12}.patch: ensure vstart_eq_zero
      is updated at the end of each vector instruction.
    - Changes come from upstream, but backporting to 8.2.2 required some
      adjustment before patches could be applied cleanly.
    - Thanks to Daniel Henrique Barboza <dbarboza@ventanamicro.com>

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Fri, 24 Jan 2025 16:48:49 -0500

qemu (1:8.2.2+ds-0ubuntu1.5) noble; urgency=medium

  * d/p/u/lp-2091099-fix-9p-regression-cve-2023-2861.patch: Fix
    regression regarding CVE-2023-2861 affecting 9p filesystems.
    (LP: #2091099)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 11 Dec 2024 22:06:49 -0500

qemu (1:8.2.2+ds-0ubuntu1.4) noble-security; urgency=medium

  * SECURITY UPDATE: denial of service
    - debian/patches/CVE-2024-4693-1.patch: virtio-pci: fix use of a
      released vector
    - debian/patches/CVE-2024-4693-2.patch: virtio-pci: Fix the use of
      an uninitialized irqfd
    - CVE-2024-4693
  * SECURITY UPDATE: heap buffer overflow
    - debian/patches/CVE-2024-7730.patch: add max size bounds check in
      input cb
    - CVE-2024-7730

 -- Bruce Cable <bruce.cable@canonical.com>  Tue, 22 Oct 2024 15:57:13 +1100

qemu (1:8.2.2+ds-0ubuntu1.3) noble; urgency=medium

  * d/p/u/lp2076927-fix-time-based-freq-kvm.patch: Fix
    timebase-frequency when using KVM acceleration on RISC-V. (LP: #2076927)
  * d/p/u/lp2028964-add-support-sierra-forest.patch: Add support for
    Sierra Forest CPU model. (LP: #2028964)
  * Fail gracefully when hotplugging a vCPU fails on PPC. (LP: #2076587)
    - d/p/u/lp2076587-cpu-hotplug-crashes-guest-*.patch: Backport
      patches for upstream fix.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 24 Sep 2024 22:57:11 -0400

qemu (1:8.2.2+ds-0ubuntu1.2) noble-security; urgency=medium

  * SECURITY UPDATE: buffer overflow
    - debian/patches/CVE-2024-26327.patch: Check num_vfs size
    - CVE-2024-26327
  * SECURITY UPDATE: out of bounds memory access
    - debian/patches/CVE-2024-26328.patch: Use pcie_sriov_num_vfs to
      get number of enabled vfs before and after config writes
    - CVE-2024-26328

 -- Bruce Cable <bruce.cable@canonical.com>  Wed, 21 Aug 2024 11:53:08 +1000

qemu (1:8.2.2+ds-0ubuntu1.1) noble-proposed; urgency=medium

  * SRU: LP: #2076340: No-change rebuild to pick up changed build flags
    on ppc64 and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 09 Aug 2024 04:33:21 +0200

qemu (1:8.2.2+ds-0ubuntu1) noble; urgency=medium

  * Merge version 8.2.2 from upstream. (LP: #2061005).  Cherry-picks from
    Debian:
    - d/p/ui-clipboard-mark-type-as-not-available-when-no-data-CVE-2023-6683.patch:
      Remove patch; included upstream.
    - d/control: clarify qemu-system-gui description: this is not a
      management gui for qemu
    - d/rules: stop qemu-system-${arch} packages from providing
      themselves (#1063233)
    - d/control{,-in}: Fix typo on qemu-system-gui description.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Fri, 12 Apr 2024 18:13:51 -0400

qemu (1:8.2.1+ds-1ubuntu9) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:20:15 +1100

qemu (1:8.2.1+ds-1ubuntu8) noble; urgency=medium

  * d/p/u/lp2012763-maxcpus-too-low.patch: Actually set the max_cpus
    property of the new Mantic machine types. (LP: #2012763)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 25 Mar 2024 14:58:39 -0400

qemu (1:8.2.1+ds-1ubuntu7) noble; urgency=medium

  * d/p/u/lp2012763-maxcpus-too-low.patch: Bump max_cpus to 1024 on
    Jammy amd64 machine types.  (LP: #2012763)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 18 Mar 2024 16:48:22 -0400

qemu (1:8.2.1+ds-1ubuntu6) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:16:54 +0000

qemu (1:8.2.1+ds-1ubuntu5) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:31:21 +0000

qemu (1:8.2.1+ds-1ubuntu4) noble; urgency=medium

  * No-change rebuild against libgnutls30t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 10 Mar 2024 02:11:43 +0000

qemu (1:8.2.1+ds-1ubuntu3) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:54:00 +0000

qemu (1:8.2.1+ds-1ubuntu2) noble; urgency=medium

  * d/p/u/lp-2055003-*: Properly initialize max_cpus limit to
    SPAPR_IRQ_NR_IPIS, fixing a segfault on ppc64el. (LP: #2055003)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 26 Feb 2024 15:32:25 -0500

qemu (1:8.2.1+ds-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2051883, #2049703). Remaining changes:
    - qemu-kvm to systemd unit
      - d/qemu-kvm-init: script for QEMU KVM preparation modules, ksm,
        hugepages and architecture specifics
      - d/qemu-system-common.qemu-kvm.service: systemd unit to call
        qemu-kvm-init
      - d/qemu-system-common.install: install helper script
      - d/qemu-system-common.qemu-kvm.default: defaults for
        /etc/default/qemu-kvm
      - d/rules: call dh_installinit and dh_installsystemd for qemu-kvm
    - Distribution specific machine type
      (LP 1304107 1621042 1776189 1761372 1761372 1776189)
      - d/p/ubuntu/define-ubuntu-machine-types.patch: define distro machine
        types containing release versioned machine attributes
      - Add an info about -hpb machine type in debian/qemu-system-x86.NEWS
      - ubuntu-q35 alias added to auto-select the most recent q35 ubuntu type
    - Enable nesting by default
      - d/p/ubuntu/enable-svm-by-default.patch: Enable nested svm by default
        in qemu64 on amd
        [ No more strictly needed, but required for backward compatibility ]
    - tolerate ipxe size change on migrations to >=18.04 (LP 1713490)
      - d/p/ubuntu/pre-bionic-256k-ipxe-efi-roms.patch: old machine types
        reference 256k path
      - d/control-in: depend on ipxe-qemu-256k-compat-efi-roms to be able to
        handle incoming migrations from former releases.
    - Ease the use of module retention on upgrades (LP 1913421)
      - debian/qemu-block-extra.postinst: enable mount unit on install/upgrade
    - Remaining GCC-12 FTBFS (LP 1988710 + LP 1921664)
      + d/p/u/qboot-Disable-LTO-for-ELF-binary-build-step.patch:
        fix qboot FTBFS with LTO
    - d/rules: Enable/disable extra features on microvm
      variant. (LP #2045594)
    - Move glusterfs storage driver to Universe in a new package
      (LP #2045063):
      + d/control{,-in}: new package qemu-block-supplemental for drivers
        we want in Universe
      + d/rules: we only want block-gluster.so in the new
        qemu-block-supplemental package. Adjust dynamically-created
        maintainer scripts for qemu-block-extra and -supplemental.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 07 Feb 2024 13:01:14 -0500

qemu (1:8.2.1+ds-1) unstable; urgency=medium

  * new upstream stable/bugfix release
  * remove all upstream-applied patches
  * d/patches/note-missing-module-pkg-name.diff: fixup
  * replace fix for CVE-2023-6683 (A different fix from upstream)
  * remove the mistakenly-added temp file in d/qemu-block-extra/
  * d/.gitignore: refresh

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 30 Jan 2024 10:32:17 +0300

qemu (1:8.2.0+ds-5) unstable; urgency=medium

  * d/rules, d/run-qemu.mount: use dh_installsystemd to install run-qemu.mount
    (Closes: #1060087)
  * update hppa and seabios-hppa patch series
  * ui-clipboard-avoid-crash-upon-request-when-clipboard-CVE-2023-6683.patch
    (Closes: #1060749, CVE-2023-6683)
  * +target-s390x-Fix-LAE-setting-a-wrong-access-register.patch
  * +tcg-s390x-Fix-encoding-of-VRIc-VRSa-VRSc-insns.patch
    fix chacha20 issue on s390x
  * update hw-vfio-fix-iteration-over-global-VFIODevice-list.patch

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 18 Jan 2024 10:16:31 +0300

qemu (1:8.2.0+ds-4ubuntu2) noble; urgency=medium

  * Move glusterfs storage driver to Universe in a new package
    (LP: #2045063):
    - d/control{,-in}: new package qemu-block-supplemental for drivers
      we want in Universe
    - d/rules: we only want block-gluster.so in the new
      qemu-block-supplemental package. Adjust dynamically-created
      maintainer scripts for qemu-block-extra and -supplemental.

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 02 Feb 2024 14:07:00 -0300

qemu (1:8.2.0+ds-4ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2048802, #2048776). Remaining changes:
    - qemu-kvm to systemd unit
      - d/qemu-kvm-init: script for QEMU KVM preparation modules, ksm,
        hugepages and architecture specifics
      - d/qemu-system-common.qemu-kvm.service: systemd unit to call
        qemu-kvm-init
      - d/qemu-system-common.install: install helper script
      - d/qemu-system-common.qemu-kvm.default: defaults for
        /etc/default/qemu-kvm
      - d/rules: call dh_installinit and dh_installsystemd for qemu-kvm
    - Distribution specific machine type
      (LP 1304107 1621042 1776189 1761372 1761372 1776189)
      - d/p/ubuntu/define-ubuntu-machine-types.patch: define distro machine
        types containing release versioned machine attributes
      - Add an info about -hpb machine type in debian/qemu-system-x86.NEWS
      - ubuntu-q35 alias added to auto-select the most recent q35 ubuntu type
    - Enable nesting by default
      - d/p/ubuntu/enable-svm-by-default.patch: Enable nested svm by default
        in qemu64 on amd
        [ No more strictly needed, but required for backward compatibility ]
    - tolerate ipxe size change on migrations to >=18.04 (LP 1713490)
      - d/p/ubuntu/pre-bionic-256k-ipxe-efi-roms.patch: old machine types
        reference 256k path
      - d/control-in: depend on ipxe-qemu-256k-compat-efi-roms to be able to
        handle incoming migrations from former releases.
    - Ease the use of module retention on upgrades (LP 1913421)
      - debian/qemu-block-extra.postinst: enable mount unit on install/upgrade
    - Remaining GCC-12 FTBFS (LP 1988710 + LP 1921664)
      + d/p/u/qboot-Disable-LTO-for-ELF-binary-build-step.patch:
        fix qboot FTBFS with LTO
  * Drop changes:
    - d/p/u/lp2003673-*.patch: Enable passthrough of IBM Z crypto
      hardware to Secure Execution guests. (LP #2003673)
      [ Incorporated by upstream on version 8.2.0. ]
  * Add changes:
    - d/rules: Enable/disable extra features on microvm
      variant. (LP: #2045594)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 10 Jan 2024 19:10:46 -0500

qemu (1:8.2.0+ds-4) unstable; urgency=medium

  * d/rules: fix "tail -20" usage
  * note-missing-module-pkg-name.diff: update, to be much more accurate
    No more sporadic warnings about missing audio backends etc
  * d/control: clarify qemu-system-gui and qemu-system-modules-* package
    descriptions a little bit (#1059457)
  * more fixups from the ML targetting stable:
   + hw-net-cadence_gem-fix-MDIO_OP_xxx-values.patch
   + tcg-ppc-use-new-registers-for-LQ-destination.patch
   + target-riscv-fix-mcycle-minstret-increment-behavior.patch
  * a bunch of hppa and seabios-hppa fixes targetting -stable for
    https://gitlab.com/qemu-project/qemu/-/issues/2044

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 04 Jan 2024 22:47:59 +0300

qemu (1:8.2.0+ds-3) unstable; urgency=medium

  * +virtio-net-correctly-copy-vnet-header-when-flushing-TX-CVE-2023-6693.patch
    Fix CVE-2023-6693 (virtio-net: stack buffer overflow in virtio_net_flush_tx)
  * +target-i386-the-sgx_epc_get_section-stub-is-reachable.patch
  * +target-xtensa-fix-OOB-TLB-entry-access.patch
  * d/rules: print last 20 lines of config.log & meson.log if ./configure fails

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 02 Jan 2024 15:54:35 +0300

qemu (1:8.2.0+ds-2) unstable; urgency=medium

  * include-ui-rect.h-fix-qemu_rect_init-mis-assignment.patch
    fixes virtio-gpu redraw issue (Closes: #1059211)
  * hw-vfio-fix-iteration-over-global-VFIODevice-list.patch
    fixes reboot issue with virtio-gpu
  * target-i386-do-not-re-compute-new-pc-with-CF_PCREL.patch
    fixes 4M edk2 stall in i386 tcg mode
  * block-fix-crash-when-loading-snapshot-on-inactive-no.patch
    fix possible assertion failure when loading snapshot

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 02 Jan 2024 12:10:14 +0300

qemu (1:8.2.0+ds-1) unstable; urgency=medium

  * new upstream release 8.2.0
    Closes: #1013952
  * d/rules: re-enable building static-pie binaries (the default) for
    qemu-user-static again (formally Closes: #1053101, LP:#1908331)
  * d/rules: add --disable-pie for static build on i386 due to #1056739
  * d/control: qemu-system-x86 depends on seabios >>1.16.3-1 due to ahci fix
  * d/qemu-user-static.lintian-overrides: +shared-library-lacks-prerequisites
    for static-pie executables
  * d/rules: omit qemu-user-static package from dh_shlibdeps run
    since dpkg-shlibdeps complains about static-pie binaries
  * d/rules: fix bugzilla.redhat.com url (migrated to issues.redhat.com)
  * d/patches: remove patches applied upstream
  * d/patches, d/rules: use --disable-relocatable instead of a patch
  * d/patches: refresh disable-xen-on-x32.patch
  * d/control: --enable-pixman (which is optional now)
  * d/rules: vnc needs pixman too (for xen and microvm builds)
  * d/copyright: stop excluding subprojects/dtc (not included anymore)
  * d/source/lintian-overrides: +source-is-missing for vdso.so files

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 20 Dec 2023 18:21:19 +0300

qemu (1:8.1.3+ds-1ubuntu2) noble; urgency=medium

  * d/p/u/define-ubuntu-machine-types.patch: Remove -hpb Noble machine
    types, as they are not needed by OpenStack anymore. (LP: #2045592)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 04 Dec 2023 16:44:44 -0500

qemu (1:8.1.3+ds-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2044425, #2039700). Remaining changes:
    - qemu-kvm to systemd unit
      - d/qemu-kvm-init: script for QEMU KVM preparation modules, ksm,
        hugepages and architecture specifics
      - d/qemu-system-common.qemu-kvm.service: systemd unit to call
        qemu-kvm-init
      - d/qemu-system-common.install: install helper script
      - d/qemu-system-common.qemu-kvm.default: defaults for
        /etc/default/qemu-kvm
      - d/rules: call dh_installinit and dh_installsystemd for qemu-kvm
    - Distribution specific machine type
      (LP 1304107 1621042 1776189 1761372 1761372 1776189)
      - d/p/ubuntu/define-ubuntu-machine-types.patch: define distro machine
        types containing release versioned machine attributes
      - Add an info about -hpb machine type in debian/qemu-system-x86.NEWS
      - ubuntu-q35 alias added to auto-select the most recent q35 ubuntu type
    - Enable nesting by default
      - d/p/ubuntu/enable-svm-by-default.patch: Enable nested svm by default
        in qemu64 on amd
        [ No more strictly needed, but required for backward compatibility ]
    - tolerate ipxe size change on migrations to >=18.04 (LP 1713490)
      - d/p/ubuntu/pre-bionic-256k-ipxe-efi-roms.patch: old machine types
        reference 256k path
      - d/control-in: depend on ipxe-qemu-256k-compat-efi-roms to be able to
        handle incoming migrations from former releases.
    - Ease the use of module retention on upgrades (LP 1913421)
      - debian/qemu-block-extra.postinst: enable mount unit on install/upgrade
    - Remaining GCC-12 FTBFS (LP 1988710 + LP 1921664)
      + d/p/u/qboot-Disable-LTO-for-ELF-binary-build-step.patch:
        fix qboot FTBFS with LTO
    - d/p/u/lp2003673-*.patch: Enable passthrough of IBM Z crypto
      hardware to Secure Execution guests. (LP #2003673)
  * Drop changes:
    - d/rules: Incorporate the following changes from Debian unstable, in
      order to fix the FTBFS caused by -fcf-protection:
      + d/rules: move icons install rules to install-misc section
      + d/rules: stop running whole thing with dh, take back *-indep sequence
      + d/rules: implement arch-dependent install/build targets without dh too
      [ Fixed in Debian. ]
    - d/rules: Get rid of binary-helper target; explicitly invoke its
      commands under binary-{arch,indep}.  This makes the build succeed
      again in Ubuntu, where binary-helper wasn't being properly invoked.
      [ Fixed in Debian. ]
    - d/p/u/lp2003673-update-linux-headers-6.3rc5.patch,
      d/p/u/lp2003673-update-linux-headers-6.5rc1.patch,
      d/p/u/lp2003673-s390x-fix-missing-subsystem-reset-registration.patch:
      Drop some of the patches to Enable passthrough of IBM Z crypto
      hardware to Secure Execution guests. (LP #2003673)
      [ Applied upstream. ]

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 22 Nov 2023 21:34:19 -0500

qemu (1:8.1.3+ds-1) unstable; urgency=medium

  * new upstream stable/bugfix release
  * remove patches applied upstream:
   - linux-user-Fixes-for-zero_bss.patch
   - target-mips-Fix-MSA-BZ-BNZ-opcodes-displacement.patch
   - hw-ide-reset-cancel-async-DMA-operation-before-reset.patch
  * d/control, d/qemu-system-gui.install: enable pipewire audio support
    (Closes: #1055221)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 22 Nov 2023 17:56:06 +0300

qemu (1:8.1.2+ds-1) unstable; urgency=medium

  * upstream 8.1.2 stable/bugfix release
  * remove all stable-staging/ patches and two more
    (all included into 8.1.2)
  * d/rules: microvm build: do not explicitly enable avx2

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 17 Oct 2023 09:44:39 +0300

qemu (1:8.1.1+ds-2) unstable; urgency=medium

  * d/rules: fix binary target to produce both arch and indep
    binaries instead of omitting indep one(s)
  * d/patches: sync with current staging-8.1 branch, many new fixes
  * additional fixes:
    +hw-ide-ahci-fix-legacy-software-reset.patch
    +target-mips-Fix-MSA-BZ-BNZ-opcodes-displacement.patch
    +hw-ide-reset-cancel-async-DMA-operation-before-reset.patch

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 08 Oct 2023 12:28:55 +0300

qemu (1:8.1.1+ds-1) unstable; urgency=medium

  * new upstream stable/bugfix release
  * remove all stable-staging/ patches, keep
    softmmu-Use-async_run_on_cpu-in-tcg_commit.patch
  * vfio-display-fix-missing-update-to-set-backing-field.patch
  * scsi-disk-disallow-small-block-sizes-CVE-2023-42467.patch
    (Closes: #1051899, CVE-2023-42467)
  * migration-qmp-Fix-crash-on-setting-tls-authz-with-nu.patch
  * d/patches/move-vl-opts/ - stop linking everything with async-teardown.c,
    un-FTBFS on ia64
  * d/control: minor: remove old todo comments
  * d/control: disable rbd (ceph) on 32bit platforms (Closes: #1053172)
  * d/control: enable rbd on riscv64 once it's built there
  * d/copyright: also remove subprojects/dtc

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 01 Oct 2023 22:11:24 +0300

qemu (1:8.1.0+ds-6) unstable; urgency=medium

  * re-enable softmmu-Use-async_run_on_cpu-in-tcg_commit.patch
  * add https://www.mail-archive.com/qemu-devel@nongnu.org/msg989073.html
    fixing https://gitlab.com/qemu-project/qemu/-/issues/1866
  * d/rules: reorder some definitions to evaluate in proper order

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 20 Sep 2023 23:31:59 +0300

qemu (1:8.1.0+ds-5) unstable; urgency=medium

  * disable softmmu-Use-async_run_on_cpu-in-tcg_commit.patch
    The change in softmmu-Use-async_run_on_cpu-in-tcg_commit.patch
    which is a fix for https://gitlab.com/qemu-project/qemu/-/issues/1864
    (x86 VM with TCG and SMP fails to start on 8.1.0)
    introduces https://gitlab.com/qemu-project/qemu/-/issues/1866
  * more patches from stable-staging
  * re-introduce qemu-debootstrap for now until all users of it will
    be converted to regular debootstrap

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 17 Sep 2023 19:10:34 +0300

qemu (1:8.1.0+ds-4) unstable; urgency=medium

  * d/changelog: fix spelling
  * +linux-user-Fixes-for-zero_bss.patch: fix linux-user zero_bss bug
  * many small changes for d/rules
  * d/rules: split out qemu-user build out out of main qemu build
    When both system and linux-user builds are enabled, linux-user
    build is getting features only relevant for system (softmmu)
    configuration, like linking with liburing, libnuma and other
    softmmu-only stuff.  So build it separately.
    This not only makes qemu-user smaller and neater, but it also
    makes Built-Using field for qemu-user-static (which is generated
    from Depends field of qemu-user) accurate.
  * d/qemu-user[-static].docs: use unprocessed .rst doc instead of html
  * d/rules: check for nocheck in DEB_BUILD_PROFILES too,
    not only DEB_BUILD_OPTIONS
  * d/rules, d/control: disable build-time test due to apparent dak bug

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 11 Sep 2023 14:19:32 +0300

qemu (1:8.1.0+ds-3) unstable; urgency=medium

  * d/control: split out most of Build-Depends to Build-Depends-Arch, in order
    to break B-D loop on qemu-system-data (it is only needed for -Arch) and
    to reduce arch-all build time.
    Only very few things left in common Build-Depends.
  * Removing most things from B-D discovered that skiboot includes openssl
    header(s) (!), so add libssl-dev to Build-Depends-Indep.
  * d/control,d/rules: introduce build profiles to omit building some packages
    (mostly debugging aid, to reduce test build run time).
  * d/rules: use ninja directly for various qemu builds
    (non-verbose build now shows errors/warnings nicely)
  * d/control: Rules-Requires-Root: "binary-targets", not "no", -
    this enables building as non-root, finally
  * d/rules: add forgotten -p for mkdir b/user-static
  * d/not-installed: list 2 files from user/ manual
    (which is built even on unsupported architectures)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 10 Sep 2023 01:30:15 +0300

qemu (1:8.1.0+ds-2) unstable; urgency=medium

  * d/control: fix descriptions of qemu-system-gui and
    qemu-system-modules-spice packages
  * update lintian-overrides
  * d/rules: enable verbose (-v) build for qboot
  * d/rules: move lto control to where it actually works
  * d/rules: remove usage of "standard dh sequencer".
    It has multiple issues.  To name a few:
    - it exports CFLAGS &Co which breaks badly when trying to compile
      bios/firmware code (fixes FTBFS with new -fcf-protection)
    - it performs multiple recursive calls to d/rules which is
      slow when make variables are set using $(shell), - annoying
      when debugging
    - it hides actual actions being done at install/binary stages
    - it is confusing in override_dh_foo{,-indep,-arch}
    - it does just too much unknown magic, - just give the control
      back.

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 09 Sep 2023 22:37:02 +0300

qemu (1:8.1.0+ds-1) unstable; urgency=medium

  * d/changelog: mention closing of #984451, CVE-2021-20255 by 8.1
  * d/changelog: mention closing of #1041471 by 8.1
  * d/patches: add patches currenly staged for 8.1.1
  * d/gbp.conf: switch from experimental to master
  * upload to unstable

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 09 Sep 2023 17:03:54 +0300

qemu (1:8.1.0+ds-1~exp2) experimental; urgency=medium

  * qemu-system-modules-spice & qemu-system-modules-opengl packages,
    containing optional spice and opengl modules from qemu-system-common.
    Both are recommended by all qemu-system-* but can be removed if not
    used, to reduce list of dependencies.

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 23 Aug 2023 12:37:55 +0300

qemu (1:8.1.0+ds-1~exp1) experimental; urgency=medium

  * new upstream release
    Closes: #1041102, CVE-2023-3019 (NIC DMA reentrancy issue, problem class)
    Closes: CVE-2021-3750 (DMA MMIO reentrancy issue, problem class)
    Closes: #984451, CVE-2021-20255 (DMA reentrancy issue)
    Closes: #1041471 (qemu-user armel commpage mapping bug)
  * d/watch: change repack suffix to +ds
  * d/patches: remove patches applied upstream
  * disable-xen-on-x32.patch: refresh
  * d/copyright: stop stripping dtc/ and meson/, removed upstream
  * d/rules: replace --with-git-submodules=ignore with --disable-download
  * d/control: build-depend on python3-venv
  * d/control: bump minimum meson version to 0.63.0
  * d/control: build-depend on seabios & qemu-system-data for the testsuite.
    qemu testsuite runs qemu-system binaries which require firmware even for
    simple tests
  * d/rules: run `make check-block' after the main build, as a minimal test
    for now
  * qemu-img-omit-errno-value-in-error-message.patch fixes check-block tests
    on mips* where errno values are different from other architectures.
  * late fix for 8.1 linux-user-Adjust-brk-for-load_bias.patch

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 23 Aug 2023 08:01:13 +0300

qemu (1:8.0.4+dfsg-3) unstable; urgency=medium

  * d/rules: export PYTHONDONTWRITEBYTECODE=1 to stop generating .pyc files
    (Closes: #1046056)
  * d/control: list more CPU types emulated by qemu in package descriptions
  * d/control: refine qemu-system-gui package description
  * d/rules: remove --interp-prefix= configure option
  * late fix for 8.1: target-arm-Fix-SME-ST1Q.patch
  * late fix for 8.1: target-arm-Fix-64-bit-SSRA.patch
  * d/control: remove old versions from build-deps

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 22 Aug 2023 20:15:07 +0300

qemu (1:8.0.4+dfsg-2) unstable; urgency=medium

  * remove linux-user-show-heap-address-in-proc-pid-maps.patch
  * pick 2 nvme fixes from upstream:
   - hw-nvme-fix-oob-memory-read-in-fdp-events-log-CVE-2023-4135.patch
     Closes: #1050142, CVE-2023-4135
   - hw-nvme-fix-null-pointer-access-in-directive-receive-CVE-2023-40360.patch
     Closes: #1050140, CVE-2023-40360
  * d/rules: --enable-virtfs (--enable-attr --enable-cap-ng) for xen build
    to enable 9pfs (Closes: #1049925)
  * d/rules: run-qemu.mount is linux-specific too
    (if we ever do non-linux system build)
  * d/control: disable sndio on debian too (disabled on ubuntu), for now anyway
  * d/*.install, d/rules: explicitly list all qemu-system modules
  * d/control: build-depend on libglib2.0-dev (forgotten!) and zlib1g-dev,
    move the two to the top before all optional deps
  * d/changelog: fix 7.1+dfsg-1 changelog entry (qemu-user and qemu-system)

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 21 Aug 2023 09:57:59 +0300

qemu (1:8.0.4+dfsg-1ubuntu5) noble; urgency=medium

  * d/p/u/lp2003673-*.patch: Enable passthrough of IBM Z crypto
    hardware to Secure Execution guests. (LP: #2003673)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 16 Nov 2023 10:35:58 -0500

qemu (1:8.0.4+dfsg-1ubuntu4) noble; urgency=medium

  * Rebuild against new libnfs14.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2023 10:46:01 +0200

qemu (1:8.0.4+dfsg-1ubuntu3) mantic; urgency=medium

  * d/rules: Get rid of binary-helper target; explicitly invoke its
    commands under binary-{arch,indep}.  This makes the build succeed
    again in Ubuntu, where binary-helper wasn't being properly invoked.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 03 Oct 2023 18:13:20 -0400

qemu (1:8.0.4+dfsg-1ubuntu2) mantic; urgency=medium

  * d/rules: Incorporate the following changes from Debian unstable, in
    order to fix the FTBFS caused by -fcf-protection:
    - d/rules: implement arch-dependent install/build targets without dh too
    - d/rules: stop running whole thing with dh, take back *-indep sequence
    - d/rules: move icons install rules to install-misc section

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 27 Sep 2023 14:53:27 -0400

qemu (1:8.0.4+dfsg-1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - qemu-kvm to systemd unit
      - d/qemu-kvm-init: script for QEMU KVM preparation modules, ksm,
        hugepages and architecture specifics
      - d/qemu-system-common.qemu-kvm.service: systemd unit to call
        qemu-kvm-init
      - d/qemu-system-common.install: install helper script
      - d/qemu-system-common.qemu-kvm.default: defaults for
        /etc/default/qemu-kvm
      - d/rules: call dh_installinit and dh_installsystemd for qemu-kvm
    - Distribution specific machine type
      (LP 1304107 1621042 1776189 1761372 1761372 1776189)
      - d/p/ubuntu/define-ubuntu-machine-types.patch: define distro machine
        types containing release versioned machine attributes
      - Add an info about -hpb machine type in debian/qemu-system-x86.NEWS
      - ubuntu-q35 alias added to auto-select the most recent q35 ubuntu type
    - Enable nesting by default
      - d/p/ubuntu/enable-svm-by-default.patch: Enable nested svm by default
        in qemu64 on amd
        [ No more strictly needed, but required for backward compatibility ]
    - tolerate ipxe size change on migrations to >=18.04 (LP 1713490)
      - d/p/ubuntu/pre-bionic-256k-ipxe-efi-roms.patch: old machine types
        reference 256k path
      - d/control-in: depend on ipxe-qemu-256k-compat-efi-roms to be able to
        handle incoming migrations from former releases.
    - Ease the use of module retention on upgrades (LP 1913421)
      - debian/qemu-block-extra.postinst: enable mount unit on install/upgrade
    - Remaining GCC-12 FTBFS (LP 1988710 + LP 1921664)
      + d/p/u/qboot-Disable-LTO-for-ELF-binary-build-step.patch:
        fix qboot FTBFS with LTO

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 14 Aug 2023 16:28:34 -0400

qemu (1:8.0.4+dfsg-1) unstable; urgency=medium

  * new upstream stable/bugfix release
    Closes: CVE-2023-3180 (virtual crypto virtio_crypto_handle_sym_req)
    Closes: CVE-2023-3354 (VNC server QIOChannel NULL ptr deref)
    Closes: CVE-2023-3255 (VNC: infinite loop in inflate_buffer)
  * d/patches: remove patches picked up from stable-staging branch
    which are applied in 8.0.4
  * d/control: build-depend on libglib2.0-dev (forgotten!) and zlib1g-dev,
    move the two to the top before all optional deps
  * remove xen-specific wrapper for qemu-system-i386
    (needed for bookworm upgrade only)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 11 Aug 2023 22:13:36 +0300

qemu (1:8.0.3+dfsg-5) unstable; urgency=medium

  * remove previous 2 mmap/brk patches for now
     linux-user-optimize-memory-layout-for-static-and-dyn.patch
     linux-user-load-pie-executables-at-upper-memory.patch
    These are intended for 8.1, and causes other issues on 8.0.
    Closes: #1042808
    Reopens: #1040981

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 02 Aug 2023 10:55:50 +0300

qemu (1:8.0.3+dfsg-4ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2028873, #2028124). Remaining changes:
    - qemu-kvm to systemd unit
      - d/qemu-kvm-init: script for QEMU KVM preparation modules, ksm,
        hugepages and architecture specifics
      - d/qemu-system-common.qemu-kvm.service: systemd unit to call
        qemu-kvm-init
      - d/qemu-system-common.install: install helper script
      - d/qemu-system-common.qemu-kvm.default: defaults for
        /etc/default/qemu-kvm
      - d/rules: call dh_installinit and dh_installsystemd for qemu-kvm
    - Distribution specific machine type
      (LP 1304107 1621042 1776189 1761372 1761372 1776189)
      - d/p/ubuntu/define-ubuntu-machine-types.patch: define distro machine
        types containing release versioned machine attributes
      - Add an info about -hpb machine type in debian/qemu-system-x86.NEWS
      - ubuntu-q35 alias added to auto-select the most recent q35 ubuntu type
    - Enable nesting by default
      - d/p/ubuntu/enable-svm-by-default.patch: Enable nested svm by default
        in qemu64 on amd
        [ No more strictly needed, but required for backward compatibility ]
    - tolerate ipxe size change on migrations to >=18.04 (LP 1713490)
      - d/p/ubuntu/pre-bionic-256k-ipxe-efi-roms.patch: old machine types
        reference 256k path
      - d/control-in: depend on ipxe-qemu-256k-compat-efi-roms to be able to
        handle incoming migrations from former releases.
    - Ease the use of module retention on upgrades (LP 1913421)
      - debian/qemu-block-extra.postinst: enable mount unit on install/upgrade
    - Remaining GCC-12 FTBFS (LP 1988710 + LP 1921664)
      + d/p/u/qboot-Disable-LTO-for-ELF-binary-build-step.patch:
        fix qboot FTBFS with LTO

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 31 Jul 2023 23:09:27 -0400

qemu (1:8.0.3+dfsg-4) unstable; urgency=medium

  * more linux-user address fixes from Helge Deller
    Remove
     stable-staging/linux-user-fix-qemu-arm-to-run-static-armhf-binaries.patch
     linux-user-limit-brk-adjustment-wrt-interp.brk-to-arm32.patch
    Add
     linux-user-show-heap-address-in-proc-pid-maps.patch
     linux-user-optimize-memory-layout-for-static-and-dyn.patch
     linux-user-load-pie-executables-at-upper-memory.patch
    This *might* fix #1041859.
  * stable-staging/tcg-ppc-fix-race-in-goto_tb-implementation.patch
    fix qemu sigsegv on ppc -smp. Should fix autopkgtests (debvm, others)
  * Stop passing --no-start to qga's dh_installsystemd.
    qga is activated from an udev rule, but we need to restart it on upgrade.
    Change by Sergio Durigan.  Closes: LP#2028124.

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 26 Jul 2023 07:51:20 +0300

qemu (1:8.0.3+dfsg-3) unstable; urgency=medium

  * d/control: glusterfs: drop pre-buster glusterfs-common alternative,
    restrict glusterfs support to 64bit (see #1039604)
  * linux-user-limit-brk-adjustment-wrt-interp.brk-to-arm32.patch
    Fix (band-aid for now) an unexpected breakage caused by the previous
    patch in this area which fixes static executables loading on armhf.
  * d/binfmt-install: update mips* magic strings from upstream commit
    77d119dd335f910c7:
    mips: allow nonzero EI_ABIVERSION, distinguish o32 and n32
    (Closes: #1041597)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 22 Jul 2023 11:53:38 +0300

qemu (1:8.0.3+dfsg-2) unstable; urgency=medium

  * d/patches: set Forwarded: URLs for some patches
  * add 5 qemu-user fixes staging for the next stable:
   linux-user-make-sure-initial-brk-0-is-page-aligned.patch
   linux-user-fix-qemu-brk-to-not-zero-bytes-on-current-page.patch
   linux-user-prohibit-brk-to-to-shrink-below-initial-address.patch
   linux-user-fix-signed-math-overflow-in-brk-syscall.patch
   linux-user-fix-qemu-arm-to-run-static-armhf-binaries.patch
   (Closes: #1040981)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 20 Jul 2023 09:59:49 +0300

qemu (1:8.0.3+dfsg-1) unstable; urgency=medium

  * new upstream stable/bugfix release 8.0.3
    Including the following security fix(es):
    - 9pfs: prevent opening special files (CVE-2023-2861)
  * remove patches now included upstream:
   - hw-mips-malta-fix-the-malta-machine-on-big-endian-hosts.patch
   - qga-fix-suspend-on-linux-guests-without-systemd.patch
   - hw_intc_allwinner-a10-pic-handle-IRQ-levels-other-than-0-or-1.patch
   - linux-user-Avoid-mmap-of-the-last-byte-of-the-reserv.patch
  * d/rules: omit qemu-systemd-data from dh_dwz run
  * d/rules: create qemu-system-armhf & qemu-system-armel aliases
    for qemu-system-arm (Closes: #1040209)

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 11 Jul 2023 15:07:04 +0300

qemu (1:8.0.2+dfsg-3) unstable; urgency=medium

  * d/patches/*: update, add DEP-3 headers
  * d/rules: strip ../../ prefix from compile paths
    to undo sub-subdir build (-ffile-prefix-map)
  * linux-user-Avoid-mmap-of-the-last-byte-of-the-reserv.patch:
    (hackish) fix for recent memory failures

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 29 Jun 2023 18:36:33 +0300

qemu (1:8.0.2+dfsg-2ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2018103). Remaining changes:
    - qemu-kvm to systemd unit
      - d/qemu-kvm-init: script for QEMU KVM preparation modules, ksm,
        hugepages and architecture specifics
      - d/qemu-system-common.qemu-kvm.service: systemd unit to call
        qemu-kvm-init
      - d/qemu-system-common.install: install helper script
      - d/qemu-system-common.qemu-kvm.default: defaults for
        /etc/default/qemu-kvm
      - d/rules: call dh_installinit and dh_installsystemd for qemu-kvm
    - Distribution specific machine type
      (LP 1304107 1621042 1776189 1761372 1761372 1776189)
      - d/p/ubuntu/define-ubuntu-machine-types.patch: define distro machine
        types containing release versioned machine attributes
      - Add an info about -hpb machine type in debian/qemu-system-x86.NEWS
      - ubuntu-q35 alias added to auto-select the most recent q35 ubuntu type
    - Enable nesting by default
      - d/p/ubuntu/enable-svm-by-default.patch: Enable nested svm by default
        in qemu64 on amd
        [ No more strictly needed, but required for backward compatibility ]
    - tolerate ipxe size change on migrations to >=18.04 (LP 1713490)
      - d/p/ubuntu/pre-bionic-256k-ipxe-efi-roms.patch: old machine types
        reference 256k path
      - d/control-in: depend on ipxe-qemu-256k-compat-efi-roms to be able to
        handle incoming migrations from former releases.
    - Ease the use of module retention on upgrades (LP 1913421)
      - debian/qemu-block-extra.postinst: enable mount unit on install/upgrade
    - Remaining GCC-12 FTBFS (LP 1988710 + LP 1921664)
      + d/p/u/qboot-Disable-LTO-for-ELF-binary-build-step.patch:
        fix qboot FTBFS with LTO
  * Drop changes:
    - d/control-in: libnfs is in main since focal, enable direct nfs
      storage support (LP 1988704)
      [ Adopted by Debian. ]
    - d/control-in: libsndio is in universe in ubuntu
      [ Adopted by Debian. ]
    - Fix FTBFS with glibc >= 2.36. (LP #2015418)
      + d/p/fix-ftbfs-glibc-*.patch: Revert now-unnecessary
        upstream commits that were working around a glibc issue.
      [ Incorporated upstream. ]
    - d/qemu-system-x86.README.Debian: add info about updated nesting changes
      [ Debian linked the qemu-system-x86 documentation with the
        qemu-system-common package, rendering this README file not
        applicable. ]
    - d/p/u/allow-repeating-hot-unplug-requests.patch: Allow repeating
      hot-unplug requests by making ACPI PCI able to requeue them.
      (LP #2018733)
      [ Applied upstream. ]

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 19 Jun 2023 15:45:09 -0400

qemu (1:8.0.2+dfsg-2) unstable; urgency=medium

  * d/rules: --enable-libusb for xen build (Closes: #1037341)
  * reapply linux-user-binfmt-P.diff.
    Re-rely on qemu-user's argv0 to detect it is running in binfmt context.
    The problem is that while we ship kernel which can pass this info the
    qemu way, there are many containers which are running on older kernels
    still, including bullseye kernel (5.10) which does not have this feature.
    Keep it for a bit more.
  * hw_intc_allwinner-a10-pic-handle-IRQ-levels-other-than-0-or-1.patch
    Pick a patch from upstream mailinglist to fix regression in 8.0.2

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 15 Jun 2023 22:25:50 +0300

qemu (1:8.0.2+dfsg-1) unstable; urgency=medium

  * new upstream stable/bugfix release
    Closes: #1029155, CVE-2023-0330:
    A DMA-MMIO reentrancy problem in lsi53c895a device
  * keep full upstream version number, not just first 2 components
    (Closes: #855966)
  * d/copyright: remove stray newline
  * d/control: drop libuuid-dev build-dep (not used)
  * clarify files in d/not-installed just a little bit
  * fixup qemu(1) refs in qemu-storage-daemon(1)
  * move qemu-storage-daemon and qemu-block-drivers.7
    from qemu-system-common to qemu-utils
  * remove patches now included upstream:
   - linux-user-fix-getgroups-setgroups-allocations.patch
   - rtl8139-fix-large_send_mss-divide-by-zero.patch
   - target_i386-Change-wrong-XFRM-value.patch
  * qga-fix-suspend-on-linux-guests-without-systemd.patch
    (hopefully Closes: #1004943)
  * d/rules: disable pvrdma (Closes: #1034179, CVE-2023-1544)
    CVE-2023-1544:
     huge number of page tables for a ring of descriptors for CQ and
     async events, potentially leading to an OOB read and crash

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 11 Jun 2023 11:49:17 +0300

qemu (1:8.0+dfsg-4) experimental; urgency=medium

  * d/control: do not use --enable-spice on sh4 and --enable-seccomp
    on hppa where qemu-system is not being built
  * spelling-information.patch: add headers
  * merge d/qemu-system-x86.NEWS into d/qemu-system-common.NEWS
  * d/rules: migrate docs for individual qemu-system-foo into symlinks
    pointing to qemu-system-common docs
  * d/rules: move qemu-user-binfmt doclink to the proper place,
    and remove installdocs and installchangelogs overrides
  * d/qemu-system-common.README.Debian, d/qemu-user*.README.Debian:
    update statement about ppc64el in READMEs
  * d/rules: switch to more declarative approach to generating various
    qemu-system-foo packages, fix some bugs
  * d/rules: switch to use "-" in variable names instead of "_"
    to avoid exporting variables from environment
  * add qemu-system-for-arch package (commented-out for now)
  * refresh d/source/lintian-overrides

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 21 Apr 2023 19:11:53 +0300

qemu (1:8.0+dfsg-3) experimental; urgency=medium

  * Release highlights:
    - build only tools on unsupported arches
    - much easier arch control in a single place
    - much easier dependency/options control
    - stop building system targets on ia64 and kfreebsd
  * d/control: generate Architecture: field dynamically from d/rules
  * demote ia64 and kfreebsd from system arches to tools arches
  * include m68k into list of utils arches
  * optional dependencies and --enable-feature in d/control:
    - update d/extract-config-opts to expect dpkg-like [arch] patterns
    - d/control: unify and simplify arch strings for --enable-foo
      and dependencies
    - d/control: switch some build-deps to [:system-arch:]
  * stop using --enable-tcg-interpreter for unsupported arches,
    add --enable-tools for main qemu build
  * provide --disable-xkbcommon to stop building qemu-keymap tool (!)
  * d/rules: for !enable-system build, remove qemu.1 manpage
  * install upstream qemu.desktop file instead of debian-specific
  * d/*.install: list files relative to d/tmp/, use ${DEB_HOST_MULTIARCH}
  * d/qemu-system-common.install: move 3 linux-specific files
    from d/rules to here
  * d/rules: move qemu-block-extrs maintscript/savedir generation
    to instide enable-system

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 20 Apr 2023 20:50:35 +0300

qemu (1:8.0+dfsg-2) experimental; urgency=medium

  * re-add the dropped-on-the-way Provides: qemu-system-any
  * specify versions for all Provides: so it's possible to add versioned deps
    (including qemu-system-any and qemu-kvm)
  * d/control: collapse Depends: qemu-system-* into tne new qemu-system-any
  * drop Breaks:/Replaces: qemu-kvm (it was for old qemu-kvm binary pkg)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 20 Apr 2023 13:09:57 +0300

qemu (1:8.0+dfsg-1) experimental; urgency=medium

  * New qemu release 8.0.0.
  * remove binfmt-support registration, use systemd binfmd.d/ only
    No more binfmt-support support. Unregister any entries on upgrades.
  * binfmt: ship (but not enable) entries for all arches, do not omit native
    Ship all really-foreign binfmt entries in /usr/lib/binfmt.d/ as usual,
    to be enable automatically at package install. Also ship the
    same-cpu-family entries in /usr/share/doc/qemu-user-static/qemu-foo.conf -
    this way it will not be enabled automatically but it will be possible to
    (carefully) symlink the needed additional entries to /etc/binfmt.d/.
    (Closes: #924667, #1016810, #1027781)
  * qemu-system-*: add extra names to use as qemu-system-${DEB_HOST_ARCH_CPU},
    for both the Provides: line and executable file names. See
    /usr/share/doc/qemu-system-common/README.Debian.
  * qemu-system-*: also Provides: qemu-system-any
  * qemu-system-ppc: provide qemu-kvm on ppc64el too, the same as ppc64
  * qemu-user, qemu-user-static: provide qemu-${DEB_HOST_ARCH}[-static]
    aliases too, when qemu arch is different from debian arch. See
    /usr/share/doc/qemu-user[-static]/README.Debian.
  * d/binfmt-install: fix disabled .conf entries install for qemu-user-binfmt
    (those goes to qemu-user doc dir, not qemu-user-binfmt doc dir)
  * d/control: remove old (pre-bullseye) Breaks/Replaces
  * qemu-bridge-helper-path.patch: use the right path for qemu-bridge-helper
    in docs (Closes: #1027447)
  * d/qemu-system-common.NEWS: document dropping of virtiofsd
  * d/rules: add comment saying why savemoddir block needs to be generated
  * stop trying to provide os-specific qemu-ifup
  * two more spelling fixes for mistyped "information"

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 20 Apr 2023 04:19:06 +0300

qemu (1:8.0~rc4+dfsg-2) experimental; urgency=medium

  [ Vagrant Cascadian ]
  * debian/rules: Use 'printf' instead of 'echo' to avoid
    differences in underlying /bin/sh implementations.
    Closes: #1034431

  [ Michael Tokarev ]
  * Provide Debian architecture names for qemu-system-foo packages and
    binaries, for arm64, armel, armhf, powerpc, amd64, loong64 and ppc64el.
    It is now possible to run qemu-system-$debianarch binary or depend on
    qemu-system-$debianarch package. This should simplify various tools
    for cross compilation and the like. Also Closes: #825841.
  * d/qemu-system-ppc.README.Debian: remove obsolete README about video.x

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 18 Apr 2023 05:04:04 +0300

qemu (1:8.0~rc4+dfsg-1) experimental; urgency=medium

  * update to 8.0.0-rc4
  * d/rules, d/qemu.desktop: install a simple .desktop file in
    qemu-system-data so that qemu-system-foo has an icon under gnome/wayland
  * re-enable build on x32 - disable new CONFIG_XEN_EMU which is now enabled
    unconditionally on x86
  * d/patches: restore note-missing-module-pkg-name.diff
    (lost in one of previous commits)
  * pick 3 more fixes from qemu-devel@:
   +rtl8139-fix-large_send_mss-divide-by-zero.patch
   +target_i386-Change-wrong-XFRM-value.patch
   +hw_mips_malta-Fix-malta-machine-on-big-endian-hosts.patch

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 14 Apr 2023 12:25:57 +0300

qemu (1:8.0~rc3+dfsg-2) experimental; urgency=medium

  * d/rules: fix qemu.svg install and remove .png fallback icons again
    (qemu window still doesn't have an icon)
  * d/binfmt-install: fix systemd binfmt registration broken
    since previous upload
  * +linux-user-fix-getgroups-setgroups-allocations.patch (Closes: #811087)

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 10 Apr 2023 12:33:01 +0300

qemu (1:8.0~rc3+dfsg-1) experimental; urgency=medium

  * new upstream release candidate (8.0.0-rc3)
  * d/control: build-depend on gcc-powerpc-linux-gnu (for u-boot code)
  * d/rules: build u-boot-sam460 ppc firmware (u-boot-sam460-20100605.bin)
  * +u-boot-sam460ex-fdi.patch
  * +u-boot-sam460ex-mstring.patch
  * d/copyright: stop stripping roms/u-boot/, we need it for u-boot.e500
  * d/rules: build u-boot.e500 binary (Closes: #756833)
  * d/rules: install all png icons too (for gtk display)
  * d/rules: remove old compat qboot symlink
  * remove skip-meson-pc-bios.diff (and skip-unpack-edk2-blobs.patch),
    fix pc-bios/meson.build instead
  * remove d/get-orig-source.sh now when d/copyright is set up
  * d/source/options: stop diff-ignoring submodules

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 06 Apr 2023 09:50:41 +0300

qemu (1:8.0~rc2+dfsg-1) experimental; urgency=medium

  [ Michael Tokarev ]
  * new upstream 8.0 (rc2)
  Packaging changes:
  * d/rules, d/qemu-system-common.lintian-overrides:
    do not try to install virtiofsd, it is removed in qemu 8.0
  * d/rules: do not build sgabios, it is removed upstream in 8.0
  * spelling.diff: remove hunks which has been applied,
    adopt virtio.c=>virtio-hmp.c for remaining
  * patches: remove all patches from d/patches/master/ (picked from upstream)
  * hw-pvrdma-protect-against-guest-driver-CVE-2022-1050.patch:
    remove, also applied upstream
  * microvm-default-machine-type.patch: adjust for 8.0
  * openbios-address-of-packet-member.patch: remove, not needed anymore
  * d/control: build-depend on flex & bison
  * d/rules: it is --disable-install-blobs, not --disable-blobs for xen too
  * build microblaze firmware (petalogic-*.dtb) instead of using shipped one
  * remove microblaze firmware (petalogic-*.dtb) for -dfsg
  * remove previously deprecated qemu-debootstrap
  * stop using custom $argv[0] for binfmt
  * d/rules: always disable dwz if <<0.14
  * stop enabling avx512f for xen build (it is disabled by default)
  * d/rules: install .bmp icon, not .png


  [ Christian Ehrhardt ]
  * d/control-in: libsndio is in universe in ubuntu
  * d/control-in: libnfs is in main since focal,
    enable direct nfs storage support (LP: #1988704)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 31 Mar 2023 15:44:21 +0300

qemu (1:7.2+dfsg-5ubuntu3) mantic; urgency=medium

  * d/p/u/allow-repeating-hot-unplug-requests.patch: Allow repeating
    hot-unplug requests by making ACPI PCI able to requeue them.
    (LP: #2018733)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 18 May 2023 15:13:14 -0400

qemu (1:7.2+dfsg-5ubuntu2) lunar; urgency=medium

  * Fix FTBFS with glibc >= 2.36. (LP: #2015418)
    - d/p/fix-ftbfs-glibc-*.patch: Revert now-unnecessary
      upstream commits that were working around a glibc issue.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 05 Apr 2023 20:10:13 -0400

qemu (1:7.2+dfsg-5ubuntu1) lunar; urgency=medium

  * Re-merge with Debian unstable to pick up stabilization fixes
    remaining changes:
    - qemu-kvm to systemd unit
      - d/qemu-kvm-init: script for QEMU KVM preparation modules, ksm,
        hugepages and architecture specifics
      - d/qemu-system-common.qemu-kvm.service: systemd unit to call
        qemu-kvm-init
      - d/qemu-system-common.install: install helper script
      - d/qemu-system-common.qemu-kvm.default: defaults for
        /etc/default/qemu-kvm
      - d/rules: call dh_installinit and dh_installsystemd for qemu-kvm
    - Distribution specific machine type
      (LP: 1304107 1621042 1776189 1761372 1761372 1776189)
      - d/p/ubuntu/define-ubuntu-machine-types.patch: define distro machine
        types containing release versioned machine attributes
      - d/qemu-system-x86.NEWS Info on fixed machine type defintions
        for host-phys-bits=true
      - Add an info about -hpb machine type in debian/qemu-system-x86.NEWS
      - ubuntu-q35 alias added to auto-select the most recent q35 ubuntu type
    - Enable nesting by default
      - d/p/ubuntu/enable-svm-by-default.patch: Enable nested svm by default
        in qemu64 on amd
        [ No more strictly needed, but required for backward compatibility ]
    - tolerate ipxe size change on migrations to >=18.04 (LP: 1713490)
      - d/p/ubuntu/pre-bionic-256k-ipxe-efi-roms.patch: old machine types
        reference 256k path
      - d/control-in: depend on ipxe-qemu-256k-compat-efi-roms to be able to
        handle incoming migrations from former releases.
    - d/qemu-system-x86.README.Debian: add info about updated nesting changes
    - Ease the use of module retention on upgrades (LP 1913421)
      - debian/qemu-block-extra.postinst: enable mount unit on install/upgrade
    - d/control-in: switch qemu-system-x86-xen to qemu-system-xen as this
      landed in Debian but under a different name.
    - Remaining GCC-12 FTBFS (LP 1988710 + LP 1921664)
      + d/p/u/qboot-Disable-LTO-for-ELF-binary-build-step.patch:
        fix qboot FTBFS with LTO
    - d/control-in: libnfs is in main since focal, enable direct nfs
      storage support (LP 1988704)
    - d/control-in: libsndio is in universe in ubuntu

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 07 Mar 2023 08:50:45 +0100

qemu (1:7.2+dfsg-5) unstable; urgency=medium

  * d/qemu-guest-agent.udev: fix missing comma
    (Christian Schneider <debian@c-schneider.net>, Closes: #1031838)
  * remove qemu-make-debian-root.
    Ths script debian/qemu-make-debian-root has been broken for ages.
    In 2023, it creates /etc/fstab with a reference to /dev/hda1, and
    edits /etc/inittab which does not exist. And no one noticed, - so
    it's safe to assume it is not used anymore.  Just remove it.
  * re-pick qemu-stable patches from master (the same patch contents):
    master/tests-tcg-i386-Introduce-and-use-reg_t-consistently.patch
    master/target-i386-Fix-BEXTR-instruction.patch
    master/target-i386-Fix-C-flag-for-BLSI-BLSMSK-BLSR.patch
    master/target-i386-fix-ADOX-followed-by-ADCX.patch
  * 20 more changes picked from upstream/master:
    master/target-i386-Fix-BZHI-instruction.patch
    master/block-iscsi-fix-double-free-on-BUSY-or-similar-status.patch
    master/hw-smbios-fix-field-corruption-in-type-4-table.patch
    master/Revert-x86-do-not-re-randomize-RNG-seed-on-snapshot-.patch
    master/Revert-x86-re-initialize-RNG-seed-when-selecting-ker.patch
    master/Revert-x86-reinitialize-RNG-seed-on-system-reboot.patch
    master/Revert-x86-use-typedef-for-SetupData-struct.patch
    master/Revert-x86-return-modified-setup_data-only-if-read-a.patch
    master/Revert-hw-i386-pass-RNG-seed-via-setup_data-entry.patch
    master/vhost-user-gpio-Configure-vhost_dev-when-connecting.patch
    master/vhost-user-i2c-Back-up-vqs-before-cleaning-up-vhost_.patch
    master/vhost-user-rng-Back-up-vqs-before-cleaning-up-vhost_.patch
    master/virtio-rng-pci-fix-migration-compat-for-vectors.patch
    master/virtio-rng-pci-fix-transitional-migration-compat-for.patch
    master/hw-timer-hpet-Fix-expiration-time-overflow.patch
    master/vdpa-stop-all-svq-on-device-deletion.patch
    master/vhost-avoid-a-potential-use-of-an-uninitialized-vari.patch
    master/libvhost-user-check-for-NULL-when-allocating-a-virtq.patch
    master/chardev-char-socket-set-s-listener-NULL-in-char_sock.patch
    master/intel-iommu-fail-MAP-notifier-without-caching-mode.patch
    master/intel-iommu-fail-DEVIOTLB_UNMAP-without-dt-mode.patch

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 05 Mar 2023 20:09:04 +0300

qemu (1:7.2+dfsg-4ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #1993438), among many other fixes
    this resolvs these bugs:
    (LP: #1957924) - support for querying stats,
    (LP: #1853307) - Enhanced Interpretation for PCI Functions (s390x)
    (LP: #1959966) - guest dump encryption with customer keys (s390x)
    (LP: #1999885) - pv: don't allow userspace to set the clock under PV
    (LP: #1957924) - add filtering of statistics by target vCPU
    remaining changes:
    - qemu-kvm to systemd unit
      - d/qemu-kvm-init: script for QEMU KVM preparation modules, ksm,
        hugepages and architecture specifics
      - d/qemu-system-common.qemu-kvm.service: systemd unit to call
        qemu-kvm-init
      - d/qemu-system-common.install: install helper script
      - d/qemu-system-common.qemu-kvm.default: defaults for
        /etc/default/qemu-kvm
      - d/rules: call dh_installinit and dh_installsystemd for qemu-kvm
    - Distribution specific machine type
      (LP: 1304107 1621042 1776189 1761372 1761372 1776189)
      - d/p/ubuntu/define-ubuntu-machine-types.patch: define distro machine
        types containing release versioned machine attributes
      - d/qemu-system-x86.NEWS Info on fixed machine type defintions
        for host-phys-bits=true
      - Add an info about -hpb machine type in debian/qemu-system-x86.NEWS
      - ubuntu-q35 alias added to auto-select the most recent q35 ubuntu type
    - Enable nesting by default
      - d/p/ubuntu/enable-svm-by-default.patch: Enable nested svm by default
        in qemu64 on amd
        [ No more strictly needed, but required for backward compatibility ]
    - tolerate ipxe size change on migrations to >=18.04 (LP: 1713490)
      - d/p/ubuntu/pre-bionic-256k-ipxe-efi-roms.patch: old machine types
        reference 256k path
      - d/control-in: depend on ipxe-qemu-256k-compat-efi-roms to be able to
        handle incoming migrations from former releases.
    - d/qemu-system-x86.README.Debian: add info about updated nesting changes
    - Ease the use of module retention on upgrades (LP 1913421)
      - debian/qemu-block-extra.postinst: enable mount unit on install/upgrade
    - d/control-in: switch qemu-system-x86-xen to qemu-system-xen as this
      landed in Debian but under a different name.
    - Remaining GCC-12 FTBFS (LP 1988710 + LP 1921664)
      + d/p/u/qboot-Disable-LTO-for-ELF-binary-build-step.patch:
        fix qboot FTBFS with LTO
  * Dropped Changes [now part of upstream v7.2.0]
    - d/p/u/lp1994002-migration-Read-state-once.patch: Fix for libvirt
      error 'migration was active, but no RAM info was set' (LP 1994002)
    - d/p/u/ebpf-replace-deprecated-bpf_program__set_socket_filt.patch:
      Fix FTBFS with libbpf 1.0.1-2.
      + Header updates that were added as part of the libbpf fixes
        but not mentioned in changelog
    - d/p/u/lp-1981339-*: fix s390x system emulation (LP 1981339)
    - Fix I/O stalls when using NVMe storage (LP 1970737).
      + d/p/lp1970737-linux-aio-*.patch: Fix unbalanced plugged counter
        in laio_io_unplug.
    - SECURITY UPDATE: heap overflow in floppy disk emulator
      + debian/patches/CVE-2021-3507.patch: prevent end-of-track overrun in
        hw/block/fdc.c.
    - SECURITY UPDATE: use-after-free vulnerability
      + debian/patches/CVE-2022-0216-*.patch: fix use-after-free in
        lsi_do_msgout
    - SECURITY UPDATE: heap overflow vulnerability
      + debian/patches/CVE-2022-2962.patch: tulip: Restrict DMA engine to
        memories
    - SECURITY UPDATE: integer underflow vulnerability
      + debian/patches/CVE-2022-3165.patch: fix integer underflow in
        vnc_client_cut_text_ext
  * Dropped Changes in regard to GCC-12 FTBFS (LP 1988710)
    [not all are needed in lunar]
    -  d/p/u/lp1988710-silence-openbios-array-bounds-false-positive.patch.
       Silence -Warray-bounds false positive [no more needed]
    - d/rules: set -O1 for alpha firmware build
    - d/p/u/lp1988710-opensbi-Makefile-fix-build-with-binutils-2.38.patch:
      further FTBFS fixup
  * Dropped Changes [in Debian 1:7.2+dfsg-3]
    - d/rules: disable LTO on non-amd64 builds (LP 1921664)
  * Added Changes
    - d/control-in: libnfs is in main since focal, enable direct nfs
      storage support (LP: #1988704)
    - d/control-in: libsndio is in universe in ubuntu

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 04 Jan 2023 13:18:43 +0100

qemu (1:7.2+dfsg-4) unstable; urgency=medium

  * block-fix-detect-zeroes-with-BDRV_REQ_REGISTERED_BUF.patch:
    re-pick now from master (the same patch, moved to master/).
  * revert x86-don-t-let-decompressed-kernel-image-clobber-setu.patch
    Closes: ##1031682 .
    This turned out to be wrong move, breaking more stuff than fixing.
    Upstream is going to revert it too.

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 20 Feb 2023 21:00:18 +0300

qemu (1:7.2+dfsg-3) unstable; urgency=medium

  [ Paride Legovini ]
  * Disable LTO on non-amd64 builds (LP: #1921664)

  [ Michael Tokarev ]
  * target-arm-Fix-physical-address-resolution-for-Stage2.patch:
    re-fetch now from master branch
  * 4 more patches picked from master:
    x86-don-t-let-decompressed-kernel-image-clobber-setu.patch
    migration-ram-Fix-error-handling-in-ram_write_tracki.patch
    migration-ram-Fix-populate_read_range.patch
    qcow2-Fix-theoretical-corruption-in-store_bitmap-err.patch
  * 5 fixes picked from current pullreqs:
    block-fix-detect-zeroes-with-BDRV_REQ_REGISTERED_BUF.patch
    tests_tcg_i386-introduce-and-use-reg_t-consistently.patch
    target_i386-fix-BEXTR-instruction.patch
    target_i386-fix-C-flag-for-BLSI-BLSMSK-BLSR.patch
    target_i386-fix-ADOX-followed-by-ADCX.patch
  * disable dwz on certain architectures for older dwz
    (FTBFS on bullseye, #968670)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 10 Feb 2023 14:29:12 +0300

qemu (1:7.2+dfsg-2) unstable; urgency=medium

  * d/rules: add -ffile-prefix-map when building skiboot
  * d/control: provide qemu-kvm in qemu-system-misc on s390x
    (Closes: #1029309)
  * d/control: drop dependency of qemu-guest-agent on lsb-base
  * Picked patches from qemu master branch tagged for qemu-stable
    up to commit deabea6e88 (2023-02-02):
    target-sh4-Mask-restore-of-env-flags-from-tb-flags.patch
    vhost-fix-vq-dirty-bitmap-syncing-when-vIOMMU-is-ena.patch
    virtio-mem-Fix-the-bitmap-index-of-the-section-offse.patch
    virtio-mem-Fix-the-iterator-variable-in-a-vmem-rdl_l.patch
    target-arm-fix-handling-of-HLT-semihosting-in-system.patch
    meson-accept-relative-symlinks-in-meson-introspect-i.patch
    target-riscv-Set-pc_succ_insn-for-rvc-illegal-insn.patch
    acpi-cpuhp-fix-guest-visible-maximum-access-size-to-.patch
    hw-nvme-fix-missing-endian-conversions-for-doorbell-.patch
    hw-nvme-fix-missing-cq-eventidx-update.patch
    configure-fix-GLIB_VERSION-for-cross-compilation.patch
    target-arm-Fix-sve_probe_page.patch
    target-arm-allow-writes-to-SCR_EL3.HXEn-bit-when-FEA.patch
    target-arm-Fix-in_debug-path-in-S1_ptw_translate.patch
  * Also: target-arm-Fix-physical-address-resolution-for-Stage.patch

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 02 Feb 2023 21:17:10 +0300

qemu (1:7.2+dfsg-1) unstable; urgency=medium

  * new upstream release
    Closes: #1025123 CVE-2022-4172
    (erst: undefined behavior in memcpy in write_erst_record)
    Closes: #1021981 qemu-user: faccessat2 is not implemented
    Closes: #1021019 CVE-2022-3165 (VNC: integer underflow in
    vnc_client_cut_text_ext leads to CPU exhaustion)
  * remove patches applied upstream
  * refresh note-missing-module-pkg-name.diff
  * slirp is always external package now, not a submodule anymore
  * d/control: require meson >> 0.61.5~ for build
  * spelling.diff: update with more spelling error
  * add some lintian-overrides
  * fix minor spelling errors in patches
  * d/control: Bump Standards-Version to 4.6.1
  * debian shell programs use "which" instead of the "command -v",
    fix that (Closes: #1018254)
  * Better fix for #1019011 (gcc ICE building palcode-clipper), use -O1
    instead of -O2 for the failing compile when it actually fails
    (no need to depend on gcc-11, Closes: #1011003)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 15 Dec 2022 17:17:28 +0300

qemu (1:7.1+dfsg-2) unstable; urgency=medium

  * tulip-restrict-DMA-engine-to-memories-CVE-2022-2962.patch
    fix possible stack or heap overflow (tulip: DMA reentrancy issue)
    Closes: #1018055, CVE-2022-2962
  * hw-pvrdma-protect-against-guest-driver-CVE-2022-1050.patch
    fix possible use-after-free in paravirtual RDMA device.
    Closes: #1014589, CVE-2022-1050
  * mention closing of #979677 (CVE-2020-14394) by 7.1
  * d/rules: parametrify extra-cflags & extra-ldflags
  * d/rules: explicitly disable pie on arm64 due to
    https://sourceware.org/bugzilla/show_bug.cgi?id=29514
    Fixes FTBFS.

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 13 Sep 2022 20:08:43 +0300

qemu (1:7.1+dfsg-1) unstable; urgency=medium

  * new upstream release (7.1)
    Closes: #1014958, CVE-2022-35414
    Closes: #1014590, CVE-2022-0216
    Closes: #979677, CVE-2020-14394
    Closes: #987410, CVE-2021-3507
    Closes: #988333, #1018913
  * d/copyright:
   - remove mentions of slirp (packaged separately)
   - blindly convert to dep-5 (it needs a complete rewrite)
   - add Files-Excluded from d/get-orig-source.sh
  * d/gbp.conf: remove filter= (and whole [import-orig])
  * d/watch: verify upstream tarballs
  * d/rules: stop faking skiboot version, it is now properly included in
    roms/skiboot/.version file. Add a dependency on this file too
  * d/patches:
   - remove use-fixed-data-path.patch: not needed anymore
   - linux-user-binfmt-P.diff: refresh
   - remove patches applied upstream
  * d/control:
   - it is --enable-capstone now, not --enable-capstone=system
   - it is --enable-png now, not --enable-vnc-png
  * d/rules: fix --enable-vhost-* options
  * d/rules: remove vnc-png for xen too
  * openbios-array-bounds-gcc12.patch
  * opensbi-fix-build-with-binutils-2.38.patch
  * d/rules: adopt vof build changes
  * d/qemu-system-data.docs: omit ccid.txt (removed)
  * temporary workaround for gcc-12 bug #1019011: use gcc-11-alpha-linux-gnu
    instead of gcc-alpha-linux-gnu (another option is to use -Os)
  * d/control: temporarily build-depend on libva-dev till #1019485 is fixed
  * add loongarch64 qemu-user and qemu-system arch

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 12 Sep 2022 11:50:53 +0300

qemu (1:7.0+dfsg-7ubuntu4) lunar; urgency=medium

  * SECURITY UPDATE: use-after-free vulnerability
    - debian/patches/CVE-2022-0216-*.patch: fix use-after-free in
      lsi_do_msgout
    - CVE-2022-0216
  * SECURITY UPDATE: heap overflow vulnerability
    - debian/patches/CVE-2022-2962.patch: tulip: Restrict DMA engine to
      memories
    - CVE-2022-2962
  * SECURITY UPDATE: integer underflow vulnerability
    - debian/patches/CVE-2022-3165.patch: fix integer underflow in
      vnc_client_cut_text_ext
    - CVE-2022-3165

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 09 Dec 2022 10:25:52 +0530

qemu (1:7.0+dfsg-7ubuntu3) lunar; urgency=medium

  [ Brett Milford ]
  * d/p/u/lp1994002-migration-Read-state-once.patch: Fix for libvirt
    error 'migration was active, but no RAM info was set' (LP: #1994002)

  [ Mauricio Faria de Oliveira ]
  * d/p/u/ebpf-replace-deprecated-bpf_program__set_socket_filt.patch:
    Fix FTBFS with libbpf 1.0.1-2.

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Wed, 30 Nov 2022 12:17:51 -0300

qemu (1:7.0+dfsg-7ubuntu2) kinetic; urgency=medium

  [ Paride Legovini ]
  * d/rules: disable LTO on non-amd64 builds (LP: #1921664)
  * GCC-12 FTBFS (LP: #1988710)
    - d/p/u/lp1988710-silence-openbios-array-bounds-false-positive.patch.
      Silence -Warray-bounds false positive (treated as error)

  [ Christian Ehrhardt ]
  * More on GCC-12 FTBFS (LP 1988710)
    - d/rules: set -O1 for alpha firmware build
    - d/p/u/lp1988710-opensbi-Makefile-fix-build-with-binutils-2.38.patch:
      further FTBFS fixup

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 19 Sep 2022 08:07:24 +0200

qemu (1:7.0+dfsg-7ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1971315)(LP: #1980896), remaining changes:
    - qemu-kvm to systemd unit
      - d/qemu-kvm-init: script for QEMU KVM preparation modules, ksm,
        hugepages and architecture specifics
      - d/qemu-system-common.qemu-kvm.service: systemd unit to call
        qemu-kvm-init
      - d/qemu-system-common.install: install helper script
      - d/qemu-system-common.qemu-kvm.default: defaults for
        /etc/default/qemu-kvm
      - d/rules: call dh_installinit and dh_installsystemd for qemu-kvm
    - Distribution specific machine type
      (LP: 1304107 1621042 1776189 1761372 1761372 1776189)
      - d/p/ubuntu/define-ubuntu-machine-types.patch: define distro machine
        types containing release versioned machine attributes
      - d/qemu-system-x86.NEWS Info on fixed machine type defintions
        for host-phys-bits=true
      - Add an info about -hpb machine type in debian/qemu-system-x86.NEWS
      - ubuntu-q35 alias added to auto-select the most recent q35 ubuntu type
    - Enable nesting by default
      - d/p/ubuntu/enable-svm-by-default.patch: Enable nested svm by default
        in qemu64 on amd
        [ No more strictly needed, but required for backward compatibility ]
    - tolerate ipxe size change on migrations to >=18.04 (LP: 1713490)
      - d/p/ubuntu/pre-bionic-256k-ipxe-efi-roms.patch: old machine types
        reference 256k path
      - d/control-in: depend on ipxe-qemu-256k-compat-efi-roms to be able to
        handle incoming migrations from former releases.
    - d/qemu-system-x86.README.Debian: add info about updated nesting changes
    - Ease the use of module retention on upgrades (LP 1913421)
      - debian/qemu-block-extra.postinst: enable mount unit on install/upgrade
    - Fix I/O stalls when using NVMe storage (LP 1970737).
      - d/p/lp1970737-linux-aio-*.patch: Fix unbalanced plugged counter
        in laio_io_unplug.
    - SECURITY UPDATE: heap overflow in floppy disk emulator
      - debian/patches/CVE-2021-3507.patch: prevent end-of-track overrun in
        hw/block/fdc.c.
      - CVE-2021-3507
  * Dropped Changes [now part of 1:7.0+dfsg-7]:
    - d/rules: xen libexec dir is no more versioned
    - d/rules: ensure xen is built on x86
    - d/kvm-spice: fix when acceleration is already defined on the commandline
    - debian/control[-in]: no more disable glusterfs in Ubuntu (LP 1246924)
  * Dropped Changes [now part of upstream v7.0.0]
    - d/p/u/lp-1959984-s390x-ipl-support-extended-kernel-command-line-size.patch
      Allow long kernel command lines for QEMU (LP 1959984)
    - d/p/u/fix-virtiofsd-for-glibc2.35.patch: add rseq to seccomp allow list
    - d/p/u/tcg-Remove-dh_alias-indirection-for-dh_typecode.patch: fix 32bit
      tcg on s390x.
    - Fix diff handling on ceph that can cause data corruption (LP 1968258)
      - d/p/u/lp-1968258-block-rbd-fix-handling-of-holes-in-.bdrv_co.patch
      - d/p/u/lp-1968258-block-rbd-workaround-for-ceph-issue-53784.patch
    - d/p/u/lp-1970563-ui-vnc.c-Fixed-a-deadlock-bug.patch: avoid deadlock
      in vnc connections (LP 1970563)
    - All CVE fixes of 1:6.2+dfsg-2ubuntu8 except CVE-2021-3507
  * Dropped Changes
    - d/p/lp-1952448-relax-skiboot-gcc-deprecation-errors.patch:
      add patch to workaround FTBFS when building against OpenSSL 3.0.
      [ now working with OpenSSL 3.0 ]
    - d/optionrom.mak, d/p/u/avoid-fcf-clashing-with-i486.patch: fix
      -fcf-protection being unavailble on -march=i486 (LP 1940029)
      [ fixed in compiler toolchain ]
    - Make qemu-system-x86-microvm a transitional package as the binary is now
      in qemu-system-x86 itself.
      [ no more needed]
  * Added Changes
    - d/control-in: switch qemu-system-x86-xen to qemu-system-xen as this
      landed in Debian but under a different name.
    - d/p/u/qboot-Disable-LTO-for-ELF-binary-build-step.patch: fix qboot FTBFS
      with LTO
    - d/p/u/lp-1981339-*: fix s390x system emulation (LP: #1981339)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 05 Jul 2022 12:07:19 +0200

qemu (1:7.0+dfsg-7) unstable; urgency=medium

  * d/tests/test-qemu-user: rework ls/glob test a bit
  * d/tests/test-qemu-user: fix ppc64le qemu architecture name
  * d/binfmt-install: use proper name for binfmt.d (*.conf)
    Hopefully closes: #1011003
  * two virtio-scsi bugfixes from upstream:
    virtio-scsi-fix-ctrl-and-event-handler-functions-in-dataplane.patch
    virtio-scsi-don-t-waste-CPU-polling-the-event-virtqueue.patch
  * 3 patches from upstream to fix possible coroutine crashes:
    coroutine-use-QEMU_DEFINE_STATIC_CO_TLS.patch
    coroutine-rename-qemu_coroutine_inc-dec_pool_size.patch
    coroutine-revert-to-constant-batch-size.patch
  * target-i386-do-not-consult-nonexistent-host-leaves.patch
  * d/control: stop suggesting sudo for qemu-user-static
  * Revert "d/rules: do not try to enable tcg-interpreter on unsupported
    targets, it does not help anymore" - it does help but it needs a bit
    more work
  * disable xen support for qemu-system-x86 build and create a wrapper
    for -i386 to redirect xen-related usage to xen-specific binary
    with a warning (for bookworm only)
  * common-user-no-user.patch: fix one of FTBFS on unsupported architectures
  * d/rules: use regular variable assignment for BUILD_PACKAGES
  * two trivial patches to fix spelling in roms:
    openbios-spelling-endianess.patch
    slof-spelling-seperator.patch

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 15 May 2022 15:49:12 +0300

qemu (1:7.0+dfsg-6) unstable; urgency=medium

  * d/rules: the forgotten --enable-xen-pci-passthrough for the xen build
  * d/tests/test-qemu-user: rewrite to be more robust and complete and
    include test for qemu-user-static too.

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 09 May 2022 01:37:56 +0300

qemu (1:7.0+dfsg-5) unstable; urgency=medium

  * d/tests/test-qemu-user.sh: more arch-specific debugging/updates

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 07 May 2022 12:22:26 +0300

qemu (1:7.0+dfsg-4) unstable; urgency=medium

  * d/tests/: fix failing tests.
    - test-qemu-user: depend on gcc for dpkg-architecture to work,
      and print debugging info for future switch to uname -m
    - test-qemu-img: switch from using file to qemu-img info

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 07 May 2022 11:33:23 +0300

qemu (1:7.0+dfsg-3) unstable; urgency=medium

  [ Michael Tokarev ]
  * d/binfmt-install: also generate binfmt.d/ entries for systemd
  * d/control: use systemd as preferred alternative to binfmt-support
    hopefully Closes: #789011 (Minimal dependencies to register binfmt)
    Closes: #985889 (make binfmt setup configurable)
  * d/control: remove Riku Voipio from Uploaders. Thank you Riku!
  * d/rules: simplify DEB_BUILD_OPTIONS=parallel=N parsing

  [ Guido Günther ]
  * Add minimal autopkgtest (Closes: #832982)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 07 May 2022 00:03:24 +0300

qemu (1:7.0+dfsg-2) unstable; urgency=medium

  * d/control: add Rules-Requires-Root: no
  * d/control: switch to debhelper-compat=13
  * d/control: drop "qemu" empty/dummy pseudopackage
  * d/control: do not build linux-user* on ia64 and powerpc
    (not supported by upstream anymore)
  * d/control: add Breaks for qemu-system-data for other packages from which
    it borrowed files in the past (Closes: #1008095)
  * d/rules: switch to the dh sequence (but keep build-{arch,indep}),
    rearrange some rules.
    This brings us dh_dwz (very slow) and dh_strip_nondeterminism.
  * d/rules: do not explicitly turn off slirp & capstone (now properly
    controlled by --with[out]-default-features option)
  * d/rules: do not try to enable tcg-interpreter on the unsupported
    targets, it does not help to build tools anymore
  * d/rules: do not chown -w d/control, it breaks dpkg-source
  * d/rules: clean up the clean target
  * d/not-installed: list many documentation files and qemu-plugin.h
  * configure-make-fortify_source-yes-by-default.patch: enable
    fortify-source for minimal builds too
  * d/changelog: mention #990562 (CVE-2021-3611) closed by 7.0

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 30 Apr 2022 13:38:12 +0300

qemu (1:7.0+dfsg-1) unstable; urgency=medium

  * update to 7.0 release

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 21 Apr 2022 14:19:51 +0300

qemu (1:7.0~rc4+dfsg-1) experimental; urgency=medium

  * New upstream 7.0 (rc)
    Closes: #990562, CVE-2021-3611
  * remove patches applied upstream
  * remove new binary file, pc-bios/edk2-x86_64-microvm.fd.bz2
  * d/control: remove libxfs-dev build dependency,
    the ioctl is implemented inline
  * d/control: stop build-depend-indep on libc6.1-dev-alpha-cross,
    not needed anymore
  * d/rules: update skiboot version check (skiboot hasn't canged since 6.1)
  * build & install vbootrom (npcm7xx_bootrom.bin), and
    build-depend-indep on gcc-arm-none-eabi
  * create a new binary package, qemu-system-xen, which provides
    /usr/libexec/xen-qemu-system-i386 binary for use by xen only.
    Once xen switches to use this binary instead of usual qemu-system-i386,
    xen support will be removed from the regular qemu-system-x86 build
  * use a fast inline version of /usr/share/dpkg/architecture.mk

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 17 Apr 2022 15:08:40 +0300

qemu (1:6.2+dfsg-3) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * d/rules: ensure xen is built on x86
  * d/rules: xen libexec dir is no more versioned
  * d/kvm-spice: fix when acceleration is already defined on the commandline

  [ Michael Tokarev ]
  * d/control, d/rules: do not compile xen support on i386,
    since it is amd64-only now (since 4.16)
  * d/control: add libbpf-dev & --enable-bpf for eBPF support
    (Closes: #994573)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 25 Feb 2022 12:01:46 +0300

qemu (1:6.2+dfsg-2ubuntu8) kinetic; urgency=medium

  [ Marc Deslauriers ]
  * SECURITY UPDATE: heap overflow in floppy disk emulator
    - debian/patches/CVE-2021-3507.patch: prevent end-of-track overrun in
      hw/block/fdc.c.
    - CVE-2021-3507
  * SECURITY UPDATE: use-after-free in nvme
    - debian/patches/CVE-2021-3929.patch: deny DMA to the iomem of the
      device itself in hw/nvme/ctrl.c.
    - CVE-2021-3929
  * SECURITY UPDATE: integer overflow in QXL display device emulation
    - debian/patches/CVE-2021-4206.patch: check width and height in
      hw/display/qxl-render.c, hw/display/vmware_vga.c, ui/cursor.c.
    - CVE-2021-4206
  * SECURITY UPDATE: heap overflow in QXL display device emulation
    - debian/patches/CVE-2021-4207.patch: fix race condition in qxl_cursor
      in hw/display/qxl-render.c.
    - CVE-2021-4207
  * SECURITY UPDATE: potential privilege escalation in virtiofsd
    - debian/patches/CVE-2022-0358.patch: Drop membership of all
      supplementary groups in tools/virtiofsd/passthrough_ll.c.
    - CVE-2022-0358
  * SECURITY UPDATE: memory leakage in virtio-net device
    - debian/patches/CVE-2022-26353.patch: fix map leaking on error during
      receive in hw/net/virtio-net.c.
    - CVE-2022-26353
  * SECURITY UPDATE: memory leakage in vhost-vsock device
    - debian/patches/CVE-2022-26354.patch: detach the virqueue element in
      case of error in hw/virtio/vhost-vsock-common.c.
    - CVE-2022-26354

  [ Sergio Durigan Junior ]
  * Fix I/O stalls when using NVMe storage (LP: #1970737).
    - d/p/lp1970737-linux-aio-*.patch: Fix unbalanced plugged counter
      in laio_io_unplug.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 22 Jun 2022 15:38:37 -0400

qemu (1:6.2+dfsg-2ubuntu7) kinetic; urgency=medium

  * d/p/u/lp-1970563-ui-vnc.c-Fixed-a-deadlock-bug.patch: avoid deadlock
    in vnc connections (LP: #1970563)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 19 May 2022 08:25:20 +0200

qemu (1:6.2+dfsg-2ubuntu6) jammy; urgency=medium

  * debian/control[-in]: no more disable glusterfs in Ubuntu (LP: #1246924)
  * Fix diff handling on ceph that can cause data corruption (LP: #1968258)
      - d/p/u/lp-1968258-block-rbd-fix-handling-of-holes-in-.bdrv_co.patch
      - d/p/u/lp-1968258-block-rbd-workaround-for-ceph-issue-53784.patch

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 08 Apr 2022 09:36:34 +0200

qemu (1:6.2+dfsg-2ubuntu5) jammy; urgency=medium

  * d/p/u/tcg-Remove-dh_alias-indirection-for-dh_typecode.patch: fix 32bit
    tcg on s390x.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 17 Feb 2022 09:54:36 +0100

qemu (1:6.2+dfsg-2ubuntu4) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:28:14 +0000

qemu (1:6.2+dfsg-2ubuntu3) jammy; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - qemu-kvm to systemd unit
      - d/qemu-kvm-init: script for QEMU KVM preparation modules, ksm,
        hugepages and architecture specifics
      - d/qemu-system-common.qemu-kvm.service: systemd unit to call
        qemu-kvm-init
      - d/qemu-system-common.install: install helper script
      - d/qemu-system-common.qemu-kvm.default: defaults for
        /etc/default/qemu-kvm
      - d/rules: call dh_installinit and dh_installsystemd for qemu-kvm
    - Distribution specific machine type
      (LP: 1304107 1621042 1776189 1761372 1761372 1776189)
      - d/p/ubuntu/define-ubuntu-machine-types.patch: define distro machine
        types containing release versioned machine attributes
      - d/qemu-system-x86.NEWS Info on fixed machine type defintions
        for host-phys-bits=true
      - Add an info about -hpb machine type in debian/qemu-system-x86.NEWS
      - ubuntu-q35 alias added to auto-select the most recent q35 ubuntu type
    - Enable nesting by default
      - d/p/ubuntu/enable-svm-by-default.patch: Enable nested svm by default
        in qemu64 on amd
        [ No more strictly needed, but required for backward compatibility ]
    - tolerate ipxe size change on migrations to >=18.04 (LP: 1713490)
      - d/p/ubuntu/pre-bionic-256k-ipxe-efi-roms.patch: old machine types
        reference 256k path
      - d/control-in: depend on ipxe-qemu-256k-compat-efi-roms to be able to
        handle incoming migrations from former releases.
    - d/qemu-system-x86.README.Debian: add info about updated nesting changes
    - d/p/lp-1952448-relax-skiboot-gcc-deprecation-errors.patch:
      add patch to workaround FTBFS when building against OpenSSL 3.0.
    - d/optionrom.mak, d/p/u/avoid-fcf-clashing-with-i486.patch: fix
      -fcf-protection being unavailble on -march=i486 (LP 1940029)
    - Ease the use of module retention on upgrades (LP 1913421)
      - debian/qemu-block-extra.postinst: enable mount unit on install/upgrade
    - Make qemu-system-x86-microvm a transitional package as the binary is now
      in qemu-system-x86 itself.
  * Dropped Changes [now part of 1:6.1+dfsg-8]:
    - updated debian/patches/linux-user-binfmt-P.diff to work with in-kernel code
      (#993658) (LP 1947860)
    - improved dependencies
      - Make qemu-system-common depend on qemu-block-extra
      - Make qemu-utils depend on qemu-block-extra
    - d/control*, d/rules: disable xen by default, but provide universe
      package qemu-system-x86-xen as alternative
      [includes compat links changes of 5.0-5ubuntu4]
    - d/p/ubuntu/lp-1929926-*: avoid segfaults by uretprobes (LP 1929926)
  * Dropped Changes [now part of upstream]
    - d/p/u/lp-1932175-s390x-cpumodel-add-3931-and-3932.patch: add new 3931
      and 3932 machines (LP 1932175)
   -  d/p/u/lp-1940288-audio-Never-send-migration-section.patch: fix
      migration with audio devices present (LP 1940288)
  * Added changes:
    - update patches for qemu v6.2.0
      - d/p/u/enable-svm-by-default.patch
      - d/p/u/define-ubuntu-machine-types.patch
      - d/p/u/lp-1952448-relax-skiboot-gcc-deprecation-errors.patch
    - d/rules: xen libexec dir is no more versioned
    - d/rules: ensure xen is built on x86
    - d/p/u/lp-1959984-s390x-ipl-support-extended-kernel-command-line-size.patch
      Allow long kernel command lines for QEMU (LP: #1959984)
    - d/kvm-spice: fix when acceleration is already defined on the commandline
    - d/p/u/fix-virtiofsd-for-glibc2.35.patch: add rseq to seccomp allow list

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 05 Jan 2022 12:18:25 +0100

qemu (1:6.2+dfsg-2) unstable; urgency=medium

  * bump meson build-dep to 0.59.3
  * build & include multiboot_dma.bin (Closes: #1003930)
  * libxml2 is not needed for parallels.
    Enable parallels block image format (Closes: #1003162)
  * acpi-validate-hotplug-selector-on-access-CVE-2021-4158.patch
    Closes: CVE-2021-4158
  * acpi-fix-QEMU-crash-when-started-with-SLIC-table.patch
    (Closes: #1004017)
  * acpi-fix-OEM_ID-padding.patch
  * debian/get-orig-source.sh: repack dfsg archive differently
  * mention closing of a few CVEs by 6.2.0

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 20 Jan 2022 10:52:19 +0300

qemu (1:6.2+dfsg-1) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * 6.2.0 upstream release
    Closes: #984452, CVE-2021-20203
     (integer overflow issue in the vmxnet3 NIC emulator)
    Closes: #984453, CVE-2021-20196
     (fdc: check drive block device before usage)
    Closes: #984451, CVE-2021-20255
     (infinite recursion / DMA reentrancy in eepro100 i8255x device emulator)
  * d/get-orig-source.sh: remove pc-bios/multiboot_dma.bin in dfsg-clean
  * Drop patches upstream in v6.2.0
  * d/p/spelling.diff: update for v6.2.0 (partially accepted)
  * d/rules: use new --disable-install-blobs build arg
  * Revert "make fuse debian-only, since libfuse3 in ubuntu is in universe",
    it is now in main (LP: #1934510)
  * d/rules: bump skiboot version for qemu v6.2.0
  * d/p/ignore-roms-dependency-in-qtest.patch: fix meson issue
    due to dfsg removal of blobs
  * d/rules: drop --disable-fdt on microvm builds
    (now strictly required on any x86 build)
  * d/rules: select default PARISC config for hppa-firmware

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 09 Jan 2022 12:52:10 +0300

qemu (1:6.1+dfsg-8) unstable; urgency=medium

  * fix keymaps definitions placement in last upload
    (Closes: #997925, #997926)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 27 Oct 2021 13:27:09 +0300

qemu (1:6.1+dfsg-7) unstable; urgency=medium

  * qemu-system-data: do not install qemu.desktop (Closes: #995628)
  * remove qemu-user-static.README.Debian (#995633)
  * d/rules: update configure rules for different qemu builds
  * qemu-system-x86-xen: install only -i386 link to xen path, not -x86_64
  * promote qemu-system-x86-xen package on ubuntu to be like qemu-system-x86
    since it uses the same modules actually
  * enable zstd compression support (Build-Depends)
  * qemu-system-data: install usr/share/icons/hicolor/32x32/apps/qemu.bmp
    for the sdl ui
  * d/control: fix wrong relation (< vs <<)
  * d/control: use :native version of python3-sphynx (Closes: #995622)
  * do not make qemu-system-gui Multi-Arch:same due to vhost-user-gpu
  * quieten gcc11 warnings/errors so roms will compile (Closes: #997082)
  * move d/qemu-system-data.install to d/rules

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 26 Oct 2021 10:35:02 +0300

qemu (1:6.1+dfsg-6) unstable; urgency=medium

  * virtio-net-fix-use-after-unmap-free-for-sg-CVE-2021-3748.patch
    Closes: #993401, CVE-2021-3748: use-after-free in virtio_net_receive_rcu
  * ati_2d-fix-buffer-overflow-in-ati_2d_blt-CVE-2021-3638.patch
    Closes: #992726, CVE-2021-3638:
     inconsistent check in ati_2d_blt() may lead to out-of-bounds write
  * refresh uas-add-stream-number-sanity-checks-CVE-2021-3713{.diff=>.patch}
    from upstream
  * hmp-unbreak-change-vnc.patch from upstream
    to fix 'change vnc passwd' command

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 29 Sep 2021 13:41:47 +0300

qemu (1:6.1+dfsg-5) unstable; urgency=medium

  * updated debian/patches/linux-user-binfmt-P.diff
    to work with in-kernel code
    Closes: #993658
  * d/rules: do not mark configure target as .PHONY
    since it is a real file

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 06 Sep 2021 01:20:59 +0300

qemu (1:6.1+dfsg-4) unstable; urgency=medium

  * qemu-sockets-fix-unix-socket-path-copy-again.patch
    replacing socket-unix-maxlen.patch
    Closes: #993145
  * enable more devices for the microvm build:
     virtio-gpu & vhost-user-gpu
     virtio-input-host & vhost_user_input
  * move vhost-user-gpu files from qemu-system-common to qemu-system-gui
    this elminates X11 dependencies from non-gui qemu-system install
  * build and install vof.bin firmware
  * rearrange d/rules a bit to make different qemu builds
    to be consistent with sysdata-components
  * move ppc dtb firmware files from qemu-system-ppc to qemu-system-data
  * device-tree-compiler is now needed in build-indep-depends,
    not in build-depends
  * d/rules: use CROSSPFX variables
  * ubuntu only:
   - Revert commit from the previous release which restores
     relation between qemu-system-xen and qemu-system-gui
     since -xen is not compatible with -gui modules
   - qemu-system-xen does not suggest qemu-block-extra (incompatible too)
   - qemu-system-s390x recommends qemu-block-extra not suggests it

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 31 Aug 2021 22:27:25 +0300

qemu (1:6.1+dfsg-3) unstable; urgency=medium

  * fix brown-paper bag in last upload (--enable-libudev)
  * ubuntu only: restore relations (depends/recommends)
    between qemu-system-gui and qemu-system-xen since -xen
    replaces full qemu-system-x86 and acts the same way

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 31 Aug 2021 02:50:52 +0300

qemu (1:6.1+dfsg-2) unstable; urgency=medium

  * rearrange d/rules to be able to configure/build/install
    various different kinds of qemu builds (main/microvm/xen/static)
    separately, by splitting targets of d/rules into subtargets
  * enable many virtio devices for microvm build (Closes: #992029)
  * disable libudev and fuse for microvm build
  * rearrange options for microvm build in d/rules
  * tidy newly added assert in unix-domain socket handling code
    to account for extra \0 terminator for socket pathname,
    socket-unix-maxlen.patch (Closes: #993145)
  * upstream qemu added ignoring of *.patch to .gitignore,
    unignore them in d/.gitignore
  * re-add 4 patches which were lost from git
    during preparation for 6.1
    (not affecting the source package)
  * uas-add-stream-number-sanity-checks-CVE-2021-3713.diff
    Closes: #992727, CVE-2021-3713
  * Mention (some) bugs closed by 6.1 upstream
  * Mention closing of #947349

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 31 Aug 2021 02:01:51 +0300

qemu (1:6.1+dfsg-1) unstable; urgency=medium

  * new upstream release (6.1.0)
    Closes: CVE-2021-3607 (pvrdma: ensure correct input on ring init)
    Closes: CVE-2021-3608 (pvrdma: unmap initialized dma address)
    Closes: #989042, CVE-2021-3544 (vhost-user-gpu resource leaks)
    Closes: #989042, CVE-2021-3545 (vhost-user-gpu memory disclosure)
    Closes: #989042, CVE-2021-3546 (vhost-user-gpu OOBwr virgl_cmd_get_capset)
    Closes: #991911, CVE-2021-3682 (pvrdma: possible mremap overflow)
  * refresh patches, remove patches which were applied upstream
  * remove newly appeared pc-bios/vof.bin in dfsg-clean
  * add python3-sphinx-rtd-theme to build-depends
  * removed qemu-system-moxie arch
  * actually build many qemu modules as modules, and install
    them in qemu-system-common.
  * make strong versioned dependency between various qemu-system-*
    packages, so that modules works correctly.
  * drop very old versions from Build-Depends, Depends and Recommends
    for packages which long has much more recent versions in debian
  * up qemu-block-extra dependecy level from Suggests to Recommends
  * d/control: stop suggesting sgabios by qemu-system-x86
  * (experimental for now, needs more work) print name of the package
    name for a module which can't be loaded, to give a clue what other
    package one may need to install for the requested functionality
  * fix some spelling mistakes in visible messages (spelling.diff)
  * enable jack audio backend (in qemu-system-gui) (Closes: #984726)
  * other small/internal changes in packaging:
    - removed --disable-sheepdog which were dropped upstream
    - install gui modules in d/rules not in d/q-s-gui.install
      to be able to use wildcard in d/q-s-common.install
    - recommend qemu-block-extra, not suggest it and not depend on it (ubuntu)
      for qemu-system-* and qemu-utils
    - reformat qemu "deps" for qemu-system-gui, stop listing -xen there
      (it can not satisfy -gui),  qemu-system-s390x is :ubuntu:-only
    - d/control: stop recommending -gui for xen package
      (it is of no use for xen)
    - d/control: reformat Depends for qemu-block-extra, do not include -xen
      version there, mark -x390x as ubuntu-only,
      and allow qemu-utils to satisfy the dependency
    - do not install docs which does not exist anymore
    - stop omiting Changelog from dh_installchangelog: the file is long gone
    - d/rules: explicitly state version of skiboot as it is stored
      in a git tag only, or else skiboot does not build (hack)
    - put (new in 6.1, new in debian) hw-display-virtio-gpu-gl.so
      to qemu-system-gui as it pulls in X11

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 25 Aug 2021 15:59:26 +0300

qemu (1:6.0+dfsg-4) unstable; urgency=medium

  * d/rules: fix last ubuntu merge, xen is x86-only, not all-debian

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 17 Aug 2021 19:04:30 +0300

qemu (1:6.0+dfsg-3) unstable; urgency=medium

  [ Michael Tokarev ]
  * enable /run/qemu mount on ubuntu only
  * usbredir-fix-free-call-CVE-2021-3682.patchi
    Closes: #991911, CVE-2021-3682

  [ Christian Ehrhardt ]
  * ubuntu-only changes:
   - d/control-in: Make Ubuntu qemu-utils depend on qemu-block-extra
   - d/control-in: Make Ubuntu qemu-system-common depend on qemu-block-extra
   - d/control*, d/rules: disable xen by default, but provide universe package
     qemu-system-x86-xen as alternative
  * d/p/target-s390x-Fix-translation-exception-on-illegal-in.patch:
    avoid segfaults by uretprobes (LP 1929926)

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 17 Aug 2021 17:49:10 +0300

qemu (1:6.0+dfsg-2expubuntu4) jammy; urgency=medium

  * d/p/lp-1952448-relax-skiboot-gcc-deprecation-errors.patch:
    add patch to workaround FTBFS when building against OpenSSL 3.0.
    Thanks to Christian Ehrhardt (LP: #1952448)

 -- Paride Legovini <paride@ubuntu.com>  Fri, 26 Nov 2021 15:47:51 +0100

qemu (1:6.0+dfsg-2expubuntu3) jammy; urgency=medium

  * No-change rebuild against liburing2

 -- Paride Legovini <paride@ubuntu.com>  Mon, 22 Nov 2021 18:00:26 +0100

qemu (1:6.0+dfsg-2expubuntu2) jammy; urgency=medium

  * updated debian/patches/linux-user-binfmt-P.diff to work with in-kernel code
    (#993658) (LP: #1947860)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 03 Nov 2021 14:10:56 +0100

qemu (1:6.0+dfsg-2expubuntu1) impish; urgency=medium

  * Merge with Debian experimental, remaining changes:
    - qemu-kvm to systemd unit
      - d/qemu-kvm-init: script for QEMU KVM preparation modules, ksm,
        hugepages and architecture specifics
      - d/qemu-system-common.qemu-kvm.service: systemd unit to call
        qemu-kvm-init
      - d/qemu-system-common.install: install helper script
      - d/qemu-system-common.qemu-kvm.default: defaults for
        /etc/default/qemu-kvm
      - d/rules: call dh_installinit and dh_installsystemd for qemu-kvm
    - Distribution specific machine type
      (LP: 1304107 1621042 1776189 1761372 1761372 1776189)
      - d/p/ubuntu/define-ubuntu-machine-types.patch: define distro machine
        types containing release versioned machine attributes
      - d/qemu-system-x86.NEWS Info on fixed machine type defintions
        for host-phys-bits=true
      - Add an info about -hpb machine type in debian/qemu-system-x86.NEWS
      - ubuntu-q35 alias added to auto-select the most recent q35 ubuntu type
    - Enable nesting by default
      - d/p/ubuntu/enable-svm-by-default.patch: Enable nested svm by default
        in qemu64 on amd
        [ No more strictly needed, but required for backward compatibility ]
    - improved dependencies
      - Make qemu-system-common depend on qemu-block-extra
      - Make qemu-utils depend on qemu-block-extra
    - tolerate ipxe size change on migrations to >=18.04 (LP: 1713490)
      - d/p/ubuntu/pre-bionic-256k-ipxe-efi-roms.patch: old machine types
        reference 256k path
      - d/control-in: depend on ipxe-qemu-256k-compat-efi-roms to be able to
        handle incoming migrations from former releases.
    - d/qemu-system-x86.README.Debian: add info about updated nesting changes
    - d/control*, d/rules: disable xen by default, but provide universe
      package qemu-system-x86-xen as alternative
      [includes compat links changes of 5.0-5ubuntu4]
    - d/p/ubuntu/enable-svm-by-default.patch: update to match v6.0
    - d/p/ubuntu/define-ubuntu-machine-types.patch: add ubuntu machine types
      for v6.0
    - d/p/ubuntu/lp-1929926-*: avoid segfaults by uretprobes (LP 1929926)
    - Ease the use of module retention on upgrades (LP 1913421)
      - debian/qemu-block-extra.postinst: enable mount unit on install/upgrade
  * Dropped Changes [in 1:6.0+dfsg-2exp]:
    - d/control-in: Disable capstone disassembler library support (universe)
    - Disable fuse export (universe dependency)
    - Ease the use of module retention on upgrades (LP 1913421)
      - d/run-qemu.mount, d/rules: provide run-qemu.mount in qemu-block-extra
      - d/rules: only save modules if /run/qemu isn't noexec
      - d/rules: clear all (current and former) modules on purge
    - d/control: qemu 6.0 broke libvirt <7.2 add a breaks to avoid partial
      upgrade issues (LP 1932264)
    - Enable SDL as secondary UI backend (LP 1256185)
      - d/control: add build dependency libsdl2-dev
      - d/control: enable sdl graphics on build
      - d/qemu-system-gui.install: add ui-sdl.so
      - d/control: add runtime dependency to libgl1
  * Dropped Changes [no more needed]
    - let qemu-utils recommend sharutils
  * Added changes:
    - d/optionrom.mak, d/p/u/avoid-fcf-clashing-with-i486.patch: fix
      -fcf-protection being unavailble on -march=i486 (LP: #1940029)
    - d/p/u/lp-1932175-s390x-cpumodel-add-3931-and-3932.patch: add new 3931
      and 3932 machines (LP: #1932175)
   -  d/p/u/lp-1940288-audio-Never-send-migration-section.patch: fix
      migration with audio devices present (LP: #1940288)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 12 Aug 2021 15:35:12 +0200

qemu (1:6.0+dfsg-2exp) experimental; urgency=medium

  [ Christian Ehrhardt ]
  * qemu 6.0 broke libvirt <7.2, add a Breaks
    to avoid partial upgrade issues (LP: #1932264)
  * enable SDL as secondary UI backend (LP: #1256185) (Closes: #947349)
  * clear all (current and former) modules on purge
  * only save modules if /run/qemu isn't noexec
  * provide run-qemu.mount in qemu-block-extra
    (disabled in debian for now)
  * Disable capstone disassembler library support in ubuntu (universe)

  [ Michael Tokarev ]
  * qemu does not ship Changelog file anymore
  * drop version from libfuse-dev build-depends (noticed by Ville Skyttä)
  * a few patches from upstream stable:
   - target-ppc-fix-load-endianness-for-lxvwsx-lxvdsx.patch
     fix various crashes in ppc system emulation.
     Thanks to Christian Ehrhardt for pointing this out
   - pvrdma-fix-possible-mremap-overflow-in-pvrdma-device-CVE-2021-3582.patch
     (Closes: #990565, CVE-2021-3582)
   - pvrdma-ensure-correct-input-on-ring-init-CVE-2021-3607.patch
     (Closes: #990564, CVE-2021-3607)
   - pvrdma-fix-the-ring-init-error-flow-CVE-2021-3608.patch
     (Closes: #990563, CVE-2021-3608)
   - usb-limit-combined-packets-to-1-MiB-CVE-2021-3527.patch
     usb-redir-avoid-dynamic-stack-allocation-CVE-2021-3527.patch
     (Closes: #988157, CVE-2021-3527)
  * mention closing of 3 bugs in am53c974 (ESP) device emulation by 6.0
    (Closes: #979679, CVE-2020-35504)
    (Closes: #984455, CVE-2020-35505)
    (Closes: #984454, CVE-2020-35506)
  * make fuse debian-only, since libfuse3 in ubuntu is in universe
  * fix microvm default machine type for a new build system (LP: #1936894)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 21 Jul 2021 19:43:37 +0300

qemu (1:6.0+dfsg-1~ubuntu3) impish; urgency=medium

  * d/p/u/lp-1935617-target-ppc-Fix-load-endianness-for-lxvwsx-lxvdsx.patch:
    fix TCG emulation for ppc64 (LP: #1935617)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 13 Jul 2021 09:34:55 +0200

qemu (1:6.0+dfsg-1~ubuntu2) impish; urgency=medium

  * d/control: remove fuse2 trial-build (LP 1934510)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 07 Jul 2021 10:26:08 +0200

qemu (1:6.0+dfsg-1~ubuntu1) impish; urgency=medium

  * Merge with Debian experimental, Among many other things this fixes LP Bugs:
    (LP: #1907952) broken arrow keys in -display gtk on aarch64
    - qemu-kvm to systemd unit
      - d/qemu-kvm-init: script for QEMU KVM preparation modules, ksm,
        hugepages and architecture specifics
      - d/qemu-system-common.qemu-kvm.service: systemd unit to call
        qemu-kvm-init
      - d/qemu-system-common.install: install helper script
      - d/qemu-system-common.qemu-kvm.default: defaults for
        /etc/default/qemu-kvm
      - d/rules: call dh_installinit and dh_installsystemd for qemu-kvm
    - Distribution specific machine type
      (LP: 1304107 1621042 1776189 1761372 1761372 1776189)
      - d/p/ubuntu/define-ubuntu-machine-types.patch: define distro machine
        types containing release versioned machine attributes
      - d/qemu-system-x86.NEWS Info on fixed machine type defintions
        for host-phys-bits=true
      - Add an info about -hpb machine type in debian/qemu-system-x86.NEWS
      - ubuntu-q35 alias added to auto-select the most recent q35 ubuntu type
    - Enable nesting by default
      - d/p/ubuntu/enable-svm-by-default.patch: Enable nested svm by default
        in qemu64 on amd
        [ No more strictly needed, but required for backward compatibility ]
    - improved dependencies
      - Make qemu-system-common depend on qemu-block-extra
      - Make qemu-utils depend on qemu-block-extra
      - Let qemu-utils recommend sharutils
    - tolerate ipxe size change on migrations to >=18.04 (LP: 1713490)
      - d/p/ubuntu/pre-bionic-256k-ipxe-efi-roms.patch: old machine types
        reference 256k path
      - d/control-in: depend on ipxe-qemu-256k-compat-efi-roms to be able to
        handle incoming migrations from former releases.
    - d/control-in: Disable capstone disassembler library support (universe)
    - d/qemu-system-x86.README.Debian: add info about updated nesting changes
    - d/control*, d/rules: disable xen by default, but provide universe
      package qemu-system-x86-xen as alternative
      [includes compat links changes of 5.0-5ubuntu4]
    - Fix upgrade module handling (LP 1905377)
      --enable-module-upgrades for qemu-xen which doesn't exist in Debian
  * Dropped Changes [in 6.0]:
    - d/p/ubuntu/lp-1907789-build-no-pie-is-no-functional-liker-flag.patch: fix
      ld usage of -no-pie (LP 1907789)
    - d/p/u/lp-1916230-hw-s390x-fix-build-for-virtio-9p-ccw.patch: fix
      virtio-9p-ccw being missing (LP 1916230)
    - d/p/u/lp-1916705-disas-Fix-build-with-glib2.0-2.67.3.patch: Fix FTFBS due
      to glib2.0 >=2.67.3 (LP 1916705)
    - d/p/u/lp-1921754*: add EPYC-Rome-v2 as v1 missed IBRS and thereby fails
      on some HW/Guest combinations e.g. Windows 10 on Threadripper chips
      (LP 1921754)
    - d/p/u/lp-1921880*: add EPYC-Milan features and named cpu type support
      (LP 1921880)
    - d/p/u/lp-1922010-linux-user-s390x-Use-the-guest-pointer-for-the-sigre*:
      fix go in qemu-s390x-static (LP 1922010)
  * Dropped Changes [in Debian]:
    - Allow qemu to load old modules post upgrade (LP 1847361)
      - Drop d/qemu-block-extra.*.in, d/qemu-system-gui.*.in
      - d/rules: Drop generating package version into maintainer scripts
  * Dropped Changes [No more needed >21.04]:
      - d/qemu-system-gui.prerm: add no-op prerm to overcome upgrade issues on
        the bad old prerm (LP 1906245 1905377)
  * Added Changes
    - Disable fuse export (universe dependency)
    - d/p/ubuntu/enable-svm-by-default.patch: update to match v6.0
    - d/p/ubuntu/define-ubuntu-machine-types.patch: add ubuntu machine types
      for v6.0
    - d/p/ubuntu/lp-1929926-*: avoid segfaults by uretprobes (LP: #1929926)
    - Ease the use of module retention on upgrades (LP: #1913421)
      - d/run-qemu.mount, d/rules: provide run-qemu.mount in qemu-block-extra
      - d/rules: only save modules if /run/qemu isn't noexec
      - d/rules: clear all (current and former) modules on purge
      - debian/qemu-block-extra.postinst: enable mount unit on install/upgrade
    - d/control: qemu 6.0 broke libvirt <7.2 add a breaks to avoid partial
      upgrade issues (LP: #1932264)
    - Enable SDL as secondary UI backend (LP: #1256185)
      - d/control: add build dependency libsdl2-dev
      - d/control: enable sdl graphics on build
      - d/qemu-system-gui.install: add ui-sdl.so
      - d/control: add runtime dependency to libgl1
    - d/rules: qemu-system-x86-xen builds modules as well now (follows the
      other packages)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 15 Jun 2021 12:41:33 +0200

qemu (1:6.0+dfsg-1~exp0) experimental; urgency=medium

  * new upstream release
    Closes: #979679, CVE-2020-35504
    Closes: #984455, CVE-2020-35505
    Closes: #984454, CVE-2020-35506
  * remove obsolete patches, refresh use-fixed-data-path.patch
  * use libncurses-dev, not old libncursesw5-dev
  * enable fuse export (and build-depend on libfuse3-dev)
  * install (new) manpages for qemu-storage-daemon
  * enable new hexagon qemu-user target
  * two patches to fix 3 new spelling mistakes
  * remove now-unused shared-library-lacks-prerequisites lintian-overrides
    for qemu-user-static

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 08 May 2021 10:16:05 +0300

qemu (1:5.2+dfsg-11) unstable; urgency=medium

  * i386-acpi-restore-device-paths-for-pre-5.1-vms.patch
    This fixes a serious issue in some VMs (in particuar, Windows & MacOS)
    when migrating from buster qemu to bullseye qemu.
    (Closes: #990675)
  * pvrdma-fix-possible-mremap-overflow-in-pvrdma-device-CVE-2021-3582.patch
    (Closes: #990565, CVE-2021-3582)
  * pvrdma-ensure-correct-input-on-ring-init-CVE-2021-3607.patch
    (Closes: #990564, CVE-2021-3607)
  * pvrdma-fix-the-ring-init-error-flow-CVE-2021-3608.patch
    (Closes: #990563, CVE-2021-3608)
  * ide-atapi-check-logical-block-address-and-read-size-CVE-2020-29443.patch
    (Closes: #983575, CVE-2020-29443)
  * usb-limit-combined-packets-to-1-MiB-CVE-2021-3527.patch
    usb-redir-avoid-dynamic-stack-allocation-CVE-2021-3527.patch
    (Closes: #988157, CVE-2021-3527)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 18 Jul 2021 16:14:41 +0300

qemu (1:5.2+dfsg-10) unstable; urgency=medium

  * 5 sdhci fixes from upstream:
    dont-transfer-any-data-when-command-time-out.patch
    dont-write-to-SDHC_SYSAD-register-when-transfer-is-in-progress.patch
    correctly-set-the-controller-status-for-ADMA.patch
    limit-block-size-only-when-SDHC_BLKSIZE-register-is-writable.patch
    reset-the-data-pointer-of-s-fifo_buffer-when-a-different-block-size...patch
    (Closes: #986795, #970937, CVE-2021-3409, CVE-2020-17380, CVE-2020-25085)
  * mptsas-remove-unused-MPTSASState.pending-CVE-2021-3392.patch
    fix possible use-after-free in mptsas_free_request
    (Cloese: #984449, CVE-2021-3392)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 16 Apr 2021 12:43:36 +0300

qemu (1:5.2+dfsg-9ubuntu3) hirsute; urgency=medium

  * d/p/u/lp-1921754*: add EPYC-Rome-v2 as v1 missed IBRS and thereby fails
    on some HW/Guest combinations e.g. Windows 10 on Threadripper chips
    (LP: #1921754)
  * d/p/u/lp-1921880*: add EPYC-Milan features and named cpu type support
    (LP: #1921880)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 07 Apr 2021 11:58:29 +0200

qemu (1:5.2+dfsg-9ubuntu2) hirsute; urgency=medium

  * d/p/u/lp-1922010-linux-user-s390x-Use-the-guest-pointer-for-the-sigre.patch:
    fix go in qemu-s390x-static (LP: #1922010)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 31 Mar 2021 10:01:40 +0200

qemu (1:5.2+dfsg-9ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable; Remaining changes:
    - qemu-kvm to systemd unit
      - d/qemu-kvm-init: script for QEMU KVM preparation modules, ksm,
        hugepages and architecture specifics
      - d/qemu-system-common.qemu-kvm.service: systemd unit to call
        qemu-kvm-init
      - d/qemu-system-common.install: install helper script
      - d/qemu-system-common.qemu-kvm.default: defaults for
        /etc/default/qemu-kvm
      - d/rules: call dh_installinit and dh_installsystemd for qemu-kvm
    - Distribution specific machine type (LP: 1304107 1621042)
      - d/p/ubuntu/define-ubuntu-machine-types.patch: distro machine types
      - d/qemu-system-x86.NEWS Info on fixed machine type definitions
        for host-phys-bits=true (LP: 1776189)
      - add an info about -hpb machine type in debian/qemu-system-x86.NEWS
      - provide pseries-bionic-2.11-sxxm type as convenience with all
        meltdown/spectre workarounds enabled by default. (LP: 1761372).
      - ubuntu-q35 alias added to auto-select the most recent q35 ubuntu type
    - Enable nesting by default
      - d/p/ubuntu/enable-svm-by-default.patch: Enable nested svm by default
        in qemu64 on amd
        [ No more strictly needed, but required for backward compatibility ]
    - improved dependencies
      - Make qemu-system-common depend on qemu-block-extra
      - Make qemu-utils depend on qemu-block-extra
      - let qemu-utils recommend sharutils
    - tolerate ipxe size change on migrations to >=18.04 (LP: 1713490)
      - d/p/ubuntu/pre-bionic-256k-ipxe-efi-roms.patch: old machine types
        reference 256k path
      - d/control-in: depend on ipxe-qemu-256k-compat-efi-roms to be able to
        handle incoming migrations from former releases.
    - d/control-in: Disable capstone disassembler library support (universe)
    - d/qemu-system-x86.README.Debian: add info about updated nesting changes
    - d/control*, d/rules: disable xen by default, but provide universe
      package qemu-system-x86-xen as alternative
      [includes compat links changes of 5.0-5ubuntu4]
    - allow qemu to load old modules post upgrade (LP 1847361)
      - Drop d/qemu-block-extra.*.in, d/qemu-system-gui.*.in
      - d/rules: Drop generating package version into maintainer scripts
      - d/qemu-system-gui.prerm: add no-op prerm to overcome upgrade issues on
        the bad old prerm (LP 1906245 1905377)
    - d/p/ubuntu/lp-1907789-build-no-pie-is-no-functional-liker-flag.patch: fix
      ld usage of -no-pie (LP 1907789)
    - d/p/u/lp-1916230-hw-s390x-fix-build-for-virtio-9p-ccw.patch: fix
      virtio-9p-ccw being missing (LP 1916230)
    - d/p/u/lp-1916705-disas-Fix-build-with-glib2.0-2.67.3.patch: Fix FTFBS due
      to glib2.0 >=2.67.3 (LP 1916705)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 18 Mar 2021 11:13:49 +0100

qemu (1:5.2+dfsg-9) unstable; urgency=medium

  * do not make qemu-system-data dependent on qemu-system-foo
    (Closes: #985040)
  * CVE-2021-20263 - implement dropping security.capability xattr
    This adds two patches from upstream:
    virtiofsd-save-error-code-early-at-the-failure-callsite.patch
    virtiofsd-drop-remapped-security.capability-..-needed-CVE-2021-20263.patch
    Closes: #985083, CVE-2021-20263
  * CVE-2021-3416 fix from upstream
    Fixes infinite loop in loopback mode of various network devices,
    adding 10 patches from upstream
    Closes: #984448, CVE-2021-3416
  * net-e1000-fail-early-for-evil-descriptor-CVE-2021-20257.patch
    Fix CVE-2021-20257 from upstream: e1000: infinite loop while processing
    transmit descriptors
    Closes: #984450, CVE-2021-20257

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 17 Mar 2021 21:02:30 +0300

qemu (1:5.2+dfsg-8) unstable; urgency=medium

  * a no-change upload to fix broken previous upload

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 14 Mar 2021 12:21:37 +0300

qemu (1:5.2+dfsg-7) unstable; urgency=high

  * do not make qemu-system-common dependent on qemu-system-foo.
    We removed modules from qemu-system-common for now, so there's no
    need for it to depend on any of qemu-system-foo of the same version.
    Among other things this fixes #983756 (which should be fixes some
    other way anyway, but it should be ok for now).
    Closes: #983756, #983921, #985195
    Urgency is high because a single bin-NMU of qemu package made it
    uninstallable.

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 14 Mar 2021 11:32:54 +0300

qemu (1:5.2+dfsg-6ubuntu2) hirsute; urgency=medium

  * d/p/u/lp-1916705-disas-Fix-build-with-glib2.0-2.67.3.patch: Fix FTFBS due
    to glib2.0 >=2.67.3 (LP: #1916705)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 24 Feb 2021 08:39:09 +0100

qemu (1:5.2+dfsg-6ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable, includes fixes for
    - build operates differently if source is a git repo (LP: #1887535)
    Remaining changes:
    - qemu-kvm to systemd unit
      - d/qemu-kvm-init: script for QEMU KVM preparation modules, ksm,
        hugepages and architecture specifics
      - d/qemu-system-common.qemu-kvm.service: systemd unit to call
        qemu-kvm-init
      - d/qemu-system-common.install: install helper script
      - d/qemu-system-common.qemu-kvm.default: defaults for
        /etc/default/qemu-kvm
      - d/rules: call dh_installinit and dh_installsystemd for qemu-kvm
    - Distribution specific machine type (LP: 1304107 1621042)
      - d/p/ubuntu/define-ubuntu-machine-types.patch: distro machine types
      - d/qemu-system-x86.NEWS Info on fixed machine type definitions
        for host-phys-bits=true (LP: 1776189)
      - add an info about -hpb machine type in debian/qemu-system-x86.NEWS
      - provide pseries-bionic-2.11-sxxm type as convenience with all
        meltdown/spectre workarounds enabled by default. (LP: 1761372).
      - ubuntu-q35 alias added to auto-select the most recent q35 ubuntu type
    - Enable nesting by default
      - d/p/ubuntu/enable-svm-by-default.patch: Enable nested svm by default
        in qemu64 on amd
        [ No more strictly needed, but required for backward compatibility ]
    - improved dependencies
      - Make qemu-system-common depend on qemu-block-extra
      - Make qemu-utils depend on qemu-block-extra
      - let qemu-utils recommend sharutils
    - tolerate ipxe size change on migrations to >=18.04 (LP: 1713490)
      - d/p/ubuntu/pre-bionic-256k-ipxe-efi-roms.patch: old machine types
        reference 256k path
      - d/control-in: depend on ipxe-qemu-256k-compat-efi-roms to be able to
        handle incoming migrations from former releases.
    - d/control-in: Disable capstone disassembler library support (universe)
    - d/qemu-system-x86.README.Debian: add info about updated nesting changes
    - d/control*, d/rules: disable xen by default, but provide universe
      package qemu-system-x86-xen as alternative
      [includes compat links changes of 5.0-5ubuntu4]
    - allow qemu to load old modules post upgrade (LP 1847361)
      - Drop d/qemu-block-extra.*.in, d/qemu-system-gui.*.in
      - d/rules: Drop generating package version into maintainer scripts
      - d/qemu-system-gui.prerm: add no-op prerm to overcome upgrade issues on
        the bad old prerm (LP 1906245 1905377)
    - d/p/ubuntu/lp-1907789-build-no-pie-is-no-functional-liker-flag.patch: fix
      ld usage of -no-pie (LP 1907789)
  * Added changes
    - d/p/u/lp-1916230-hw-s390x-fix-build-for-virtio-9p-ccw.patch: fix
      virtio-9p-ccw being missing (LP: #1916230)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 22 Feb 2021 11:40:36 +0100

qemu (1:5.2+dfsg-6) unstable; urgency=medium

  * deprecate qemu-debootstrap. It is not needed anymore with
    binfmt F flag, since everything now works without --foreign
    debootstrap argument and copying the right qemu binary into
    the chroot. Closes: #901197
  * fix the brown-paper bag bug: wrong argument order
    in the linux-user-binfmt patch (really closes: #970460)

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 16 Feb 2021 12:11:20 +0300

qemu (1:5.2+dfsg-5) unstable; urgency=medium

  * d/rules: ensure b/ subdir exists before building palcode and qboot
  * d/changelog: #959530 is not fixed by 5.2+dfsg-4
  * 3 virtiofsd patches Closes: #980814, CVE-2020-35517
    virtiofsd: potential privileged host device access from guest
    - virtiofsd-extract-lo_do_open-from-lo_open.patch
    - virtiofsd-optionally-return-inode-pointer-from-lo_do_lookup.patch
    - virtiofsd-prevent-opening-of-special-files-CVE-2020-35517.patch
 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 14 Feb 2021 17:44:06 +0300

qemu (1:5.2+dfsg-4) unstable; urgency=medium

  [ Michael Tokarev ]
  * require libfdt >= 1.5.0-2 due to #931046
  * qemu-user: attempt to preserve argv[0] when run under binfmt
    (Closes: #970460)
    This changes the enterpreter name for all linux-user registered
    binfmts, so it potentially can break stuff.  The actual binary
    being registered now is /usr/libexec/qemu-binfmt/foo-binfmt-P,
    which is a symlink to actual /usr/lib/qemu-foo[-static].
  * ignore .git-submodule-status when building source
  * some security fixes from upstream:
    o arm_gic-fix-interrupt-ID-in-GICD_SGIR-CVE-2021-20221.patch
      Closes: CVE-2021-20221
      GIC (armv7): out-of-bound heap buffer access via an interrupt ID field
    o 9pfs-Fully-restart-unreclaim-loop-CVE-2021-20181.patch
      Closes: CVE-2021-20181
  * non-security fixes from upstream:
    pc-bios-descriptors-fix-paths-in-json-files.patch - fixes wrong paths
    in edk2-firmware-related json files introduced in 5.2

  [ Christian Ehrhardt ]
  * d/control-in: avoid version mismatch of installed binaries
    (Closes: #956377)

  [ Dan Streetman ]
  * Backport configure param --with-git-submodules and set to 'ignore'

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 14 Feb 2021 16:52:10 +0300

qemu (1:5.2+dfsg-3ubuntu2) hirsute; urgency=medium

  * No change rebuild to pick up liburing. (LP: #1914145)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Wed, 03 Feb 2021 19:44:54 -0300

qemu (1:5.2+dfsg-3ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable, includes fixes for
    - qemu-user-static are partially dynamically linked (LP: #1908331)
    - qemu crashing when using spice without qemu-system-gui being
      installed (LP: #1908577)
    Remaining changes:
    - qemu-kvm to systemd unit
      - d/qemu-kvm-init: script for QEMU KVM preparation modules, ksm,
        hugepages and architecture specifics
      - d/qemu-system-common.qemu-kvm.service: systemd unit to call
        qemu-kvm-init
      - d/qemu-system-common.install: install helper script
      - d/qemu-system-common.qemu-kvm.default: defaults for
        /etc/default/qemu-kvm
      - d/rules: call dh_installinit and dh_installsystemd for qemu-kvm
    - Distribution specific machine type (LP: 1304107 1621042)
      - d/p/ubuntu/define-ubuntu-machine-types.patch: distro machine types
      - d/qemu-system-x86.NEWS Info on fixed machine type definitions
        for host-phys-bits=true (LP: 1776189)
      - add an info about -hpb machine type in debian/qemu-system-x86.NEWS
      - provide pseries-bionic-2.11-sxxm type as convenience with all
        meltdown/spectre workarounds enabled by default. (LP: 1761372).
      - ubuntu-q35 alias added to auto-select the most recent q35 ubuntu type
    - Enable nesting by default
      - d/p/ubuntu/enable-svm-by-default.patch: Enable nested svm by default
        in qemu64 on amd
        [ No more strictly needed, but required for backward compatibility ]
    - improved dependencies
      - Make qemu-system-common depend on qemu-block-extra
      - Make qemu-utils depend on qemu-block-extra
      - let qemu-utils recommend sharutils
    - tolerate ipxe size change on migrations to >=18.04 (LP: 1713490)
      - d/p/ubuntu/pre-bionic-256k-ipxe-efi-roms.patch: old machine types
        reference 256k path
      - d/control-in: depend on ipxe-qemu-256k-compat-efi-roms to be able to
        handle incoming migrations from former releases.
    - d/control-in: Disable capstone disassembler library support (universe)
    - d/qemu-system-x86.README.Debian: add info about updated nesting changes
    - d/control*, d/rules: disable xen by default, but provide universe
      package qemu-system-x86-xen as alternative
      [includes compat links changes of 5.0-5ubuntu4]
    - allow qemu to load old modules post upgrade (LP 1847361)
      - Drop d/qemu-block-extra.*.in, d/qemu-system-gui.*.in
      - d/rules: Drop generating package version into maintainer scripts
      - d/qemu-system-gui.prerm: add no-op prerm to overcome upgrade issues on
        the bad old prerm (LP 1906245 1905377)
    - d/p/ubuntu/lp-1907789-build-no-pie-is-no-functional-liker-flag.patch: fix
      ld usage of -no-pie (LP 1907789)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 05 Jan 2021 12:43:42 +0100

qemu (1:5.2+dfsg-3) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * d/rules: fix qemu-user-static to really be static (LP: #1908331)

  [ Michael Tokarev ]
  * build most modules statically (besides block and gui parts).
    This makes qemu-system-common package to be of less strict dependency
    for other qemu-system-* packages, and also Closes: #977301, #978131
  * especially remove removed binfmts in qemu-user-{static,binfmt}.preinst
    (really Closes: #977015)
  * memory-clamp-cached-translation-MMIO-region-CVE-2020-27821.patch
    (Closes: #977616, CVE-2020-27821)

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 29 Dec 2020 15:07:03 +0300

qemu (1:5.2+dfsg-2ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable
    - includes fix for CVE-2020-17380
    - includes a fix for s390x PCI device reset (LP: #1907656)
    Remaining changes:
    - qemu-kvm to systemd unit
      - d/qemu-kvm-init: script for QEMU KVM preparation modules, ksm,
        hugepages and architecture specifics
      - d/qemu-system-common.qemu-kvm.service: systemd unit to call
        qemu-kvm-init
      - d/qemu-system-common.install: install helper script
      - d/qemu-system-common.qemu-kvm.default: defaults for
        /etc/default/qemu-kvm
      - d/rules: call dh_installinit and dh_installsystemd for qemu-kvm
    - Distribution specific machine type (LP: 1304107 1621042)
      - d/p/ubuntu/define-ubuntu-machine-types.patch: distro machine types
      - d/qemu-system-x86.NEWS Info on fixed machine type definitions
        for host-phys-bits=true (LP: 1776189)
      - add an info about -hpb machine type in debian/qemu-system-x86.NEWS
      - provide pseries-bionic-2.11-sxxm type as convenience with all
        meltdown/spectre workarounds enabled by default. (LP: 1761372).
      - ubuntu-q35 alias added to auto-select the most recent q35 ubuntu type
    - Enable nesting by default
      - d/p/ubuntu/enable-svm-by-default.patch: Enable nested svm by default
        in qemu64 on amd
        [ No more strictly needed, but required for backward compatibility ]
    - improved dependencies
      - Make qemu-system-common depend on qemu-block-extra
      - Make qemu-utils depend on qemu-block-extra
      - let qemu-utils recommend sharutils
    - tolerate ipxe size change on migrations to >=18.04 (LP: 1713490)
      - d/p/ubuntu/pre-bionic-256k-ipxe-efi-roms.patch: old machine types
        reference 256k path
      - d/control-in: depend on ipxe-qemu-256k-compat-efi-roms to be able to
        handle incoming migrations from former releases.
    - d/control-in: Disable capstone disassembler library support (universe)
    - d/qemu-system-x86.README.Debian: add info about updated nesting changes
    - d/control*, d/rules: disable xen by default, but provide universe
      package qemu-system-x86-xen as alternative
      [includes compat links changes of 5.0-5ubuntu4]
    - allow qemu to load old modules post upgrade (LP 1847361)
      - Drop d/qemu-block-extra.*.in, d/qemu-system-gui.*.in
      - d/rules: Drop generating package version into maintainer scripts
      - d/qemu-system-gui.prerm: add no-op prerm to overcome upgrade issues on
        the bad old prerm (LP 1906245 1905377)
  * Dropped Changes:
    - d/control, d/rules: build with gcc-9 on armhf as workaround until
      resolved in gcc-10 (LP: 1890435) [it is flaky still, but no more 100%
      fails]
  * Added Changes:
    - Refreshed ubuntu machine types for hirsute@5.2
    - d/control: regenerated from d/control-in
    - d/p/ubuntu/lp-1907789-build-no-pie-is-no-functional-liker-flag.patch: fix
      ld usage of -no-pie (LP: #1907789)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 09 Dec 2020 16:44:47 +0100

qemu (1:5.2+dfsg-2) unstable; urgency=medium

  * move ui-opengl.so module from qemu-system-gui to qemu-system-common,
    as other modules want it (Closes: #976996, #977022)
  * do not install dropped ppc64abi32 binfmt for qemu-user[-static]
    (Closes: #977015)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 10 Dec 2020 11:15:43 +0300

qemu (1:5.2+dfsg-1) unstable; urgency=medium

  * new upstream release
    Closes: #965978, CVE-2020-15859 (22dc8663d9fc7baa22100544c600b6285a63c7a3)
    Closes: #970539, CVE-2020-25084 (21bc31524e8ca487e976f713b878d7338ee00df2)
    Closes: #970540, CVE-2020-25085 (dfba99f17feb6d4a129da19d38df1bcd8579d1c3)
    Closes: #970541, CVE-2020-25624 (1328fe0c32d5474604105b8105310e944976b058)
    Closes: #970542, CVE-2020-25625 (1be90ebecc95b09a2ee5af3f60c412b45a766c4f)
    Closes: #974687, CVE-2020-25707 (c2cb511634012344e3d0fe49a037a33b12d8a98a)
    Closes: #975276, CVE-2020-25723 (2fdb42d840400d58f2e706ecca82c142b97bcbd6)
    Closes: #975265, CVE-2020-27616 (ca1f9cbfdce4d63b10d57de80fef89a89d92a540)
    Closes: #973324, CVE-2020-27617 (7564bf7701f00214cdc8a678a9f7df765244def1)
    Closes: #972864, CVE-2020-27661 (bea2a9e3e00b275dc40cfa09c760c715b8753e03)
    Closes: CVE-2020-27821 (1370d61ae3c9934861d2349349447605202f04e9)
    Closes: #976388, CVE-2020-28916 (c2cb511634012344e3d0fe49a037a33b12d8a98a)
  * remove obsolete patches
  * refresh use-fixed-data-path.patch and debian/get-orig-source.sh
  * bump minimum meson version required for build to 0.55.3
  * update build rules for several components
  * remove deprecated lm32 and unicore32 system emulators
  * remove deprecated ppc64abi32 and tilegx linux-user emulators
  * install ui-spice-core.so & chardev-spice.so in qemu-system-common
  * install ui-egl-headless.so in qemu-system-common
  * install hw-display-virtio-*.so in qemu-system-common
  * install ui-opengl.so in qemu-system-gui
  * install qemu-pr-helper.8 in qemu-system-common
  * qemu-pr-helper moved to usr/bin/ again
  * qboot.rom renamed from bios-microvm.bin
  * remove several unused lintian overrides
  * add spelling.diff patch to fix a few spelling errors
  * update Standards-Version to 4.5.1
  * fix a few trailing whitespaces in d/control and d/changelog
  * require libcapstone >= 4.0.2 (v4) for build

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 09 Dec 2020 08:57:41 +0300

qemu (1:5.1+dfsg-4ubuntu3) hirsute; urgency=medium

  * d/qemu-system-gui.prerm: add no-op prerm to overcome upgrade issues on
    the bad old prerm (LP: #1906245)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 30 Nov 2020 12:53:03 +0100

qemu (1:5.1+dfsg-4ubuntu2) hirsute; urgency=medium

  * Fix upgrade module handling (LP: #1905377)
    This was accetped in a slightly different form in qemu_5.0-6 and therefore
    allows to drop some former delta that is now conflicting.
    Ubuntu still keeps enabling --enable-module-upgrades, but only for
    qemu-xen which doesn't exist in Debian
    - Drop d/qemu-block-extra.*.in, d/qemu-system-gui.*.in
    - d/rules: Drop generating package version into maintainer scripts

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 24 Nov 2020 11:16:01 +0100

qemu (1:5.1+dfsg-4ubuntu1) hirsute; urgency=medium

  * Merge with Debian testing, remaining changes:
    Fixes qemu-arm-static Assertion `guest_base != 0' failed (LP: #1897854)
    - qemu-kvm to systemd unit
      - d/qemu-kvm-init: script for QEMU KVM preparation modules, ksm,
        hugepages and architecture specifics
      - d/qemu-system-common.qemu-kvm.service: systemd unit to call
        qemu-kvm-init
      - d/qemu-system-common.install: install helper script
      - d/qemu-system-common.qemu-kvm.default: defaults for
        /etc/default/qemu-kvm
      - d/rules: call dh_installinit and dh_installsystemd for qemu-kvm
    - Distribution specific machine type (LP: 1304107 1621042)
      - d/p/ubuntu/define-ubuntu-machine-types.patch: define distro machine
        types
      - d/qemu-system-x86.NEWS Info on fixed machine type definitions
        for host-phys-bits=true (LP: 1776189)
      - add an info about -hpb machine type in debian/qemu-system-x86.NEWS
      - provide pseries-bionic-2.11-sxxm type as convenience with all
        meltdown/spectre workarounds enabled by default. (LP: 1761372).
      - ubuntu-q35 alias added to auto-select the most recent q35 ubuntu type
    - Enable nesting by default
      - d/p/ubuntu/enable-svm-by-default.patch: Enable nested svm by default
        in qemu64 on amd
        [ No more strictly needed, but required for backward compatibility ]
    - improved dependencies
      - Make qemu-system-common depend on qemu-block-extra
      - Make qemu-utils depend on qemu-block-extra
      - let qemu-utils recommend sharutils
    - tolerate ipxe size change on migrations to >=18.04 (LP: 1713490)
      - d/p/ubuntu/pre-bionic-256k-ipxe-efi-roms.patch: old machine types
        reference 256k path
      - d/control-in: depend on ipxe-qemu-256k-compat-efi-roms to be able to
        handle incoming migrations from former releases.
    - d/control-in: Disable capstone disassembler library support (universe)
    - d/qemu-system-x86.README.Debian: add info about updated nesting changes
    - d/control*, d/rules: disable xen by default, but provide universe
      package qemu-system-x86-xen as alternative
      [includes compat links changes of 5.0-5ubuntu4]
    - allow qemu to load old modules post upgrade (LP 1847361)
      - d/qemu-block-extra.*.in, d/qemu-system-gui.*.in: save shared objects on
        upgrade
      - d/rules: generate maintainer scripts matching package version on build
      - d/rules: enable --enable-module-upgrades where --enable-modules is set
    - d/control: regenerate debian/control out of control-in
  * Dropped changes [in Debian or no more needed]
    - d/control-in: disable pmem on ppc64 as it is currently considered
      experimental on that architecture (pmdk v1.8-1)
    - d/rules: makefile definitions can't be recursive - sys_systems for s390x
    - d/rules: report config log from the correct subdir
    - d/control-in: disable rbd support unavailable on riscv (LP: 1872931)
    - Pick further changes for groovy from debian/master since 5.0-5
      - ati-vga-check-mm_index-before-recursive-call-CVE-2020-13800.patch
      - revert-memory-accept-mismatching-sizes-in-memory_region_access_...patch
      - exec-set-map-length-to-zero-when-returning-NULL-CVE-2020-13659.patch
      - megasas-use-unsigned-type-for-reply_queue_head-and-check-index...patch
      - megasas-use-unsigned-type-for-positive-numeric-fields.patch
      - megasas-fix-possible-out-of-bounds-array-access.patch
      - nbd-server-avoid-long-error-message-assertions-CVE-2020-10761.patch
      - es1370-check-total-frame-count-against-current-...-CVE-2020-13361.patch
      - a few patches from the stable series:
        - fix-tulip-breakage.patch
        - 9p-lock-directory-streams-with-a-CoMutex.patch
          Prevent deadlocks in 9pfs readdir code
        - net-do-not-include-a-newline-in-the-id-of-nic-device.patch
          Fix newline accidentally sneaked into id string of a nic
        - qemu-nbd-close-inherited-stderr.patch
        - virtio-balloon-fix-free-page-hinting-check-on-unreal.patch
        - virtio-balloon-fix-free-page-hinting-without-an-iothread.patch
        - virtio-balloon-unref-the-iothread-when-unrealizing.patch
      - acpi-tmr-allow-2-byte-reads.patch
      - reapply CVE-2020-13253 fixes from upstream
      - linux-user-refactor-ipc-syscall-and-support-of-semtimedop.patch
      - linux-user-add-netlink-RTM_SETLINK-command.patch
      - d/control: since qemu-system-data now contains module(s),
        it can't be multi-arch. Ditto for qemu-block-extra.
      - qemu-system-foo: depend on exact version of qemu-system-data,
        due to the latter having modules
      - acpi-allow-accessing-acpi-cnt-register-by-byte.patch'
        This is another incarnation of the recent bugfix which actually enabled
        memory access constraints, like #964247
      - acpi-accept-byte-and-word-access-to-core-ACPI-registers.patch
        this replace acpi-allow-accessing-acpi-cnt-register-by-byte.patch
        and acpi-tmr-allow-2-byte-reads.patch, a more complete fix
      - xhci-fix-valid.max_access_size-to-access-address-registers.patch
        fix one more incarnation of the breakage after the CVE-2020-13754 fix
      - do not install outdated (0.12 and before) Changelog
      - xgmac-fix-buffer-overflow-in-xgmac_enet_send-CVE-2020-15863.patch
        ARM-only XGMAC NIC, possible buffer overflow during packet transmission
        Closes: CVE-2020-15863
      - sm501 OOB read/write due to integer overflow in sm501_2d_operation()
      - riscv-allow-64-bit-access-to-SiFive-CLINT.patch
        another fix for revert-memory-accept-.. CVE-2020-13754
      - seabios-hppa-fno-ipa-sra.patch fix ftbfs with gcc-10
    - d/control-in: build-dep libcap is no more needed
    - arch aware kvm wrappers
      [upstream now automatically enables KVM if available and called with
       kvm* name, provides KVM as before but with auto-fallback to tcg.
       Former behavior of KVM-or-die can be achieved via -machine accel=kvm ]
  * Dropped changes [upstream now]
    - d/p/u/usb-fix-setup_len-init-CVE-2020-14364.patch: sanity check usb
      setup_len
    - d/p/u/lp-1887930-*: Enable Channel Path Handling for vfio-ccw (LP 1887930)
    - d/p/u/lp-1894942-*: fix virtio-ccw host/guest notification (LP 1894942)
    - d/p/ubuntu/lp-1887935-vfio-ccw-allow-non-prefetch-ORBs.patch: fix boot
      from vfio-ccw (LP 1887935)
    - fix qemu-user-static initialization to allow executing systemd (LP 1890881)
    - fix assertion failue in net_tx_pkt_add_raw_fragment (LP 1891187)
    - d/p/ubuntu/lp-1883984-target-s390x-Fix-SQXBR.patch: avoid crash on
      SQXBR (LP 1883984)
    - d/p/lp-1890154-*: fix -no-reboot on s390x secure boot (LP 1890154)
    - d/p/ubuntu/lp-1887763-*: fix TCG sizing that OOMed many small CI
      environments (LP 1887763)
    - d/p/ubuntu/lp-1835546-*: backport the s390x protvirt feature (LP 1835546)
    - debian/patches/ubuntu/lp-1878973-*: fix assert in qemu-guest-agent that
      crashes it on shutdown (LP 1878973)
    - update d/p/ubuntu/lp-1835546-* to the final versions
    - d/p/ubuntu/virtio-net-fix-rsc_ext-compat-handling.patch: fix
      FTBFS in groovy
  * Added Changes:
    - update ubuntu machine types for hirsute@5.1
    - d/control: regenerated from d/control-in
    - d/control, d/rules: build with gcc-9 on armhf as workaround until
      resolved in gcc-10 (LP: 1890435)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 29 Oct 2020 12:37:31 +0100

qemu (1:5.1+dfsg-4) unstable; urgency=high

  * mention closing of CVE-2020-16092 by 5.1
  * usb-fix-setup_len-init-CVE-2020-14364.patch
    Closes: #968947, CVE-2020-14364
    (OOB r/w access in USB emulation)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 02 Sep 2020 16:14:52 +0300

qemu (1:5.1+dfsg-3) unstable; urgency=medium

  * fix one more issue in last upload. This is what happens when
    you do "obvious" stuff in a hurry without proper testing..

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 17 Aug 2020 22:19:55 +0300

qemu (1:5.1+dfsg-2) unstable; urgency=medium

  * fix brown-paper bag bug in last upload

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 17 Aug 2020 20:58:52 +0300

qemu (1:5.1+dfsg-1) unstable; urgency=medium

  * hw-display-qxl.so depends on spice so install it
    only if it is built just like ui-spice-app
  * note #931046 for libfdt

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 17 Aug 2020 18:57:14 +0300

qemu (1:5.1+dfsg-0exp1) experimental; urgency=medium

  * new upstream release 5.1.0. Make source DFSG-clean again
    Closes: #968088
    Closes: CVE-2020-16092 (net_tx_pkt_add_raw_fragment in e1000e & vmxnet3)
  * remove all patches which are applied upstream
  * do not install non-existing doc/qemu/*-ref.*
  * qemu-pr-helper is now in /usr/lib/qemu not /usr/bin
  * virtfs-proxy-helper is in /usr/lib/qemu now, not /usr/bin
  * new architecture: qemu-system-avr
  * refresh d/get-orig-source.sh
  * d/get-orig-source.sh: report already removed files in dfsg-clean
  * install common modules in qemu-system-common
  * lintian tag renamed: shared-lib-without-dependency-information to
    shared-library-lacks-prerequisites

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 12 Aug 2020 19:09:24 +0300

qemu (1:5.0-14) unstable; urgency=high

  * this is a bugfix release before breaking toys with the new upstream
  * riscv-allow-64-bit-access-to-SiFive-CLINT.patch
    (another fix for revert-memory-accept-..-CVE-2020-13754)
  * install /usr/lib/*/qemu/ui-curses.so in qemu-system-common
    Closes: #966517

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 31 Jul 2020 11:45:25 +0300

qemu (1:5.0-13) unstable; urgency=medium

  * seabios-hppa-fno-ipa-sra.patch
    fix ftbfs with gcc-10

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 22 Jul 2020 22:16:41 +0300

qemu (1:5.0-12) unstable; urgency=medium

  * acpi-accept-byte-and-word-access-to-core-ACPI-registers.patch
    this replace cpi-allow-accessing-acpi-cnt-register-by-byte.patch
    and acpi-tmr-allow-2-byte-reads.patch, a more complete fix
  * xhci-fix-valid.max_access_size-to-access-address-registers.patch
    fix one more incarnation of the breakage after the CVE-2020-13754 fix
  * do not install outdated (0.12 and before) Changelog (Closes: #965381)
  * xgmac-fix-buffer-overflow-in-xgmac_enet_send-CVE-2020-15863.patch
    ARM-only XGMAC NIC, possible buffer overflow during packet transmission
    Closes: CVE-2020-15863
  * sm501 OOB read/write due to integer overflow in sm501_2d_operation()
    List of patches:
     sm501-convert-printf-abort-to-qemu_log_mask.patch
     sm501-shorten-long-variable-names-in-sm501_2d_operation.patch
     sm501-use-BIT-macro-to-shorten-constant.patch
     sm501-clean-up-local-variables-in-sm501_2d_operation.patch
     sm501-replace-hand-written-implementation-with-pixman-CVE-2020-12829.patch
    Closes: #961451, CVE-2020-12829

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 22 Jul 2020 19:42:29 +0300

qemu (1:5.0-11) unstable; urgency=high

  * d/control-in: only enable opengl (libdrm&Co) on linux
  * d/control-in: spice: drop versioned deps (even jessie version is enough),
    drop libspice-protocol-dev (automatically pulled by libspice-server-dev),
    and build on more architectures
  * change from debhelper versioned dependency to debhelper-compat (=12)
  * acpi-allow-accessing-acpi-cnt-register-by-byte.patch' (Closes: #964793)
    This is another incarnation of the recent bugfix which actually enabled
    memory access constraints, like #964247
    Urgency = high due to this issue.

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 20 Jul 2020 18:41:17 +0300

qemu (1:5.0-10) unstable; urgency=medium

  * fix the wrong $(if) construct for s390x kvm link (FTBFS on s390x)
  * use the same $(if) construct to simplify #ifdeffery

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 18 Jul 2020 10:02:41 +0300

qemu (1:5.0-9) unstable; urgency=medium

  * move kvm executable/script from qemu-kvm to qemu-system-foo,
    make it multi-arch, and remove qemu-kvm package
  * remove libcacard leftovers from d/.gitignore
  * linux-user-refactor-ipc-syscall-and-support-of-semtimedop.patch
    (Closes: #965109)
  * linux-user-add-netlink-RTM_SETLINK-command.patch (Closes: #964289)
  * libudev is linux-specific, do not build-depend on it
    on kfreebsd and others
  * install virtiofsd in d/rules (!sparc64) instead of
    d/qemu-system-common.install (fixes FTBFS on sparc64)
  * confirm -static-pie not working today still
  * d/control: since qemu-system-data now contains module(s),
    it can't be multi-arch. Ditto for qemu-block-extra.
  * qemu-system-foo: depend on exact version of qemu-system-data,
    due to the latter having modules
  * build all modules since there are modules anyway,
    no need to hack them in d/rules
  * fix spelling in a patch name/subject inlast upload
  * d/rules: do not use dh_install and dh_movefiles for individual
    pkgs, open-code mkdir+cp/mv, b/c dh_install acts on all files
    listed in d/foo.install too, in addition to given on command-line
  * remove trailing whitespace from d/changelog

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 18 Jul 2020 08:29:38 +0300

qemu (1:5.0-8) unstable; urgency=medium

  * d/control: rdma is linux-only, do not enable it on kfreebsd & hurd
  * add comment about virtiofsd conditional to d/qemu-system-common.install
    Now qemu FTBFS on sparc64 since virtiofsd is not built due to missing
    seccomp onn that platform, we should either make virtiofsd conditional
    (!sparc64) or fix seccomp on sparc64 and build-depend on it
  * openbios-use-source_date_epoch-in-makefile.patch (Closes: #963466)
  * seabios-hppa-use-consistant-date-and-remove-hostname.patch (Closes: #963467)
  * slof-remove-user-and-host-from-release-version.patch (Closes: #963472)
  * slof-ensure-ld-is-called-with-C-locale.patch (Closes: #963470)
  * update previous changelog, mention #945997
  * reapply CVE-2020-13253 fixed from upstream:
    sdcard-simplify-realize-a-bit.patch (preparation for the next patch)
    sdcard-dont-allow-invalid-SD-card-sizes.patch (half part of CVE-2020-13253)
    sdcard-update-coding-style-to-make-checkpatch-happy.patch (preparational)
    sdcard-dont-switch-to-ReceivingData-if-address-is-in..-CVE-2020-13253.patch
    Closes: #961297, CVE-2020-13253

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 17 Jul 2020 09:12:43 +0300

qemu (1:5.0-7) unstable; urgency=medium

  * Revert "d/rules: report config log from the correct subdir - base build"
  * Revert "d/rules: report config log from the correct subdir - microvm build"
  * acpi-tmr-allow-2-byte-reads.patch (Closes: #964247)
  * remove sdcard-dont-switch-to-ReceivingData-if-add...-CVE-2020-13253.patch -
    upstream decided to fix it differently (Reopens: #961297, CVE-2020-13253)
  * explicitly specify --enable-tools on hppa and do the same trick
    with --enable-tcg-interpreter --enable-tools on a few other unsupported
    arches (Closes: #964372, #945997)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 16 Jul 2020 18:36:08 +0300

qemu (1:5.0-6) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * d/control-in: disable pmem on ppc64 as it is currently considered
    experimental on that architecture
  * d/rules: makefile definitions can't be recursive - sys_systems for s390x
  * d/rules: report config log from the correct subdir - base build
  * d/rules: report config log from the correct subdir - microvm build
  * d/control-in: disable rbd support unavailable on riscv
  * fix assert in qemu guest agent that crashes on shutdown (LP: #1878973)
  * d/control-in: build-dep libcap is no more needed
  * d/rules: update -spice compat (Ubuntu only)

  [ Michael Tokarev ]
  * save block modules on upgrades (LP: #1847361)
    After upgrade a still running qemu of a former version can't load the
    new modules e.g. for extended storage support. Qemu 5.0 has the code to
    allow defining a path that it will load these modules from.
  * ati-vga-check-mm_index-before-recursive-call-CVE-2020-13800.patch
    Closes: CVE-2020-13800, ati-vga allows guest OS users to trigger
    infinite recursion via a crafted mm_index value during
    ati_mm_read or ati_mm_write call.
  * revert-memory-accept-mismatching-sizes-in-memory_region_access_valid...patch
    Closes: CVE-2020-13754, possible OOB memory accesses in a bunch of qemu
    devices which uses min_access_size and max_access_size Memory API fields.
    Also closes: CVE-2020-13791
  * exec-set-map-length-to-zero-when-returning-NULL-CVE-2020-13659.patch
    CVE-2020-13659: address_space_map in exec.c can trigger
    a NULL pointer dereference related to BounceBuffer
  * megasas-use-unsigned-type-for-reply_queue_head-and-check-index...patch
    Closes: #961887, CVE-2020-13362, megasas_lookup_frame in hw/scsi/megasas.c
    has an OOB read via a crafted reply_queue_head field from a guest OS user
  * megasas-use-unsigned-type-for-positive-numeric-fields.patch
    fix other possible cases like in CVE-2020-13362 (#961887)
  * megasas-fix-possible-out-of-bounds-array-access.patch
    Some tracepoints use a guest-controlled value as an index into the
    mfi_frame_desc[] array. Thus a malicious guest could cause a very low
    impact OOB errors here
  * nbd-server-avoid-long-error-message-assertions-CVE-2020-10761.patch
    Closes: CVE-2020-10761, An assertion failure issue in the QEMU NBD Server.
    This flaw occurs when an nbd-client sends a spec-compliant request that is
    near the boundary of maximum permitted request length. A remote nbd-client
    could use this flaw to crash the qemu-nbd server resulting in a DoS.
  * es1370-check-total-frame-count-against-current-frame-CVE-2020-13361.patch
    Closes: CVE-2020-13361, es1370_transfer_audio in hw/audio/es1370.c does not
    properly validate the frame count, which allows guest OS users to trigger
    an out-of-bounds access during an es1370_write() operation
  * sdcard-dont-switch-to-ReceivingData-if-address-is-in...-CVE-2020-13253.patch
    CVE-2020-13253: sd_wp_addr in hw/sd/sd.c in QEMU 4.2.0 uses an unvalidated
    address, which leads to an out-of-bounds read during sdhci_write()
    operations.  A guest OS user can crash the QEMU process.
    And a preparational patch,
    sdcard-update-coding-style-to-make-checkpatch-happy.patch
  * a few patches from the stable series:
    - fix-tulip-breakage.patch
      The tulip network driver in a qemu-system-hppa emulation is broken in
      the sense that bigger network packages aren't received any longer and
      thus even running e.g. "apt update" inside the VM fails. Fix this.
    - 9p-lock-directory-streams-with-a-CoMutex.patch
      Prevent deadlocks in 9pfs readdir code
    - net-do-not-include-a-newline-in-the-id-of-nic-device.patch
      Fix newline accidentally sneaked into id string of a nic
    - qemu-nbd-close-inherited-stderr.patch
    - virtio-balloon-fix-free-page-hinting-check-on-unreal.patch
    - virtio-balloon-fix-free-page-hinting-without-an-iothread.patch
    - virtio-balloon-unref-the-iothread-when-unrealizing.patch

  [ Aurelien Jarno ]
  * Remove myself from maintainers

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 03 Jul 2020 18:24:48 +0300

qemu (1:5.0-5ubuntu11) hirsute; urgency=medium

  * d/p/ubuntu/define-ubuntu-machine-types.patch: update to fix 15.04 wily
    machine type to match how it originally was released (LP: #1902654)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 09 Nov 2020 08:19:07 +0100

qemu (1:5.0-5ubuntu10) hirsute; urgency=medium

  * No-change rebuild for brltty soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Nov 2020 16:59:33 +0100

qemu (1:5.0-5ubuntu9) groovy; urgency=medium

  * d/p/u/usb-fix-setup_len-init-CVE-2020-14364.patch: sanity check usb
    setup_len
    CVE-2020-14364

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 22 Sep 2020 16:53:18 +0200

qemu (1:5.0-5ubuntu8) groovy; urgency=medium

  * d/p/u/lp-1887930-*: Enable Channel Path Handling for vfio-ccw (LP: #1887930)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 14 Sep 2020 08:23:49 +0200

qemu (1:5.0-5ubuntu7) groovy; urgency=medium

  * d/p/u/lp-1894942-*: fix virtio-ccw host/guest notification (LP: #1894942)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 09 Sep 2020 08:47:12 +0200

qemu (1:5.0-5ubuntu6) groovy; urgency=medium

  * d/p/ubuntu/lp-1887935-vfio-ccw-allow-non-prefetch-ORBs.patch: fix boot
    from vfio-ccw (LP: #1887935)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 25 Aug 2020 11:09:12 +0200

qemu (1:5.0-5ubuntu5) groovy; urgency=medium

  * fix qemu-user-static initialization to allow executing systemd
    (LP: #1890881)
    - d/p/u/lp1890881-linux-user-completely-re-write-init_guest_space.patch
    - d/p/u/lp1890881-linux-user-deal-with-address-wrap-for-ARM_COMMPAGE-o.patch
    - d/p/u/lp1890881-linux-user-don-t-use-MAP_FIXED-in-pgd_find_hole_fall.patch
    - d/p/u/lp1890881-linux-user-elfload-use-MAP_FIXED_NOREPLACE-in-pgb_re.patch
    - d/p/u/lp1890881-linux-user-limit-check-to-HOST_LONG_BITS-TARGET_ABI_.patch
    - d/p/u/lp1890881-linux-user-provide-fallback-pgd_find_hole-for-bare-c.patch
  * fix assertion failue in net_tx_pkt_add_raw_fragment (LP: #1891187)
    CVE-2020-16092
    - d/p/u/lp-1891187-hw-net-net_tx_pkt-fix-assertion-failure-in-net_tx.patch

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 19 Aug 2020 07:19:42 +0200

qemu (1:5.0-5ubuntu4) groovy; urgency=medium

  * xen: provide compat links to what libxen-dev reports where to find
    the binaries (LP: #1890005)
  * d/p/ubuntu/lp-1883984-target-s390x-Fix-SQXBR.patch: avoid crash on
    SQXBR (LP: #1883984)
  * d/p/lp-1890154-*: fix -no-reboot on s390x secure boot (LP: #1890154)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 03 Aug 2020 07:15:28 +0200

qemu (1:5.0-5ubuntu3) groovy; urgency=medium

  * d/p/ubuntu/lp-1887763-*: fix TCG sizing that OOMed many small CI
    environments (LP: #1887763)
  * Pick further changes for groovy from debian/master since 5.0-5
    - ati-vga-check-mm_index-before-recursive-call-CVE-2020-13800.patch
      Closes: CVE-2020-13800, ati-vga allows guest OS users to trigger
      infinite recursion via a crafted mm_index value during
      ati_mm_read or ati_mm_write call.
    - revert-memory-accept-mismatching-sizes-in-memory_region_access_valid...patch
      Closes: CVE-2020-13754, possible OOB memory accesses in a bunch of qemu
      devices which uses min_access_size and max_access_size Memory API fields.
      Also closes: CVE-2020-13791
    - exec-set-map-length-to-zero-when-returning-NULL-CVE-2020-13659.patch
      CVE-2020-13659: address_space_map in exec.c can trigger
      a NULL pointer dereference related to BounceBuffer
    - megasas-use-unsigned-type-for-reply_queue_head-and-check-index...patch
      Closes: #961887, CVE-2020-13362, megasas_lookup_frame in hw/scsi/megasas.c
      has an OOB read via a crafted reply_queue_head field from a guest OS user
    - megasas-use-unsigned-type-for-positive-numeric-fields.patch
      fix other possible cases like in CVE-2020-13362 (#961887)
    - megasas-fix-possible-out-of-bounds-array-access.patch
      Some tracepoints use a guest-controlled value as an index into the
      mfi_frame_desc[] array. Thus a malicious guest could cause a very low
      impact OOB errors here
    - nbd-server-avoid-long-error-message-assertions-CVE-2020-10761.patch
      Closes: CVE-2020-10761, An assertion failure issue in the QEMU NBD Server.
      This flaw occurs when an nbd-client sends a spec-compliant request that is
      near the boundary of maximum permitted request length. A remote nbd-client
      could use this flaw to crash the qemu-nbd server resulting in a DoS.
    - es1370-check-total-frame-count-against-current-frame-CVE-2020-13361.patch
      Closes: CVE-2020-13361, es1370_transfer_audio in hw/audio/es1370.c does not
      properly validate the frame count, which allows guest OS users to trigger
      an out-of-bounds access during an es1370_write() operation
    - a few patches from the stable series:
      - fix-tulip-breakage.patch
        The tulip network driver in a qemu-system-hppa emulation is broken in
        the sense that bigger network packages aren't received any longer and
        thus even running e.g. "apt update" inside the VM fails. Fix this.
      - 9p-lock-directory-streams-with-a-CoMutex.patch
        Prevent deadlocks in 9pfs readdir code
      - net-do-not-include-a-newline-in-the-id-of-nic-device.patch
        Fix newline accidentally sneaked into id string of a nic
      - qemu-nbd-close-inherited-stderr.patch
      - virtio-balloon-fix-free-page-hinting-check-on-unreal.patch
      - virtio-balloon-fix-free-page-hinting-without-an-iothread.patch
      - virtio-balloon-unref-the-iothread-when-unrealizing.patch
    - acpi-tmr-allow-2-byte-reads.patch (Closes: #964247)
    - reapply CVE-2020-13253 fixed from upstream:
      sdcard-simplify-realize-a-bit.patch (preparation for the next patch)
      sdcard-dont-allow-invalid-SD-card-sizes.patch (half part of CVE-2020-13253)
      sdcard-update-coding-style-to-make-checkpatch-happy.patch (preparational)
      sdcard-dont-switch-to-ReceivingData-if-address-is-in..-CVE-2020-13253.patch
      Closes: #961297, CVE-2020-13253
    - linux-user-refactor-ipc-syscall-and-support-of-semtimedop.patch
      (Closes: #965109)
    - linux-user-add-netlink-RTM_SETLINK-command.patch (Closes: #964289)
    - d/control: since qemu-system-data now contains module(s),
      it can't be multi-arch. Ditto for qemu-block-extra.
    - qemu-system-foo: depend on exact version of qemu-system-data,
      due to the latter having modules
    - acpi-allow-accessing-acpi-cnt-register-by-byte.patch' (Closes: #964793)
      This is another incarnation of the recent bugfix which actually enabled
      memory access constraints, like #964247
    - acpi-accept-byte-and-word-access-to-core-ACPI-registers.patch
      this replace acpi-allow-accessing-acpi-cnt-register-by-byte.patch
      and acpi-tmr-allow-2-byte-reads.patch, a more complete fix
    - xhci-fix-valid.max_access_size-to-access-address-registers.patch
      fix one more incarnation of the breakage after the CVE-2020-13754 fix
    - do not install outdated (0.12 and before) Changelog (Closes: #965381)
    - xgmac-fix-buffer-overflow-in-xgmac_enet_send-CVE-2020-15863.patch
      ARM-only XGMAC NIC, possible buffer overflow during packet transmission
      Closes: CVE-2020-15863
    - sm501 OOB read/write due to integer overflow in sm501_2d_operation()
      List of patches:
       sm501-convert-printf-abort-to-qemu_log_mask.patch
       sm501-shorten-long-variable-names-in-sm501_2d_operation.patch
       sm501-use-BIT-macro-to-shorten-constant.patch
       sm501-clean-up-local-variables-in-sm501_2d_operation.patch
       sm501-replace-hand-written-implementation-with-pixman-CVE-2020-12829.patch
      Closes: #961451, CVE-2020-12829
    - riscv-allow-64-bit-access-to-SiFive-CLINT.patch
      another fix for revert-memory-accept-.. CVE-2020-13754
    - seabios-hppa-fno-ipa-sra.patch fix ftbfs with gcc-10

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 28 Jul 2020 13:21:31 +0200

qemu (1:5.0-5ubuntu2) groovy; urgency=medium

  * No change rebuild against new libnettle8 and libhogweed6 ABI.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 29 Jun 2020 22:32:55 +0100

qemu (1:5.0-5ubuntu1) groovy; urgency=medium

  * Merge with Debian testing (LP: #1749393), remaining changes:
    - qemu-kvm to systemd unit
      - d/qemu-kvm-init: script for QEMU KVM preparation modules, ksm,
        hugepages and architecture specifics
      - d/qemu-system-common.qemu-kvm.service: systemd unit to call
        qemu-kvm-init
      - d/qemu-system-common.install: install helper script
      - d/qemu-system-common.qemu-kvm.default: defaults for
        /etc/default/qemu-kvm
      - d/rules: call dh_installinit and dh_installsystemd for qemu-kvm
    - Distribution specific machine type (LP: 1304107 1621042)
      - d/p/ubuntu/define-ubuntu-machine-types.patch: define distro machine
        types
      - d/qemu-system-x86.NEWS Info on fixed machine type definitions
        for host-phys-bits=true (LP: 1776189)
      - add an info about -hpb machine type in debian/qemu-system-x86.NEWS
      - provide pseries-bionic-2.11-sxxm type as convenience with all
        meltdown/spectre workarounds enabled by default. (LP: 1761372).
      - ubuntu-q35 alias added to auto-select the most recent q35 ubuntu type
    - Enable nesting by default
      - d/p/ubuntu/enable-svm-by-default.patch: Enable nested svm by default
        in qemu64 on amd
        [ No more strictly needed, but required for backward compatibility ]
    - improved dependencies
      - Make qemu-system-common depend on qemu-block-extra
      - Make qemu-utils depend on qemu-block-extra
      - let qemu-utils recommend sharutils
    - arch aware kvm wrappers
    - tolerate ipxe size change on migrations to >=18.04 (LP: 1713490)
      - d/p/ubuntu/pre-bionic-256k-ipxe-efi-roms.patch: old machine types
        reference 256k path
      - d/control-in: depend on ipxe-qemu-256k-compat-efi-roms to be able to
        handle incoming migrations from former releases.
    - d/control-in: Disable capstone disassembler library support (universe)
    - d/qemu-system-x86.README.Debian: add info about updated nesting changes
    - d/control*, d/rules: disable xen by default, but provide universe
      package qemu-system-x86-xen as alternative
      [includes --disable-xen for user-static builds]
    - d/control-in: disable pmem on ppc64 as it is currently considered
      experimental on that architecture (pmdk v1.8-1)
    - d/rules: makefile definitions can't be recursive - sys_systems for s390x
    - d/rules: report config log from the correct subdir
    - allow qemu to load old modules post upgrade (LP 1847361)
      - d/qemu-block-extra.*.in, d/qemu-system-gui.*.in: save shared objects on
        upgrade
      - d/rules: generate maintainer scripts matching package version on build
      - d/rules: enable --enable-module-upgrades where --enable-modules is set
    - d/p/ubuntu/lp-1835546-*: backport the s390x protvirt feature (LP 1835546)
    - d/control-in: disable rbd support unavailable on riscv (LP: 1872931)
    - debian/patches/ubuntu/lp-1878973-*: fix assert in qemu-guest-agent that
      crashes it on shutdown (LP 1878973)
  * Dropped changes (no more needed)
    - d/qemu-system-common.maintscript: clean old sysv and upstart scripts
    - d/p/ubuntu/expose-vmx_qemu64cpu.patch: expose nested kvm by default
      in qemu64 cpu type.
    - d/control: avoid upgrade issues triggered by moving ivshmem tools after
      Debian. Fixed by bumping the related Breaks/Replaces to the
      Version Ubuntu introduced the change (LP 1862287)
  * Dropped changes (in Debian)
    - improved s390x support
    - d/binfmt-update-in: fix binfmt being called in some containers
      (LP 1840956)
    - qemu-system-x86-microvm package
      In addition to the generic multi-purpose qemu also provide a minimal
      feature binary that is loading faster for use cases with microvm machine
      type and qboot bios
      - d/control-in: add a new qemu-system-x86-microvm package
      - d/rules: add an extra config/build step to get the minimal qemu
    - Security and packaging fixes (LP 1872937)
      - arm-fix-PAuth-sbox-functions-CVE-2020-10702.patch
      - net-tulip-check-frame-size-and-r-w-data-length-CVE-2020-11102.patch
        CVE-2020-10702
        CVE-2020-11102
      - fix external spice UI
        + install ui-spice-app.so in qemu-system-common
        + install ui-spice-app.so only if built, spice is optional
      - switch binfmt registration to use update-binfmts --[un]import (#866756)
      - qemu-system-gui: Multi-Arch=same, not foreign (#956763)
      - qemu-system-data: s/highcolor/hicolor/ (#955741)
    - enable riscv build (LP 1872931)
      [ changes picked from Debian ]
      - enable support for riscv64 hosts
      - only enable librbd on architectures where it is built
      - ceph: do not list librados-dev as we only use librbd-dev and the latter
        depends on the former
      - seccomp grew up, no need in versioned build-dep
      - enable seccomp only on architectures where it can be built
  * Dropped changes (upstream)
    - d/p/ubuntu/lp-1857033-*: add support for Cooper Lake cpu model
      (LP 1857033)
    - d/p/lp-1859527-*: avoid breakage on high virtqueue counts (LP 1859527)
    - d/p/ubuntu/vhost-user-gpu-Drop-trailing-json-comma.patch: fix parsing of
      vhost-user-gpu
    - d/p/ubuntu/lp-1847361-vhost-correctly-turn-on-VIRTIO_F_IOMMU_PLATFORM.patch:
      avoid unnecessary IOTLB transactions (LP 1866207)
    - d/p/stable/lp-1867519-*: Stabilize qemu 4.2 with upstream
      patches @qemu-stable (LP 1867519)
    - remove d/p/ubuntu/expose-vmx_qemu64cpu.patch: Stop adding VMX to qemu64
      to avoid broken nesting (LP 1868692)
    - d/p/ubuntu/lp-1871830-*: avoid crash when using QEMU_MODULE_DIR
      (LP 1871830)
    - d/p/ubuntu/lp-1872107*: fix migration while rebooting guests (LP 1872107)
    - d/p/ubuntu/lp-1872931-*: fix build on non KVM platforms
    - d/p/ubuntu/lp-1872945-*: fix riscv emulation errors that e.g. hung ssh
      and clobbered doubles (LP 1872945)
    - SECURITY UPDATE: DoS via integer overflow in ati_2d_blt()
      - debian/patches/ubuntu/CVE-2020-11869.patch: fix checks in
        ati_2d_blt() to avoid crash in hw/display/ati_2d.c.
      - CVE-2020-11869
    - d/p/ubuntu/lp-1805256*: Fixes for QEMU on aarch64 ARM hosts
      - async: use explicit memory barriers (LP 1805256)
      - aio-wait: delegate polling of main AioContext if BQL not held
    - d/p/ubuntu/lp-1882774-*: fix issues with VMX subfeatures on systems not
      supporting to set them (LP 1882774)
    - d/p/ubuntu/lp-1847361-modules-load-upgrade.patch: to fallback module
      load to a versioned path
  * Added Changes:
    - d/control: regenerate debian/control out of control-in
    - update d/p/ubuntu/lp-1835546-* to the final versions
      - 11 patches dropped as they are in 5.0
      - 20 patches updated to how they will be in 5.1
    - d/p/ubuntu/virtio-net-fix-rsc_ext-compat-handling.patch: fix
      FTBFS in groovy
    - Make qemu-system-x86-microvm a transitional package as the binary is now
      in qemu-system-x86 itself.
    - d/control-in: build-dep libcap is no more needed
    - d/rules: update arch aware kvm wrappers
    - d/qemu-system-x86.README.Debian: fix typo

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 16 Jun 2020 16:50:09 +0200

qemu (1:5.0-5) unstable; urgency=medium

  * more binfmt-install updates
  * CVE-2020-10717 fix from upstream:
    virtiofsd-add-rlimit-nofile-NUM-option.patch (preparational) and
    virtiofsd-stay-below-fs.file-max-CVE-2020-10717.patch
    (Closes: #959746, CVE-2020-10717)
  * 2 patches from upstream/stable to fix io_uring fd set buildup:
    aio-posix-dont-duplicate-fd-handler-deletion-in-fdmon_io_uring_destroy.patch
    aio-posix-disable-fdmon-io_uring-when-GSource-is-used.patch
  * upstream stable fix: hostmem-dont-use-mbind-if-host-nodes-is-empty.patch
  * upstream stable fix:
    net-use-peer-when-purging-queue-in-qemu_flush_or_purge_queue_packets.patch

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 13 May 2020 12:57:19 +0300

qemu (1:5.0-4) unstable; urgency=medium

  * fix binfmt registration (Closes: #959222)
  * disable PIE for user-static build on x32 too, not only i386

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 01 May 2020 13:30:43 +0300

qemu (1:5.0-3) unstable; urgency=medium

  * do not explicitly enable -static-pie on non-i386 architectures.
    Apparenly only amd64 actually support -static-pie for now, and
    it is correctly detected.

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 30 Apr 2020 08:05:31 +0300

qemu (1:5.0-2) unstable; urgency=medium

  * (temporarily) disable pie on i386 static build
    For now -static-pie fails on i386 with the following error message:
      /usr/bin/ld: /usr/lib/i386-linux-gnu/libc.a(memset_chk-nonshared.o):
          unsupported non-PIC call to IFUNC `memset'
  * install qemu-system docs in qemu-system-common, not qemu-system-data,
    since docs require ./configure run

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 29 Apr 2020 23:41:04 +0300

qemu (1:5.0-1) unstable; urgency=medium

  * new upstream release (5.0)
    Closes: #958926
    Closes: CVE-2020-11869
  * refresh patches, remove patches applied upstream
  * do not mention openhackware, it is not used anymore
  * do not disable bluez (support removed)
  * new system arch "rx"
  * dont install qemu-doc.* for now,
    but install virtiofsd & qemu-storage-daemon
  * add shared-lib-without-dependency-information tag
    to qemu-user-static.lintian-overrides
  * add html docs to qemu-system-data (to /usr/share/doc/qemu-system-common)
  * do not install usr/share/doc/qemu/specs & usr/share/doc/qemu/tools
  * install qemu-user html docs for qemu-user & qemu-user-static
  * build hppa-firmware.img from roms/seabios-hppa
    (and Build-Depeds-Indep on gcc-hppa-linux-gnu)
  * enable liburing on linux (build-depend on liburing-dev)
  * add upstream signing-key.asc (Michael Roth <flukshun@gmail.com>)
  * build opensbi firmware
    (for riscv64 only, riscv32 is possible with compiler flags)
  * add source-level lintian-overrides for binaries-without-sources
    (lintian can't find sources for a few firmware images which are in roms/)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 29 Apr 2020 12:00:12 +0300

qemu (1:4.2-7) unstable; urgency=medium

  * qemu-system-gui: Multi-Arch=same, not foreign (Closes: #956763)
  * x32 arch is in the same family as i386 & x86_64, omit binfmt registration
  * check systemd-detect-virt before running update-binfmt
  * gluster is de-facto linux-only, do not build-depend on it on non-linux
  * virglrenderer is also essentially linux-specific
  * qemu-user-static does not depend on shlibs
  * disable parallel building of targets of d/rules
  * add lintian overrides (arch-dependent static binaries) for openbios binaries
  * separate binary-indep target into install-indep-prep and binary-indep
  * split out various components of qemu-system-data into independent
    build/install rules and add infrastructure for more components:
    x86-optionrom, sgabios, qboot, openbios, skiboot, palcode-clipper,
    slof, s390x-fw
  * iscsi-fix-heap-buffer-overflow-in-iscsi_aio_ioctl_cb.patch

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 20 Apr 2020 18:30:00 +0300

qemu (1:4.2-6) unstable; urgency=medium

  * d/rules: fix FTBFS (brown-paper-bag bug) in last upload

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 14 Apr 2020 17:08:45 +0300

qemu (1:4.2-5) unstable; urgency=medium

  * no error-out on address-of-packet-member in openbios
  * install ui-spice-app.so only if built, spice is optional
  * arm-fix-PAuth-sbox-functions-CVE-2020-10702.patch -
    Closes: CVE-2020-10702, weak signature generation
    in Pointer Authentication support for ARM
  * (temporarily) enable seccomp only on architectures where it can be built
    (Closes: #956624)
  * seccomp has grown up, no need in versioned build-dep
  * do not list librados-dev in build-dep as we only use librbd-dev
    and the latter depends on the former
  * only enable librbd on architectures where it is buildable

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 14 Apr 2020 15:47:40 +0300

qemu (1:4.2-4) unstable; urgency=medium

  [ Michael Tokarev ]
  * d/rules: build minimal configuration for qboot/microvm usage
  * set microvm to be the default machine type for microvm case
  * install ui-spice-app.so in qemu-system-common
  * do not depend on libattr-dev, functions are now in libc6 (Closes: #953910)
  * net-tulip-check-frame-size-and-r-w-data-length-CVE-2020-11102.patch
    (Closes: #956145, CVE-2020-11102, tulip nic buffer overflow)
  * qemu-system-data: s/highcolor/hicolor/ (Closes: #955741)
  * switch binfmt registration to use update-binfmts --[un]import
    (Closes: #866756)
  * build openbios-ppc & openbios-sparc binaries in qemu-system-data,
    and replace corresponding binary packages.
    Add gcc-sparc64-linux-gnu, fcode-utils & xsltproc to build-depend-indep
  * build and provide/replace qemu-slof too

  [ Aurelien Jarno ]
  * enable support for riscv64 hosts

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 14 Apr 2020 12:44:43 +0300

qemu (1:4.2-3ubuntu10) groovy; urgency=medium

  * No-change rebuild against libnettle8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 20 Jul 2020 16:12:37 +0000

qemu (1:4.2-3ubuntu9) groovy; urgency=medium

  * debian/patches/ubuntu/lp-1878973-*: fix assert in qemu-guest-agent that
    crashes it on shutdown (LP: #1878973)
  * d/p/ubuntu/lp-1882774-*: fix issues with VMX subfeatures on systems not
    supporting to set them (LP: #1882774)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 02 Jun 2020 10:42:49 +0200

qemu (1:4.2-3ubuntu8) groovy; urgency=medium

  * d/p/ubuntu/lp-1805256*: Fixes for QEMU on aarch64 ARM hosts
    - async: use explicit memory barriers (LP: #1805256)
    - aio-wait: delegate polling of main AioContext if BQL not held

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Wed, 27 May 2020 21:47:21 +0000

qemu (1:4.2-3ubuntu7) groovy; urgency=medium

  * SECURITY UPDATE: DoS via integer overflow in ati_2d_blt()
    - debian/patches/ubuntu/CVE-2020-11869.patch: fix checks in
      ati_2d_blt() to avoid crash in hw/display/ati_2d.c.
    - CVE-2020-11869

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 21 May 2020 14:43:19 -0400

qemu (1:4.2-3ubuntu6) focal; urgency=medium

  [ Christian Ehrhardt ]
  * enable riscv build (LP: #1872931)
    [ changes picked from Debian ]
    - enable support for riscv64 hosts
    - only enable librbd on architectures where it is built
    - ceph: do not list librados-dev as we only use librbd-dev and the latter
      depends on the former
    - seccomp grew up, no need in versioned build-dep
    - enable seccomp only on architectures where it can be built
  * d/p/ubuntu/lp-1872931-*: fix build on non KVM platforms
  * d/p/ubuntu/lp-1872945-*: fix riscv emulation errors that e.g. hung ssh
    and clobbered doubles (LP: #1872945)

  [ William Grant ]
  * d/control-in: disable rbd support unavailable on riscv (LP: 1872931)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 15 Apr 2020 14:27:15 +0200

qemu (1:4.2-3ubuntu5) focal; urgency=medium

  [ Christian Ehrhardt ]
  * d/p/ubuntu/lp-1871830-*: avoid crash when using QEMU_MODULE_DIR
    (LP: #1871830)
  * Security and packaging fixes (LP: #1872937)
    - arm-fix-PAuth-sbox-functions-CVE-2020-10702.patch
    - net-tulip-check-frame-size-and-r-w-data-length-CVE-2020-11102.patch
      CVE-2020-10702
      CVE-2020-11102
    - fix external spice UI
      + install ui-spice-app.so in qemu-system-common
      + install ui-spice-app.so only if built, spice is optional
    - switch binfmt registration to use update-binfmts --[un]import (#866756)
    - qemu-system-gui: Multi-Arch=same, not foreign (#956763)
    - qemu-system-data: s/highcolor/hicolor/ (#955741)
  * d/p/ubuntu/lp-1872107*: fix migration while rebooting guests (LP: #1872107)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 15 Apr 2020 11:26:44 +0200

qemu (1:4.2-3ubuntu4) focal; urgency=medium

  * d/p/ubuntu/lp-1835546-*: backport the s390x protvirt feature (LP: #1835546)
  * remove d/p/ubuntu/expose-vmx_qemu64cpu.patch: Stop adding VMX to qemu64
    to avoid broken nesting (LP: #1868692)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 20 Mar 2020 08:02:16 +0100

qemu (1:4.2-3ubuntu3) focal; urgency=medium

  * d/p/stable/lp-1867519-*: Stabilize qemu 4.2 with upstream
    patches @qemu-stable (LP: #1867519)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 18 Mar 2020 13:57:57 +0100

qemu (1:4.2-3ubuntu2) focal; urgency=medium

  * allow qemu to load old modules post upgrade (LP: #1847361)
    - d/p/ubuntu/lp-1847361-modules-load-upgrade.patch: to fallback module
      load to a versioned path
    - d/qemu-block-extra.*.in, d/qemu-system-gui.*.in: save shared objects on
      upgrade
    - d/rules: generate maintainer scripts matching package version on build
    - d/rules: enable --enable-module-upgrades where --enable-modules is set
  * d/p/ubuntu/lp-1847361-vhost-correctly-turn-on-VIRTIO_F_IOMMU_PLATFORM.patch:
    avoid unnecessary IOTLB transactions (LP: #1866207)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 02 Mar 2020 15:21:27 +0100

qemu (1:4.2-3ubuntu1) focal; urgency=medium

  * Merge with Debian testing, remaining changes:
    - qemu-kvm to systemd unit
      - d/qemu-kvm-init: script for QEMU KVM preparation modules, ksm,
        hugepages and architecture specifics
      - d/qemu-system-common.qemu-kvm.service: systemd unit to call
        qemu-kvm-init
      - d/qemu-system-common.install: install helper script
      - d/qemu-system-common.maintscript: clean old sysv and upstart scripts
      - d/qemu-system-common.qemu-kvm.default: defaults for
        /etc/default/qemu-kvm
      - d/rules: call dh_installinit and dh_installsystemd for qemu-kvm
    - Distribution specific machine type (LP: 1304107 1621042)
      - d/p/ubuntu/define-ubuntu-machine-types.patch: define distro machine
        types
      - d/qemu-system-x86.NEWS Info on fixed machine type definitions
        for host-phys-bits=true (LP: 1776189)
      - add an info about -hpb machine type in debian/qemu-system-x86.NEWS
      - provide pseries-bionic-2.11-sxxm type as convenience with all
        meltdown/spectre workarounds enabled by default. (LP: 1761372).
      - ubuntu-q35 alias added to auto-select the most recent q35 ubuntu type
    - Enable nesting by default
      - d/p/ubuntu/expose-vmx_qemu64cpu.patch: expose nested kvm by default
        in qemu64 cpu type.
      - d/p/ubuntu/enable-svm-by-default.patch: Enable nested svm by default
        in qemu64 on amd
        [ No more strictly needed, but required for backward compatibility ]
    - improved dependencies
      - Make qemu-system-common depend on qemu-block-extra
      - Make qemu-utils depend on qemu-block-extra
      - let qemu-utils recommend sharutils
    - improved s390x support
      - d/rules: build s390-ccw.img with upstream Makefile
      - d/rules: build s390-netboot.img with upstream Makefile
    - arch aware kvm wrappers
    - tolerate ipxe size change on migrations to >=18.04 (LP: 1713490)
      - d/p/ubuntu/pre-bionic-256k-ipxe-efi-roms.patch: old machine types
        reference 256k path
      - d/control-in: depend on ipxe-qemu-256k-compat-efi-roms to be able to
        handle incoming migrations from former releases.
    - d/control-in: Disable capstone disassembler library support (universe)
    - d/binfmt-update-in: fix binfmt being called in some containers
      (LP 1840956)
    - d/p/ubuntu/lp-1857033-*: add support for Cooper Lake cpu model
      (LP 1857033)
    - d/qemu-system-x86.README.Debian: add info about updated nesting changes
    - d/control*, d/rules: disable xen by default, but provide universe
      package qemu-system-x86-xen as alternative
    - d/p/lp-1859527-*: avoid breakage on high virtqueue counts (LP 1859527)
  - Dropped changes [ in Debian ]
    - d/control: update VCS links
    - d/control-in: bump debhelper build-dep for compat 12
    - d/control: disable bluetooth being deprecated
    - d/not-installed: ignore new interop docs and extra icons for now
    - d/not-installed: do not install elf2dmp until namespaced
    - d/qemu-utils.install: install new tools qemu-edid and qemu-keymap
      [ not needed ]
    - d/control-in: promote qemu-efi/ovmf in Ubuntu (LP 1570617)
    - s390x support
      - Create qemu-system-s390x package
      - Enable numa support for s390x
    - d/control*: enable libpmem support for nvdimms (LP 1790856)
  * Added changes
    - d/control: regenerate debian/control out of control-in
    - qemu-system-x86-microvm package
      In addition to the generic multi-purpose qemu also provide a minimal
      feature binary that is loading faster for use cases with microvm machine
      type and qboot bios
      - d/control-in: add a new qemu-system-x86-microvm package
      - d/rules: add an extra config/build step to get the minimal qemu
    - d/control-in: disable pmem on ppc64 as it is currently considered
      experimental on that architecture (pmdk v1.8-1)
    - d/rules: makefile definitions can't be recursive - sys_systems for s390x
    - d/p/ubuntu/vhost-user-gpu-Drop-trailing-json-comma.patch: fix parsing of
      vhost-user-gpu
    - d/rules: report config log from the correct subdir
    - d/rules: --disable-xen for user-static builds

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 12 Feb 2020 15:21:56 +0100

qemu (1:4.2-3) unstable; urgency=medium

  * mention closing of #909743 in previous changelog (Closes: #909743)
  * do not link to qemu-skiboot from qemu-system-ppc (Closes: #950431)
  * provide+conflict qemu-skiboot from qemu-system-data,
    as we are not using this package anymore

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 01 Feb 2020 22:10:57 +0300

qemu (1:4.2-2) unstable; urgency=medium

  [ Fabrice Bauzac ]
  * Fix a typo in the description of the qemu binary package

  [ Frédéric Bonnard ]
  * Enable powernv emulation with skiboot firmware

  [ Michael R. Crusoe ]
  * Modernize watch file (Closes: #909743)

  [ Christian Ehrhardt ]
  * d/control-in: promote qemu-efi/ovmf in Ubuntu
  * d/control-in: bump debhelper build-dep for compat 12
  * - d/control-in: update VCS links
  * - d/control-in: disable bluetooth being deprecated
  * d/not-installed: ignore new interop docs and extra icons for now
  * do not install elf2dmp until namespaced
  * d/control-in: Enable numa support for s390x
  * Create qemu-system-s390x package (Ubuntu only for now)

  [ Michael Tokarev ]
  * stop using inttypes.h in qboot code;
    this makes dependency on libc6-dev-i386 to be unnecessary
  * qboot-no-jump-tables.diff - use #pragma for one file in qboot
  * do not install qemu-edid and qemu-keymap for now
  * no need in bluetooth patches as bluetooth is disabled
  * scsi-cap-block-count-from-GET-LBA-STATUS-CVE-2020-1711.patch
    (Closes: #949731, CVE-2020-1711)
  * enable libpmem support on amd64|arm64|ppc64el (Closes: #935327)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 31 Jan 2020 23:51:09 +0300

qemu (1:4.2-1ubuntu2) focal; urgency=medium

  * d/control: avoid upgrade issues triggered by moving ivshmem tools after
    Debian. Fixed by by bumping the related Breaks/Replaces to the
    Version Ubuntu introduced the change (LP: #1862287)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 07 Feb 2020 07:31:21 +0100

qemu (1:4.2-1ubuntu1) focal; urgency=medium

  * Merge with Debian testing, Among many other things this fixes LP Bugs:
    LP: #1847806 - add mff* instructions to not break on ppc64 with newer glibc
    LP: #1812822 - avoid crashes on detaching vhost_net interfaces
    LP: #1852744 - Crypto Passthrough Interrupt Support
    LP: #1853316 - CCW IPL Support
    Remaining changes:
    - qemu-kvm to systemd unit
      - d/qemu-kvm-init: script for QEMU KVM preparation modules, ksm,
        hugepages and architecture specifics
      - d/qemu-system-common.qemu-kvm.service: systemd unit to call
        qemu-kvm-init
      - d/qemu-system-common.install: install helper script
      - d/qemu-system-common.maintscript: clean old sysv and upstart scripts
      - d/qemu-system-common.qemu-kvm.default: defaults for
        /etc/default/qemu-kvm
      - d/rules: call dh_installinit and dh_installsystemd for qemu-kvm
    - Distribution specific machine type (LP: 1304107 1621042)
      - d/p/ubuntu/define-ubuntu-machine-types.patch: define distro machine
        types
      - d/qemu-system-x86.NEWS Info on fixed machine type definitions
        for host-phys-bits=true (LP: 1776189)
      - add an info about -hpb machine type in debian/qemu-system-x86.NEWS
      - provide pseries-bionic-2.11-sxxm type as convenience with all
        meltdown/spectre workarounds enabled by default. (LP: 1761372).
    - Enable nesting by default
      - d/p/ubuntu/expose-vmx_qemu64cpu.patch: expose nested kvm by default
        in qemu64 cpu type.
      - d/p/ubuntu/enable-svm-by-default.patch: Enable nested svm by default
        in qemu64 on amd
        [ No more strictly needed, but required for backward compatibility ]
    - improved dependencies
      - Make qemu-system-common depend on qemu-block-extra
      - Make qemu-utils depend on qemu-block-extra
      - let qemu-utils recommend sharutils
    - s390x support
      - Create qemu-system-s390x package
      - Enable numa support for s390x
      - d/rules: build s390-ccw.img with upstream Makefile
      - d/rules: build s390-netboot.img with upstream Makefile
    - arch aware kvm wrappers
    - d/control: update VCS links
    - tolerate ipxe size change on migrations to >=18.04 (LP: 1713490)
      - d/p/ubuntu/pre-bionic-256k-ipxe-efi-roms.patch: old machine types
        reference 256k path
      - d/control-in: depend on ipxe-qemu-256k-compat-efi-roms to be able to
        handle incoming migrations from former releases.
    - d/control-in: Disable capstone disassembler library support (universe)
    - d/control: disable bluetooth being deprecated
    - d/not-installed: ignore new interop docs and extra icons for now
    - d/not-installed: do not install elf2dmp until namespaced
    - d/qemu-utils.install: install new tools qemu-edid and qemu-keymap
    - d/control-in: promote qemu-efi/ovmf in Ubuntu (LP 1570617)
    - d/binfmt-update-in: fix binfmt being called in some containers
      (LP 1840956)
  - Dropped changes (in Debian)
    - qemu-guest-agent: freeze-hook fixes (LP: 1484990)
      - d/qemu-guest-agent.install: provide /etc/qemu/fsfreeze-hook
      - d/qemu-guest-agent.dirs: provide /etc/qemu/fsfreeze-hook.d
    - d/control-in: enable RDMA support in qemu (LP: 1692476)
        - enable RDMA config option
        - add libibumad-dev build-dep
    - d/p/ubuntu/lp-1790901-partial-SLOF-for-s390x-netboot.patch: bring back
      some SLOF bits stripped in DFSG to be able to build s390x-netboot roms
      As that hack to build s390-ccw.img rom can't build s390x-netboot.img
      replace it with a build-indep using the upstream makefiles.
      This is less prone to miss future changes/fixes that are done to the
      makefiles
    - remove /dev/kvm permission handling (moved to systemd 239-6) (#892945)
    - d/p/debianize-qemu-guest-service.patch: fix path of qemu-ga
    - d/rules: fix qemu-kvm service for debhelper compat >=12
    - Refreshed patches for v4.0 context changes
    - d/control*: remove sdlabi which was removed upstream
    - d/control*: enable docs (now explicit) and provide new build-dep
      python3-sphinx
    - d/qemu-system-data.install: use new paths for formerly used icons
    - Merge with Upstream release of qemu 4.0
    - d/p/ubuntu/lp-1790901-partial-SLOF-for-s390x-netboot.patch
  - Dropped changes (Upstream)
    - d/p/ubuntu/lp-1830243-*: s390x Secure Linux Boot Toleration (LP 1830243)
    - d/p/ubuntu/lp-1830238-*: s390x hardware cpu model (LP 1830238)
    - d/p/ubuntu/linux-user-fix-__NR_semtimedop-undeclared-error.patch:
      fix i386 build error
    - d/p/ubuntu/lp-1836066-s390-cpumodel-fix-description-for-the-new-vector-fac:
      fix naming of the new vector facitlity (LP 1836066)
    - d/p/ubuntu/lp-1836159-fix-with-latest-kernel.patch: fix build issues
      for missing SIOCGSTAMP definition; final fix is still in discussion
      upstream (LP: 1836159)
    - d/p/ubuntu/lp-1836154-*: further fixups for HW CPU model for newer
      s390x machines (LP 1836154)
    - d/p/ubuntu/lp-1841066-*: fix detection of arch_capability flags
      (LP 1841066)
    - d/p/lp-1842774-s390x-cpumodel-Add-the-z15-name-to-the-description-o.patch:
      update the z15 model name (LP 1842774)
    - d/p/ubuntu/lp-1848556-curl-Handle-success-in-multi_check_completion.patch:
      fix a potential hang when qemu or qemu-img where accessing http backed
      disks via libcurl (LP 1848556)
    - d/p/u/lp-1848497-virtio-balloon-fix-QEMU-4.0-config-size-migration-*:
      fix migration issue from qemu <4.0 when using virtio-balloon (LP 1848497)
    - d/p/ubuntu/lp-1830704-s390x-cpumodel-ignore-csske-for-expansion.patch
      toleration for future machines (LP 1830704)
    - SECURITY UPDATE: Add support for exposing md-clear functionality
      to guests
      - d/p/ubuntu/enable-md-clear.patch
      - d/p/ubuntu/enable-md-no.patch
      - CVE-2018-12126, CVE-2018-12127, CVE-2018-12130, CVE-2019-11091
    - SECURITY UPDATE: heap overflow when loading device tree blob
      - d/p/ubuntu/CVE-2018-20815.patch: specify how large the buffer to
        copy the device tree blob into is.
      - CVE-2018-20815
    - SECURITY UPDATE: device driver denial of service via NULL pointer
      dereference
      - d/p/ubuntu/CVE-2019-5008.patch: Define skeleton 'power_mem_read'
        routine
      - CVE-2019-5008
    - SECURITY UPDATE: information leak in SLiRP
      - d/p/ubuntu/CVE-2019-9824.patch: check sscanf result when
        emulating ident.
      - CVE-2019-9824
    - d/p/ubuntu/lp-1812384-s390x-Return-specification-exception-for-
      unimplement.patch: properly return architecture defined exception
      on bad subcodes of diag 308 (LP 1812384)
  * Dropped changes (no more needed)
    - d/qemu-guest-agent.pre{rm|inst}/.postrm: special handling for
      mv_conffile since the new path is a directory in the old package
      version which can not be handled by mv_conffile.
      [ only needed between disco and eoan ]
    - disable pvrdma
      [ CVEs all fixed now ]
    - d/p/ubuntu/Revert-target-i386-kvm-add-VMX-migration-blocker.patch:
      avoid misdetection of simplified nesting blocking all migrations
      [ qemu now detects and handles nesting - needs kernel >=4.20 ]
    - Enable nesting by default
      - d/qemu-system-x86.modprobe: set nested=1 module option on intel.
        (is default on amd)
      - d/qemu-system-x86.postinst: re-load kvm_intel.ko if it was loaded
        without nested=1
        [ nesting is default in kernel modules and default selected cpu types ]
  * Added changes
    - d/control: regenerate debian/control out of control-in
    - updated ubuntu machine types to match qemu 4.2 in Ubuntu 20.04 Focal
      - added ubuntu focal types for qemu 4.2
      - ubuntu-q35 alias added to auto-select the most recent q35 ubuntu type
    - d/p/ubuntu/lp-1857033-*: add support for Cooper Lake cpu model
      (LP: #1857033)
    - d/qemu-system-x86.README.Debian: add info about updated nesting changes
    - d/control*, d/rules: disable xen by default, but provide universe
      package qemu-system-x86-xen as alternative
    - fix typos in changelog and d/qemu-system-x86.NEWS
    - d/p/lp-1859527-*: avoid breakage on high virtqueue counts (LP: #1859527)
    - d/control*: enable libpmem support for nvdimms (LP: #1790856)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 08 Jan 2020 15:27:42 +0100

qemu (1:4.2-1) unstable; urgency=medium

  * new upstream release (4.2.0)
  * removed patches: v4.1.1.diff, enable-pschange-mc-no.patch
  * do not make sgabios.bin executable (lintian)
  * add s390-netboot.img lintian overrides for qemu-system-data
  * build qboot (bios-microvm.bin)
  * build-depend-indep on libc6-dev-i386 for qboot
    (includes some system headers)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 14 Dec 2019 14:07:27 +0300

qemu (1:4.1-3) unstable; urgency=medium

  * mention #939869 (CVE-2019-15890) in previous changelog entry
  * add Provides: sgabios to qemu-data (Closes: #945924)
  * fix qemu-debootsrtap (add hppa arch, print correct error message)
    thanks to Helge Deller (Closes: #923410)
  * enable long binfmt masks again for mips/mips32 (Closes: #829243)

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 02 Dec 2019 13:24:58 +0300

qemu (1:4.1-2) unstable; urgency=medium

  * build sgabios in build-indep, conflict with sgabios package
  * qemu-system-ppc: build and install canyonlands.dtb in addition to bamboo.dtb
  * remove duplicated CVE-2018-20123 & CVE-2018-20124 in prev changelog
  * move s390 firmware build rules to debian/s390fw.mak, build s390-netboot.img
  * imported v4.1.1.diff - upstream stable branch
    Closes: CVE-2019-12068
    Closes: #945258, #945072
  * enable-pschange-mc-no.patch: i386: add PSCHANGE_MC_NO feature
    to allow disabling ITLB multihit mitigations in nested hypervisors
    Closes: #944623
  * build-depend on nettle-dev, enable nettle, and clarify --enable-lzo
  * switch to system libslirp, build-depend on libslirp-dev
    Closes: #939869, CVE-2019-15890

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 25 Nov 2019 12:54:05 +0300

qemu (1:4.1-1) unstable; urgency=medium

  * new upstream release v4.1
    Closes: #933741, CVE-2019-14378 (slirp buff overflow in packet reassembly)
     (use internal slirp copy for now)
    Closes: #931351, CVE-2019-13164 (qemu-bridge-helper long IFNAME)
    Closes: #922923, CVE-2019-8934 (ppc64 emulator leaks hw identity)
    Closes: #916442, CVE-2018-20123 (pvrdma memory leak in device hotplug)
    Closes: #922461, CVE-2018-20124 (pvrdma num_sge can exceed MAX_SGE)
    Closes: #927924 (new upstream version)
    Closes: #897054 (AMD Zen CPU support)
    Closes: #935324 (FTBFS due to gluster API change)
    Closes: CVE-2018-20125 (pvrdma: DoS in create_cq_ring|create_qp_rings)
    Closes: CVE-2018-20126 (pvrdma: memleaks in create_cq_ring|create_qp_rings)
    Closes: CVE-2018-20191 (pvrdma: DoS due to missing read operation impl.)
    Closes: CVE-2018-20216 (pvrdma: infinite loop in pvrdma_dev_ring.c)
  * remove patches which are applied upstream, refresh remaining patches
    (bt-use-size_t-...-CVE-2018-19665.patch hasn't been applied upstream,
    bluetooth subsystem is going to be removed, we keep it for now)
  * debian/source/options: ignore slirp/ submodule
  * use python3 for building, not python
  * debian/optionrom.mk: add pvh.bin
  * switch from libssh2 to libssh, and enable libssh support in ubuntu
  * bump spice version requiriment to 0.12.5
  * enable pvrdma
  * debian/control-in: remove reference to libsdl
  * debian/rules: add new objects for s390-ccw fw
  * debian/control: add build dependency on python3-sphinx for docs
  * install ui/icons/qemu.svg and qemu.desktop
  * debian/rules: remove pc-bios/bamboo.dtb before building it
  * install vhost-user-gpu binary and 50-qemu-gpu.json
  * debian/rules: remove old maintscript-helper invocations, not needed anymore
  * remove +dfsg for now, upload whole upstream source, will trim it later

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 27 Aug 2019 12:43:43 +0300

qemu (1:4.0+dfsg-0ubuntu10) focal; urgency=medium

  * d/p/ubuntu/lp-1848556-curl-Handle-success-in-multi_check_completion.patch:
    fix a potential hang when qemu or qemu-img where accessing http backed
    disks via libcurl (LP: #1848556)
  * d/p/u/lp-1848497-virtio-balloon-fix-QEMU-4.0-config-size-migration-in.patch:
    fix migration issue from qemu <4.0 when using virtio-balloon (LP: #1848497)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 21 Oct 2019 14:51:45 +0200

qemu (1:4.0+dfsg-0ubuntu9) eoan; urgency=medium

  * d/p/lp-1842774-s390x-cpumodel-Add-the-z15-name-to-the-description-o.patch:
    update the z15 model name (LP: #1842774)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 24 Sep 2019 11:42:58 +0200

qemu (1:4.0+dfsg-0ubuntu8) eoan; urgency=medium

  * d/binfmt-update-in: fix binfmt being called in some containers
    (LP: #1840956)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 09 Sep 2019 11:03:13 +0200

qemu (1:4.0+dfsg-0ubuntu7) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:07:25 +0000

qemu (1:4.0+dfsg-0ubuntu6) eoan; urgency=medium

  * d/p/ubuntu/lp-1841066-*: fix detection of arch_capability flags
    (LP: #1841066)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 26 Aug 2019 12:08:04 +0200

qemu (1:4.0+dfsg-0ubuntu5) eoan; urgency=medium

  * d/p/ubuntu/lp-1836154-*: further fixups for HW CPU model for newer
    s390x machines (LP: #1836154)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 17 Jul 2019 13:20:42 +0200

qemu (1:4.0+dfsg-0ubuntu4) eoan; urgency=medium

  * d/control-in: promote qemu-efi/ovmf in Ubuntu (LP: #1570617)
    - pick Debian change for (#889885)
      move ovmf to recommends on debian and update aarch ovmf refs
    - stop Ubuntu to drop ovmf/qemu-efi to a suggest

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 12 Jul 2019 12:48:24 +0200

qemu (1:4.0+dfsg-0ubuntu3) eoan; urgency=medium

  * d/p/ubuntu/lp-1836159-fix-with-latest-kernel.patch: fix build issues
    for missing SIOCGSTAMP definition; final fix is still in discussion
    upstream (LP: 1836159)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 11 Jul 2019 10:10:00 +0200

qemu (1:4.0+dfsg-0ubuntu2) eoan; urgency=medium

  * d/p/ubuntu/lp-1836066-s390-cpumodel-fix-description-for-the-new-vector-fac:
    fix naming of the new vector facitlity (LP: #1836066)
  * d/control-in: update VCS links in control template as well

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 11 Jul 2019 08:18:44 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog qemu-system`.
